2014-07-16  Release Manager

	* GCC 4.9.1 released.

2014-04-22  Release Manager

	* GCC 4.9.0 released.

2013-09-20  Alan Modra  <amodra@gmail.com>

	* configure: Regenerate.

2013-05-22  Mark Mitchell  <mark@codesourcery.com>
	    Sandra Loosemore  <sandra@codesourcery.com>

	* configure.ac: Define host_noncanonical and target_noncanonical.
	Support --enable-version-specific-runtime-libs.
	* m4/acinclude.m4 (CLASSPATH_TOOLEXECLIBDIR): Match libjava
	definition of toolexeclibdir.
	* configure: Regenerated.
	* Makefile.in: Regenerated.
	* doc/api/Makefile.in: Regenerated.
	* doc/Makefile.in: Regenerated.
	* examples/Makefile.in: Regenerated.
	* external/jsr166/Makefile.in: Regenerated.
	* external/Makefile.in: Regenerated.
	* external/relaxngDatatype/Makefile.in: Regenerated.
	* external/sax/Makefile.in: Regenerated.
	* external/w3c_dom/Makefile.in: Regenerated.
	* include/Makefile.in: Regenerated.
	* lib/Makefile.in: Regenerated.
	* native/fdlibm/Makefile.in: Regenerated.
	* native/jawt/Makefile.in: Regenerated.
	* native/jni/Makefile.in: Regenerated.
	* native/jni/gconf-peer/Makefile.in: Regenerated.
	* native/jni/gstreamer-peer/Makefile.in: Regenerated.
	* native/jni/gtk-peer/Makefile.in: Regenerated.
	* native/jni/java-io/Makefile.in: Regenerated.
	* native/jni/java-lang/Makefile.in: Regenerated.
	* native/jni/java-math/Makefile.in: Regenerated.
	* native/jni/java-net/Makefile.in: Regenerated.
	* native/jni/java-nio/Makefile.in: Regenerated.
	* native/jni/java-util/Makefile.in: Regenerated.
	* native/jni/Makefile.in: Regenerated.
	* native/jni/midi-alsa/Makefile.in: Regenerated.
	* native/jni/midi-dssi/Makefile.in: Regenerated.
	* native/jni/native-lib/Makefile.in: Regenerated.
	* native/jni/qt-peer/Makefile.in: Regenerated.
	* native/jni/xmlj/Makefile.in: Regenerated.
	* native/Makefile.in: Regenerated.
	* native/plugin/Makefile.in: Regenerated.
	* resource/Makefile.in: Regenerated.
	* scripts/Makefile.in: Regenerated.
	* tools/Makefile.in: Regenerated.

2013-01-10  Matthias Klose <doko@ubuntu.com>

	* tools/gnu/classpath/tools/gjdoc/Main.java: Accept -source 1.5,
	1.6, 1.7.

2012-12-17  Andrew Haley  <aph@redhat.com>

	PR gcc/55716
	* tools/gnu/classpath/tools/javah/Main.java (parseClasses): Don't
	scan inner classes if our item is a file.

2012-11-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR classpath/55182
	* configure.ac:
	Lower required version to support autoconf
	on RHEL6.  Make disabling Werror the default.
	If a Qt4-specific moc is detected, use it
	rather than the default.
	* doc/Makefile.am:
	Generate texi2dvi output in the build directory
	and explicitly specify POSIX locale to work around
	Debian bug 586134.
	(clean-local): Remove output from texi2dvi.

2012-10-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR classpath/55140
	* NEWS: List fix.
	* java/lang/String.java:
	(codePointBefore(int)): Fix index check to match spec.

2012-10-16  Ivan Maidanski  <ivmai@mail.ru>

	* java/util/Collections.java:
	(emptySet()): Don't create new instance, instead using
	the corresponding immutable container instance.  Remove FIXME
	and suppress resulting unchecked warning.
	(EmptySet.iterator()): Suppress warning due to cast
	for immutable container instance.
	(EmptySet.equals(Object)): Add type parameters.
	(emptyList()): Don't create new instance, instead using
	the corresponding immutable container instance.  Remove FIXME
	and suppress resulting unchecked warning.
	(EmptyList.equals(Object)): Add type parameters.
	(emptyMap()): Don't create new instance, instead using
	the corresponding immutable container instance.  Remove FIXME
	and suppress resulting unchecked warning.
	(EmptyMap.entrySet()): Cast to parameterised type and
	suppress warning.
	(EmptyMap.equals(Object)): Add type parameters.
	(EmptyMap.keySet()): Cast to parameterised type and
	suppress warning.
	(EmptyMap.values()): Likewise.
	(SingletonList.subList(int, int)): Use emptyList() instead of
	EMPTY_LIST to eliminate unchecked warning.
	(SynchronizedCollection.toArray(T[])): Rename T type to E to
	suppress compiler warning about type hiding.

2012-10-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR classpath/41689
	* javax/security/sasl/Sasl.java:
	(CREDENTIALS): Add missing field.
	* NEWS: Updated.

2012-10-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Updated with latest bug fixes.
	* THANKYOU: Add bug authors.

2010-05-20  Paul Viney  <paul@diasoft.nl>

	PR classpath/44208
	* java/io/ObjectInputStream.java,
	(parseContent(byte,boolean)): Ensure a handle
	for the enum is registered before one for its
	String constant.

2009-12-30  Paul Fernhout  <pdfernhout@kurtz-fernhout.com>

	PR classpath/42551
	* javax/sound/midi/MetaMessage.java:
	(setMessage(int,byte[],int)): Don't overwrite
	length variable when computing the length representation.

2012-10-17  Jeremy Singer  <Jeremy.Singer@glasgow.ac.uk>

	PR classpath/54960
	* gnu/xml/transform/SAXSerializer.java:
	(getValue(String)): Avoid NullPointerException.

2012-10-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* native/jni/midi-dssi/gnu_javax_sound_midi_dssi_DSSISynthesizer.c:
	(Java_gnu_javax_sound_midi_dssi_DSSISynthesizer_open_1(JNIEnv*,
	jclass, jlong)): Use jack_client_open instead of
	deprecated jack_client_new.

2012-10-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* configure.ac: Set to 0.99.1pre, as
	0.99.1 will now be next release.
	* NEWS: Updated with last bug fix
	and 0.99.1

2012-10-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR classpath/54931
	* m4/acinclude.m4:
	(CLASSPATH_WITH_GJDOC): Allow GJDoc versions
	included with GNU Classpath to be used to
	build (0.98 on).

2012-03-15  Pekka Enberg  <penberg@kernel.org>

	* java/util/Formatter.java:
	(icharacterFormat(Object,int,int,int,char):
	Fix NullPointerException for null characters.
	(basicIntegralConversion(Object, int, int, int, int, char):
	Fix NullPointerException for null integers.
	(format(Locale, String, Object...)):
	Fix NullPointerException for null object.

2012-03-15  Pekka Enberg  <penberg@kernel.org>

	* java/lang/String.java:
	(codePointAt(int))): Fix exception type.
	(codePointBefore(int)): Fix exception type.

2011-07-20  Ivan Maidanski  <ivmai@mail.ru>

	* native/jni/java-util/java_util_VMTimeZone.c:
	Include jcl.h file.
	(Java_java_util_VMTimeZone_getSystemTimeZoneId(JNIEnv*,jclass)):
	Throw OutOfMemoryException in case of malloc() failure.

2012-06-10  Ivan Maidanski  <ivmai@mail.ru>

	* compat/.gitignore,
	* compat/java.net/.gitignore,
	* doc/.gitignore,
	* doc/api/.gitignore,
	* doc/www.gnu.org/.gitignore,
	* doc/www.gnu.org/announce/.gitignore,
	* doc/www.gnu.org/cp-tools/.gitignore,
	* doc/www.gnu.org/docs/.gitignore,
	* doc/www.gnu.org/downloads/.gitignore,
	* doc/www.gnu.org/events/.gitignore,
	* doc/www.gnu.org/faq/.gitignore,
	* examples/.gitignore,
	* external/.gitignore,
	* external/jsr166/.gitignore,
	* external/relaxngDatatype/.gitignore,
	* external/sax/.gitignore,
	* external/w3c_dom/.gitignore,
	* gnu/classpath/.gitignore,
	* gnu/java/locale/.gitignore,
	* gnu/java/security/.gitignore,
	* gnu/test/.gitignore,
	* include/.gitignore,
	* java/util/.gitignore,
	* lib/.gitignore,
	* native/.gitignore,
	* native/fdlibm/.gitignore,
	* native/jawt/.gitignore,
	* native/jni/.gitignore,
	* native/jni/classpath/.gitignore,
	* native/jni/gconf-peer/.gitignore,
	* native/jni/gstreamer-peer/.gitignore,
	* native/jni/gtk-peer/.gitignore,
	* native/jni/java-io/.gitignore,
	* native/jni/java-lang/.gitignore,
	* native/jni/java-math/.gitignore,
	* native/jni/java-net/.gitignore,
	* native/jni/java-nio/.gitignore,
	* native/jni/java-util/.gitignore,
	* native/jni/midi-alsa/.gitignore,
	* native/jni/midi-dssi/.gitignore,
	* native/jni/native-lib/.gitignore,
	* native/jni/qt-peer/.gitignore,
	* native/jni/xmlj/.gitignore,
	* native/plugin/.gitignore,
	* native/testsuite/.gitignore,
	* native/vmi/.gitignore,
	* resource/.gitignore,
	* resource/META-INF/services/.gitignore,
	* scripts/.gitignore,
	* test/.gitignore,
	* test/gnu.java.lang.reflect/.gitignore,
	* test/java.io/.gitignore,
	* test/java.lang.reflect/.gitignore,
	* test/java.net/.gitignore,
	* test/java.util/.gitignore,
	* tools/.gitignore,
	* tools/gnu/classpath/tools/doclets/.gitignore,
	* tools/gnu/classpath/tools/doclets/debugdoclet/.gitignore,
	* tools/gnu/classpath/tools/doclets/htmldoclet/.gitignore,
	* tools/gnu/classpath/tools/doclets/xmldoclet/.gitignore,
	* tools/gnu/classpath/tools/doclets/xmldoclet/doctranslet/.gitignore,
	* tools/gnu/classpath/tools/gjdoc/.gitignore,
	* tools/gnu/classpath/tools/gjdoc/expr/.gitignore,
	* tools/gnu/classpath/tools/java2xhtml/.gitignore,
	* tools/gnu/classpath/tools/taglets/.gitignore,
	* vm/.gitignore,
	* vm/reference/.gitignore: Renamed from .cvsignore.

2012-10-10  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/geom/Area.java:
	(solids): Add type parameter.
	(holes): Likewise.
	(ccIntersections): Likewise and rename to meet
	standards.
	(Area()): Add type parameters.
	(Area(Shape)): Likewise and remove redundant casts.
	(add(Area)): Likewise and remove unused nNodes variable.
	(subtract(Area)): Likewise.
	(intersect(Area)): Likewise.
	(exclusiveOr(Area)): Likewise.
	(reset()): Add type parameters.
	(isEmpty()): Remove redundant casts.
	(isPolygonal()): Likewise.
	(isRectangular()): Likewise.
	(getBounds2D()): Likewise.
	(clone()): Likewise.
	(equals(Area)): Add type parameters.
	(transform(AffineTransform)): Remove redundant casts.
	(contains(double,double)): Likewise.
	(contains(double,double,double,double)): Likewise.
	(intersects(double,double,double,double)): Likewise.
	(AreaIterator.segments): Add type parameter.
	(AreaIterator(AffineTransform)): Add type parameters.
	Remove redundant casts.
	(currentSegment(double[])): Remove redundant casts.
	(currentSegment(float[])): Likewise.
	(weilerAtherton(Vector)): Add type parameters and remove
	redundant casts.
	(recursiveSubdivide(CubicCurve2D,CubicCurve2D,int,int,double,
	double,double,double)): Fix use of cc_intersections/ccIntersections.
	(cubicCubicIntersect(CubicSegment,CubicSegment)): Likewise.
	(lineQuadIntersect(LineSegment,QuadSegment)): Fix Javadoc typo.
	(makeSegment(Shape)): Add type parameters.
	(createNodes(Segment,Segment)): Remove redundant bracketing.
	(deleteRedundantPaths(Vector)): Likewise.  Remove redundant
	casts.  Add type parameters.
	(setDirection(Vector,boolean)): Add type parameters and remove
	redundant casts.
	(cloneSegmentList()): Add type parameter.  Remove redundant
	cast.
	(createNodes(Segment,Intersection[])): Add type parameter.
	Remove redundant cast.

2012-10-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/javax/sound/midi/dssi/DSSIMidiDeviceProvider.java:
	(DSSIInfo.copyright): Added field.
	(DSSIInfo(String,String,String,String,String,String,long)):
	Extended constructor to store copyright.
	(examineLibrary(String)): Add type parameter.
	Fix call to new DSSIInfo constructor.
	(static): Add type parameters.
	* gnu/javax/sound/midi/dssi/DSSISynthesizer.java:
	(instruments): Add type parameter.
	(resources): Likewise.
	(getResources()): Remove redundant cast.
	(getInstruments()): Likewise.
	(getInstrument(Patch)): Add type parameter and remove
	redundant cast.
	(soundbanks): Add type parameter.
	(getAvailableInstruments()): Add type parameters and
	remove redundant casts.
	* gnu/javax/sound/midi/file/MidiFileReader.java:
	(getSequence(InputStream)): Don't store length as not used.
	* gnu/javax/sound/midi/file/MidiFileWriter.java:
	(computeTrackLength(Track,MidiDataOutputStream)): Drop unused
	count variable.
	* gnu/javax/sound/sampled/WAV/WAVReader.java:
	(getAudioFileFormat(InputStream)): Drop unused blockAlign variable.
	* gnu/javax/sound/sampled/gstreamer/GStreamerMixer.java:
	(getLine(Line.Info)): Add type parameter to Class.
	* javax/sound/midi/MidiSystem.java:
	(getMidiDeviceInfo()): Add type parameters.  Remove unnecessary cast.
	(getMidiDevice(MidiDevice.Info)): Add type parameter.
	(getSoundbank(InputStream)): Add type parameters and remove
	unnecessary casts.
	(getSoundbank(URL)): Likewise.
	(getSoundbank(File)): Likewise.
	(getMidiFileFormat(InputStream)): Likewise.
	(getMidiFileFormat(URL)): Likewise.
	(getMidiFileFormat(File)): Likewise.
	(getSequence(InputStream)): Likewise.
	(getSequence(URL)): Likewise.
	(getSequence(File)): Likewise.
	(getMidiFileTypes()): Likewise.
	(isFileTypeSupported(int)): Likewise.
	(getMidiFileTypes(Sequence)): Likewise.
	(isFileTypeSupported(int,Sequence)): Likewise.
	(write(Sequence,int,OutputStream)): Likewise.
	(write(Sequence,int,File)): Likewise.
	* javax/sound/midi/SoundbankResource.java:
	(dataClass): Add type parameter.
	* javax/sound/midi/Track.java:
	(events): Add type parameter.
	(eventSet): Likewise.
	(add(MidiEvent)): Remove redundant cast.
	(get(int)): Likewise.
	(ticks()): Likewise.
	* javax/sound/sampled/AudioSystem.java:
	(getAudioFileFormat(File)): Add type parameters and
	remove unnecessary casts.
	(getAudioFileFormat(InputStream)): Likewise.
	(getAudioFileFormat(URL)): Likewise.
	(getAudioFileTypes()): Likewise.
	(getAudioFileTypes(AudioInputStream)): Likewise.
	(getAudioInputStream(AudioFormat.Encoding,AudioInputStream)):
	Likewise.
	(getAudioInputStream(AudioFormat,AudioInputStream)): Likewise.
	(getAudioInputStream(File)): Likewise.
	(getAudioInputStream(InputStream)): Likewise.
	(getAudioInputStream(URL)): Likewise.
	(getMixer(Mixer.Info)): Likewise.
	(getMixerInfo()): Likewise.
	(getTargetEncodings(AudioFormat.Encoding)): Likewise.
	(getTargetEncodings(AudioFormat)): Likewise.
	(getTargetFormats(AudioFormat.Encoding,AudioFormat)): Likewise.
	(isConversionSupported(AudioFormat.Encoding,AudioFormat)): Likewise.
	(isConversionSupported(AudioFormat,AudioFormat)): Likewise.
	(write(AudioInputStream,AudioFileFormat.Type,File)): Likewise.
	(write(AudioInputStream,AudioFileFormat.Type,OutputStream)): Likewise.
	* javax/sound/sampled/Line.java:
	(klass): Add type parameter.
	* m4/ac_prog_javac.m4:
	(ECJ_OPTS): Turn of unused private field warnings for now,
	as some may be used from native code.

2012-09-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR classpath/42134
	* java/text/Bidi.java:
	(Bidi(AttributedCharacterIterator)): Remove shadow
	variable text which hides the instance variable
	of the same name.  Remove unnecessary use of this.
	* NEWS: Updated.

2012-09-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* tools/com/sun/javadoc/Doc.java:
	Add type parameter to Comparable.
	* tools/gnu/classpath/tools/doclets/AbstractDoclet.java:
	(tagletMap): Use type parameters.
	(packageGroups): Likewise.
	(tagletPath): Removed, unused.
	(mentionedTags): Use type parameters.
	(optionNoEmailWarn): Removed, unused.
	(optionTagletPath): Likewise.
	(DocletOptionTaglet): Likewise.
	(DocletOptionGroup.set(String[])): Add type aprameters to
	groupPackages.
	(DocletOptionTagletPath): Removed, unused.
	(commonOptions): Remove optionTagletPath.
	(nameToOptionMap): Add type parameters.
	(getOptionLength(String)): Remove unnecessary cast.
	(getKnownDirectSubclasses(ClassDoc)): Add type parameters.
	(IndexKey): Add type parameter to Comparable.
	(IndexKey.compareTo(IndexKey)): Update to use specific type.
	(categorizedIndex): Use type parameters.
	(getCategorizedIndex()): Likewise.
	(indexByName): Likewise.
	(getIndexByName()): Likewise.
	(printTaglets(Tag[],TagletContext,TagletPrinter,boolean)): Likewise.
	(addUsedBy(Map,ClassDoc,UsageType,Doc,PackageDoc)): Likewise.
	(collectUsage()): Likewise.
	(usedClassToPackagesMap): Likewise.
	(getUsageOfClass(ClassDoc)): Likewise.
	(UsageType): Add type parameter to Comparable.
	(UsageType.compareTo(UsageType)): Update to use specific type.
	(getPackageGroups()): Use type parameters.
	* tools/gnu/classpath/tools/doclets/PackageMatcher.java:
	(patterns): Use type parameters.
	(filter(Packagedoc[])): Likewise.
	(match(PackageDoc)): Likewise.
	* tools/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	(externalDocSets): Use type parameters.
	(packageNameToDocSet)): Likewise.
	(printPackagePage(File,String,PackageDoc,PackageDoc,PackageDoc)): Likewise.
	(TreeNode): Add type parameter to Comparable.
	(TreeNode.children): Use type parameters.
	(TreeNode.compareTo(TreeNode)): Update to use specific type.
	(addClassTreeNode(Map,ClassDoc)): Use type parameters.
	(addInterfacetreeNode(Map,ClassDoc)): Likewise.
	(printClassTree(HtmlPage,ClassDoc[])): Likewise.
	(printInterfaceTree(HtmlPage,ClassDoc[])): Likewise.
	(printFullTreePage()): Likewise.
	(printIndexEntry(HtmlPage,Doc)): Likewise.
	(printPackagesMenuPage()): Likewise.
	(printClassMenuSection(HtmlPage,Collection,String)): Likewise.
	(printClassMenuList(HtmlPage,ClassDoc[],boolean)): Likewise.
	(printSplitIndex()): Likewise.
	(printIndexPage(int,int,Character,List)): Likewise.
	(printSerializationPage()): Likewise.
	(printDeprecationPage()): Likewise.
	(getMemberDocURL(HtmlPage,ProgramElementDoc)): Likewise.
	(createTypeHref(HtmlPage,Type,boolean)): Likewise.
	(getPackageURL(PackageDoc)): Remove redundant cast.
	(getClassURL(ClassDoc)): Likewise.
	* tools/gnu/classpath/tools/gjdoc/ClassDocImpl.java:
	(primitiveNames): Add type parameters.
	(findClassCache): Likewise.
	(findClass(String,String): Likewise.
	(createInstance(ClassDoc,PackageDoc,ClassDoc[],PackageDoc[],
	char[],int,int,List)): Likewise.
	(resolve()): Likewise.
	(typeMap): Likewise.
	(typeForString(String)): Likewise..
	(equals(Object)): Likewise.
	(maybeSerMethodList): Likewise.
	(setMaybeSerMethodList(List)): Likewise.
	(findFieldValue(String,ClassDoc,String,Set)): Likewise.
	(getValue(String,Set)): Likewise.
	(compareTo(Doc)): Use specific type.
	(importStatementList): Use type parameters.
	(setImportStatementList(List)): Likewise.
	* tools/gnu/classpath/tools/gjdoc/ClassDocProxy.java:
	(compareTo(Doc)): Use specific type.
	* tools/gnu/classpath/tools/gjdoc/ClassDocReflectedImpl.java:
	Expand imports.
	(findClass(String)): Don't use full class name for String.
	(compareTo(Doc)): Use specific type.
	* tools/gnu/classpath/tools/gjdoc/DocImpl.java:
	(compareTo(Doc)): Use specific type.
	* tools/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java:
	(compareTo(Doc)): Use specific type.
	* tools/gnu/classpath/tools/gjdoc/FieldDocImpl.java:
	(createFromSource(ClassDoc,PackageDoc,char[],int,int)):
	Use type parameters.  Remove unused lastFieldDefStart
	variable.
	(constantValue(Set)): Use type parameters.
	* tools/gnu/classpath/tools/gjdoc/Main.java:
	(option_overview): Removed unused field.
	(option_classpath): Likewise.
	(option_sourcepath): Add type parameters.
	(option_extdirs): Removed unused field.
	(option_verbose): Likewise.
	(option_java_flags): Likewise.
	(option_subpackages): Add type parameters.
	(option_exclude): Likewise.
	(startDoclet(List)): Likewise.
	(addFoundPackages(String,Set)): Likewise.
	(findPackages(String,File,Set)): Likewise.
	(start(String[])): Likewise.
	(addJavaLangClasses()): Commented out, apparently unused.
	(options): Add type parameters.
	(initOptions()): Likewise.  Remove redundant variable
	setting.
	* tools/gnu/classpath/tools/gjdoc/MemberDocImpl.java:
	(compareTo(Doc)): Use specific type.
	* tools/gnu/classpath/tools/gjdoc/PackageDocImpl.java:
	(allClassesSet): Use type parameters.
	(ordinaryClassesList): Likewise.
	(exceptionsList): Likewise.
	(interfacesList): Likewise.
	(errorsList): Likewise.
	(resolve()): Likewise.
	(toClassDocArray(Collection)): Likewise.
	(compareTo(Doc)): Use specific type.
	* tools/gnu/classpath/tools/gjdoc/Parser.java:
	Expand import statements.
	(process(Parser,char[],int,int)): Add type parameters.
	(processedFiles): Add type parameters.
	(processSourceFile(File,boolean,String,String)): Add type
	parameters.
	(classOpened(char[],int,int)): Likewise.
	(toArray(List,T[])): Likewise.
	(classClosed()): Likewise.
	(Context.fieldList): Likewise.
	(Context.filteredFieldList): Likewise.
	(Context.sfieldList): Likewise.
	(Context.methodList): Likewise.
	(Context.filteredMethodList): Likewise.
	(Context.maybeSerMethodList): Likewise.
	(Context.constructorList): Likewise.
	(Context.filteredConstructorList): Likewise.
	(Context.innerClassesList): Likewise.
	(Context.filteredInnerClassesList): Likewise.
	* tools/gnu/classpath/tools/gjdoc/RootDocImpl.java:
	(findSourceFiles(String)): Add type parameters.
	* tools/gnu/classpath/tools/gjdoc/expr/Evaluator.java:
	(evaluate(String,Set,EvaluatorEnvironment)): Add type parameters.
	* tools/gnu/classpath/tools/gjdoc/expr/EvaluatorEnvironment.java:
	(getValue(String,Set)): Add type parameters.
	* tools/gnu/classpath/tools/gjdoc/expr/Type.java:
	(clazz): Add type parameters.
	(Type(Class)): Likewise.
	* tools/gnu/classpath/tools/rmic/ClassRmicCompiler.java:
	(keep): Remove unused field.
	(errors): Add type parameter.
	(compile): Remove unused field.
	(classpath): Likewise.
	(clazz): Add type parameter.
	(mRemoteInterfaces): Likewise.
	(run(String[])): Add type parameters.
	(processClass(String)): Likewise.
	(getException()): Remove unnecessary cast.
	(typeArray(Class[])): Add type parameter.
	(param(Method,int)): Add type parameter.  Use Integer.valueOf.
	(generateClassConstant(MethodVisitor,Class)): Add type parameters.
	(generateClassArray(MethodVisitor,Class)): Likewise.
	(generateStub()): Remove unused variables stubclassname, size
	& endReturnTryCatch.  Remove unnecessary casts and add type
	parameters.
	(generateSkel()): Remove unused variable skelclassname.
	Use Long.valueOf.
	(generateMethodSkel(MethodVisitor,Method,Variables)):
	Add type parameters.
	(typeArg(Class)): Add type parameter.
	(readMethod(Class)): Likewise.
	(writeMethod(Class)): Likewise.
	(returnOpcode(Class)): Likewise.
	(loadOpcode(Class)): Likewise.
	(storeOpcode(Class)): Likewise.
	(unboxMethod(Class)): Likewise.
	(box(Class)): Likewise.
	(size(Class)): Likewise.
	(sortExceptions(Class[])): Add type parameters.
	(setup(boolean,boolean,boolean,boolean,boolean,boolean,
	boolean,boolean,boolean,boolean,String,String,String,String)):
	Remove unused variables keep & classpath.
	(findRemoteMethods()): Add type parameters.
	(MethodRef.exceptions): Add type parameter.
	(MethodRef.removeSubclasses(Class[])): Add type parameters.
	(MethodRef.intersectExceptions(Method)): Likewise.
	* tools/gnu/classpath/tools/rmic/Main.java:
	(backends): Add type parameter.
	(run(String[])): Remove redundant cast.
	* tools/gnu/classpath/tools/rmic/RmiMethodGenerator.java:
	(getArgumentList()): Add type parameters.
	(getArgumentNames()): Likewise.
	(getThrows()): Likewise.
	(getStaticMethodDeclarations()): Likewise.
	* tools/gnu/classpath/tools/rmic/SourceGiopRmicCompiler.java:
	Add type parameter to Comparable.
	(implementedRemotes): Add type parameter.
	(extraImports): Likewise.
	(methods): Likewise.
	(interfaces): Likewise.
	(compile(Class)): Add type parameters.
	(getId(Class)): Add type parameter.
	(getIdList(Collection)): Add type parameters.
	(generateStub()): Add type parameters.
	(generateTie()): Likewise.
	(compare(AbstractMethodGenerator,AbstractMethodGenerator)): Use
	more specific types.
	(getImportStatements()): Add type parameters.
	* tools/gnu/classpath/tools/rmic/Variables.java:
	(free): Add type parameter.
	(names): Add type parameters.
	(wides): Add type parameter.
	(declared): Likewise.
	(allocateNow(Object,int)): Use Integer.valueOf.
	(allocate(Object,int)): Add type parameters.
	(deallocate(Object)): Remove redundant cast.
	Use Integer.valueOf.
	(get(Object)): Remove redundant cast.

2012-08-09  Dodji Seketeli  <dodji@redhat.com>

	Use accessor functions to manipulate xmlOutputBuffer
	* native/jni/xmlj/xmlj_io.c (GET_XML_OUTPUT_BUFFER_CONTENT)
	(GET_XML_OUTPUT_BUFFER_SIZE): New macros.
	(xmljOutputWriteCallback): Use them.

2012-08-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/TimeZone.java:
	(defaultZone()): Use parameterized PrivilegedAction.
	(aliases0): Add type parameters.
	(timezones0); Likewise.
	(timezones()): Likewise.
	(getDateParams(String)): Fix indenting.
	(getTimeZoneInternal(String)): Remove redundant casts.
	(getAvailableIDs(int)): Add type parameters.
	(getAvailableIDs(File,String,ArrayList)): Likewise.
	(getAvailableIDs()): Likewise.

2012-07-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Update copyright headers throughout.
	* gnu/java/text/AttributedFormatBuffer.java:
	(ranges): Add generic type information.
	(attributes): Likewise.
	(aRanges): Rename from a_ranges.
	(aAttributes): Add generic type information and
	rename from a_attributes.  Convert to a list of
	maps rather than an array for type safety.
	(defaultAttr): Replace prefix with static import.
	(AttributedFormatBuffer(CPStringBuilder): Add generic
	typing.
	(addAttribute(int,Attribute)): Drop prefix, rename
	new_range to newRange.  Add generic types.
	Use Integer.valueOf in place of new Integer.
	(append(String,Attribute)): Drop prefix.
	(append(String,int[],List)): Replace array with list.
	Use Integer.valueOf instead of new Integer.
	(append(char,Attribute)): Drop prefix.
	(setDefaultAttribute(Attribute)): Likewise.
	(getDefaultAttribute()): Likewise.
	(sync()): Rename a_ranges to aRanges.  Drop unneeded casts.
	Replace array with list.
	(getRanges()): Rename a_ranges to aRanges.
	(getAttributes()): Replace map with list.  Rename a_attributes
	to aAttributes.
	* gnu/java/text/FormatBuffer.java:
	Add static import for Attribute.
	* gnu/java/text/FormatCharacterIterator.java:
	(attributes): Replace array with list.
	(FormatCharacterIterator()): Likewise.
	(FormatCharacterIterator(String,int,List)): Switch from
	array to list.  Update documentation.
	(getAllAttributeKeys()): Add generic type.  Switch
	from array to list.
	(getAttributes()): Likewise.
	(getAttribute(Attribute)): Likewise.
	(getRunLimit(Set)): Likewise.
	(getRunLimit(Attribute)): Likewise.
	(getRunStart(Set)): Likewise.
	(getRunStart(Attribute)): Likewise.
	(mergeAttributes(List,int[])): Likewise.  Use List
	in preference to Vector.  Use newRanges & newAttributes
	rather than new_ranges and new_attributes.
	(append(AttributedCharacterIterator)): Likewise.
	(append(String,HashMap)): Likewise.
	(addAttributes(Map,int,int)): Likewise.
	(dumpTable()): Use startRange instead of start_range.
	Add generic types.
	* gnu/java/text/StringFormatBuffer.java,
	Add static import for Attribute.
	* java/text/AttributedString.java:
	Add static import for Attribute.
	(attribs): Add generic type.
	(AttributeRange(Map,int,int)): Likewise.
	(AttributedString(String,Map)): Likewise.
	(AttributedString(AttributedCharacterIterator, int, int,
	Attribute)): Drop prefix, add generic types.
	(addAttribute(Attribute,Object)): Drop prefix.
	(addAttribute(Attribute,Object,int,int)): Likewise
	and add generic types.
	(addAttributes(Map,int,int)): Add generic types.
	(getIterator(Attribute)): Drop prefix.
	(getIterator(Attribute[])): Likewise.
	* java/text/AttributedStringIterator.java:
	Add static import for Attribute.
	(getAllAttributeKeys()): Add generic type.
	(getRunLimit(Attribute)): Add generic type, drop
	prefix.
	(getRunLimit(Set)): Add generic types.
	(getRunStart(Attribute)): Add generic type, drop
	prefix.
	(getRunStart(Set)): Add generic types.
	(getAttributes()): Likewise.
	* java/text/Bidi.java:
	(formatterIndices): Add generic type.
	(reinsertFormattingCodes()): Drop redundant cast.
	* java/text/BreakIterator.java:
	(getInstance(String,Locale)): Add generic type to Class.
	* java/text/ChoiceFormat.java:
	(stringVec): Add generic type.
	(limitVec): Likewise.
	(applyPattern(String)): Remove redundant cast.
	* java/text/CollationElementIterator.java:
	(textDecomposition): Renamed from text_decomposition.
	(textIndexes): Renamed from text_indexes.
	(setText(String)): Add generic types.  Rename a_element
	to aElement.  Rename a_idx to aIdx.  Rename key_old to
	keyOld.  Use Integer.valueOf rather than new Integer.
	* java/text/DecimalFormat.java:
	(attributes): Add generic type.
	(formatToCharacterIterator(Object)): Remove redundant cast.
	* java/text/MessageFormat.java:
	(Field()): Remove unneeded warning suppression.
	* java/text/NumberFormat.java:
	(Field()): Likewise.

2012-07-01  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/44052
	* java/text/DateFormatSymbols.java:
	(DFSData): Inner immutable class for storing parsed
	locale data.
	(DFSData.DFSData(String[],String[],String,String[],
	String[],String[],String[],String[],String[],
	String[][])): Constructor to initialise a new instance
	with property data.
	(DFSData.getAMPMs()): Return a clone of the ampms array.
	(DFSData.getEras()): Likewise for eras.
	(DFSData.getLocalPatternChars()): Return the local pattern
	characters.
	(DFSData.getMonths()): Return a clone of the (long) months
	array.
	(DFSData.getShortMonths()): Likewise for the short months array.
	(DFSData.getWeekdays()): Likewise for (long) weekdays.
	(DFSData.getShortWeekdays()): Likewise for short weekdays.
	(DFSData.getDateFormats()): Likewise for date formats.
	(DFSData.getTimeFormats()): Likewise for time formats.
	(DFSData.getZoneStrings()): Likewise for zone strings.
	(dataCache): Cache of parsed locale data.
	(getZoneStrings(List<ResourceBundle>,Locale)):
	Make static so it can be called by retrieveData.
	(formatsForKey(List<ResourceBundle>,String)):
	Likewise.
	(getString(List<ResourceBundle>, String)): Likewise.
	(retrieveData(Locale)): Separate out retrieval of
	locale data from constructor and store it in the cache.
	(DateFormatSymbols(Locale)): Modify to call retrieveData
	and set fields from the returned DFSData instance.

2012-05-30  Andrew John Hughes  <ahughes@redhat.com>

	* java/text/DateFormatSymbols.java:
	(getZoneStrings(List<ResourceBundle>, Locale)):
	Refactor to use existing list of resource bundles.
	(formatsForKey(List<ResourceBundle>, String)):
	Likewise and use new local getString method.
	(getString(List<ResourceBundle>, String)):
	Use first available String from most-specific locale
	rather than the least-specific.
	(DateFormatSymbols(Locale)): Use bundles for resolving
	localPatternChars, dateFormats, timeFormats and runtimeZoneStrings
	as well.

2012-05-04  Andrew John Hughes  <ahughes@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	(font_map): Renamed from ft2_map.
	(Java_gnu_java_awt_peer_gtk_GdkFontPeer_initStaticState(JNIEnv,
	jclass)): Remove cast to pango_ft2_font_map_new.
	(Java_gnu_java_awt_peer_gtk_GdKFontPeer_setFont(JNIEnv,
	jobject,jstring,jint,jint)): Call pango_font_map_create_context
	rather than deprecated pango_ft2_font_map_create_context.

2012-05-01  Andrew John Hughes  <ahughes@redhat.com>

	* java/text/DateFormatSymbols.java:
	Rename U00AE and U000A9 as the more memorable
	FIELD_SPLIT and ZONE_SPLIT respectively.
	* THANKYOU: Add Andreas Sewe.

2012-04-30  Andreas Sewe  <sewe@st.informatik.tu-darmstadt.de>

	PR classpath/53171
	* java/text/DateFormatSymbols.java:
	(U00A9): Pre-compile pattern for zone separation.
	(U00AE): Likewise for fields.
	(getStringArray(List,String,int,String)): Use U00AE.split
	in place of String.split.
	(getZoneStrings(ResourceBundle,Locale)): Use U00AE.split
	and U00A9.split in place of String.split.

2012-04-25  Andrew John Hughes  <ahughes@redhat.com>

	Update warning suppression so it still works
	with newer compilers.
	* javax/activation/ActivationDataFlavor.java:
	(ActivationDataFlavor(Class,String,String)): Suppress
	rawtypes not unchecked.
	(ActivationDataFlavor(Class,String)): Likewise.
	(getRepresentationClass()): Likewise.
	* javax/activation/MimeTypeParameterList.java:
	(getNames()): Likewise.
	* javax/management/DefaultLoaderRepository.java:
	(loadClass(String)): Likewise.
	(loadClassWithout(ClassLoader,String)): Likewise.
	* javax/management/MBeanConstructorInfo.java:
	(MBeanConstructorInof(String,Constructor)): Likewise.
	* javax/management/remote/rmi/RMIConnection.java:
	(addNotificationListener(ObjectName,ObjectName,MarshelledObject,
	MarshelledObject,Subject)): Likewise.
	(addNotificationListeners(ObjectName[],MarshelledObject[], Subject[])):
	Likewise.
	(createMBean(String,ObjectName,MarshalledObject,String,Subject)): Likewise.
	(createMBean(String,ObjectName,ObjectName,MarshalledObject,String[],Subject)):
	Likewise.
	(invoke(ObjectName,String,MarshalledObject,String[],Subject)): Likewise.
	(queryMBeans(ObjectName,MarshalledObject,Subject)): Likewise.
	(queryNames(ObjectName,MarshalledObject,Subject)): Likewise.
	(removeNotificationListener(ObjectName,ObjectName,MarshalledObject,
	MarshalledObject,Subject)): Likewise.
	(setAttribute(ObjectName,MarshalledObject,Subject)): Likewise.
	(setAttributes(ObjectName,MarshalledObject,Subject)): Likewise.
	* javax/swing/tree/DefaultMutableTreeNode.java:
	(children()): Likewise.
	(preorderEnumeration()): Likewise.
	(postorderEnumeration()): Likewise.
	(breadthFirstEnumeration()): Likewise.
	(depthFirstEnumeration()): Likewise.
	(pathFromAncestorEnumeration(TreeNode)): Likewise.
	(BreadthFirstEnumeration.nextElement()): Move annotation down to assignment level.
	(PreorderEnumeration.PreorderEnumeration(TreeNode)): Likewise.
	(PreorderEnumeration.traverse(Enumeration)): Likewise.
	(PostorderEnumeration.PostorderEnumeration(TreeNode)): Likewise.
	(PostorderEnumeration.traverse(Enumeration()): Likewise.
	* javax/swing/tree/TreeNode.java:
	(children()): Suppress rawtypes not unchecked.
	* javax/xml/namespace/NamespaceContext.java:
	(getPrefixes(String)): Likewise.
	* javax/xml/stream/XMLEventFactory.java:
	(createStartElement(QName,Iterator,Iterator)): Likewise.
	(createStartElement(String,String,String,Iterator,Iterator)): Likewise.
	(createStartElement(String,String,String,Iterator,Iterator,NamespaceContext)):
	Likewise.
	(createEndElement(QName,Iterator)): Likewise.
	(createEndElement(String,String,String,Iterator)): Likewise.
	* javax/xml/stream/XMLEventReader.java: Likewise (at class level
	due to inheritance).
	* javax/xml/stream/events/DTD.java:
	(getNotations()): Likewise.
	(getEntities()): Likewise.
	* javax/xml/stream/events/EndElement.java:
	(getNamespaces()): Likewise.
	* javax/xml/stream/events/StartElement.java:
	(getAttributes()): Likewise.
	(getNamespaces()): Likewise.
	* javax/xml/xpath/XPathFunction.java:
	(evaluate(List)): Likewise.
	* org/omg/CORBA/LocalObject.java:
	(_servant_preinvoke(String,Class)): Likewise.
	* org/omg/CORBA/portable/Delegate.java:
	(servant_preinvoke(org.omg.CORBA.Object,String,Class)): Likewise.
	* org/omg/CORBA/portable/InputStream.java:
	(read_Object(Class)): Likewise.
	* org/omg/CORBA/portable/ObjectImpl.java:
	(_servant_preinvoke(String,Class)): Likewise.
	* org/omg/CORBA_2_3/portable/InputStream.java:
	(read_abstract_interface(Class)): Likewise.
	(read_value(Class)): Likewise.
	* org/omg/CORBA_2_3/portable/OutputStream.java:
	(write_value(Serializable,Class)): Likewise.
	* org/omg/DynamicAny/_DynAnyFactoryStub.java:
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynAnyStub.java:
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynArrayStub.java,
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynEnumStub.java,
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynFixedStub.java,
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynSequenceStub.java,
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynStructStub.java,
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynUnionStub.java,
	(_opsClass): Likewise.
	* org/omg/DynamicAny/_DynValueStub.java,
	(_opsClass): Likewise.
	* org/omg/PortableServer/_ServantActivatorStub.java,
	(_opsClass): Likewise.
	* org/omg/PortableServer/_ServantLocatorStub.java,
	(_opsClass): Likewise.

2012-04-24  Andrew John Hughes  <ahughes@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c:
	(Java_gnu_java_awt_peer_gtk_GtkImage_freePixbuf):
	Use g_object_unref rather than deprecated gdk_pixbuf_unref
	to avoid warning.

2012-04-03  Andrew John Hughes  <ahughes@redhat.com>

	* .gitignore: Renamed from .cvsignore.

2012-01-01  Jakub Jelinek  <jakub@redhat.com>

	* gnu/java/rmi/registry/RegistryImpl.java (version): Update
	copyright notice dates.
	* tools/gnu/classpath/tools/orbd/Main.java (run): Likewise.

2007-02-26  Jakub Jelinek  <jakub@redhat.com>

	* java/util/TimeZone.java (getDefaultDisplayName): Don't
	check if TimeZone is instanceof SimpleTimeZone.

2006-09-13  Andrew Haley  <aph@redhat.com>

	* java/util/PriorityQueue.java: Throw IllegalArgumentException for
	capacity < 1.
	(Iterator.remove()): Decrement index after removing element.

2007-02-14  Jakub Jelinek  <jakub@redhat.com>
	Andrew Haley  <aph@redhat.com>

	* java/util/TimeZone.java (getDateParams): Negate dayOfWeek.

2012-03-22  Andrew John Hughes  <ahughes@redhat.com>

	* java/util/regex/Matcher.java:
	(usePattern(Pattern)): Implemented.

2012-03-25  Gerald Pfeifer  <gerald@pfeifer.com>

        PR libgcj/52694
	* native/jni/java-io/java_io_VMConsole.c (IUCLC): Define, if
	undefined.

2012-03-16  Andrew John Hughes  <ahughes@redhat.com>

	* NEWS: Add key along the same lines
	as IcedTea.

2012-03-12  Pekka Enberg  <penberg@kernel.org>

	* gnu/java/nio/FileLockImpl.java,
	* java/beans/XMLDecoder.java,
	* java/beans/XMLEncoder.java,
	* java/io/Closeable.java,
	* java/io/ObjectInput.java,
	* java/io/ObjectOutput.java,
	* java/lang/AutoCloseable.java,
	* java/nio/channels/FileLock.java,
	* java/sql/Connection.java,
	* java/sql/ResultSet.java,
	* java/sql/Statement.java,
	* javax/sound/midi/MidiDevice.java,
	* javax/sound/midi/Receiver.java,
	* javax/sound/midi/Transmitter.java,
	* javax/sound/sampled/Line.java:
	Add missing interface.

2012-03-12  Pekka Enberg  <penberg@kernel.org>

	* java/lang/reflect/Modifier.java:
	(classModifiers): Add missing method.
	(interfaceModifiers): Add missing method.
	(constructorModifiers): Add missing method.
	(methodModifiers): Add missing method.
	(fieldModifiers): Add missing method.

2012-03-12  Pekka Enberg  <penberg@kernel.org>

	* java/lang/ClassNotFoundException,
	* java/lang/IllegalAccessException.java,
	* java/lang/InstantiationException.java,
	* java/lang/NoSuchFieldException.java,
	* java/lang/NoSuchMethodException.java,
	* java/lang/ReflectiveOperationException.java,
	* java/lang/reflect/InvocationTargetException.java:
	Add ReflectiveOperationException class.

2012-03-12  Pekka Enberg  <penberg@kernel.org>

	* java/lang/AssertionError.java:
	(AssertionError): Add missing constructor.
	* java/lang/LinkageError.java:
	(LinkageError): Add missing constructor.

2012-03-12  Pekka Enberg  <penberg@kernel.org>

	* java/lang/Boolean.java:
	(compare): Add missing method.
	* java/lang/Byte.java:
	(compare): Add missing method.
	* java/lang/Character.java:
	(compare): Add missing method.
	* java/lang/Integer.java:
	(compare): Add missing method.
	* java/lang/Long.java:
	(compare): Add missing method.
	* java/lang/Short.java:
	(compare): Add missing method.

2012-03-12  Pekka Enberg  <penberg@kernel.org>

	* java/lang/System.java:
	(lineSeparator): Add missing method.

2012-03-12  Pekka Enberg  <penberg@kernel.org>

	* java/lang/reflect/Member.java:
	(getDeclaringClass): Fix return type.

2012-03-07  Andrew John Hughes  <ahughes@redhat.com>

	* NEWS:
	Add section for 1.0 release.
	* configure.ac:
	Bump to 1.0pre.

2012-03-07  Andrew John Hughes  <ahughes@redhat.com>

	* tools/Makefile.am:
	(TOOLS_JAVA_FILES): Remove duplication.
	(dist-hook): Fail if copying fails.

2012-03-07  Andrew John Hughes  <ahughes@redhat.com>

	* doc/cp-tools.texinfo:
	Move macro definition outside of if block
	so gcctabopt is always defined.

2012-02-15  Andrew John Hughes  <ahughes@redhat.com>

	* native/jni/gstreamer-peer/gst_classpath_src.c,
	(gst_classpath_src_class_init(GstClasspathSrcClass)):
	Remove unused gstelement_class.

2012-02-15  Andrew John Hughes  <ahughes@redhat.com>

	* NEWS: Updated prior to release.

2012-02-15  Andrew John Hughes  <ahughes@redhat.com>

	* java/text/DateFormatSymbols.java:
	(getStringArray(List,String,int,String)): Remove hack which
	removes last character of the input data; now unnecessary.
	* resource/gnu/java/locale/LocaleInformation.properties,
	* resource/gnu/java/locale/LocaleInformation_aa.properties,
	* resource/gnu/java/locale/LocaleInformation_aa_DJ.properties,
	* resource/gnu/java/locale/LocaleInformation_aa_ER_SAAHO.properties,
	* resource/gnu/java/locale/LocaleInformation_af.properties,
	* resource/gnu/java/locale/LocaleInformation_ak.properties,
	* resource/gnu/java/locale/LocaleInformation_am.properties,
	* resource/gnu/java/locale/LocaleInformation_ar.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_JO.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_LB.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_QA.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_SA.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_SY.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_TN.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_YE.properties,
	* resource/gnu/java/locale/LocaleInformation_as.properties,
	* resource/gnu/java/locale/LocaleInformation_az.properties,
	* resource/gnu/java/locale/LocaleInformation_az_Cyrl.properties,
	* resource/gnu/java/locale/LocaleInformation_be.properties,
	* resource/gnu/java/locale/LocaleInformation_bg.properties,
	* resource/gnu/java/locale/LocaleInformation_bn.properties,
	* resource/gnu/java/locale/LocaleInformation_bs.properties,
	* resource/gnu/java/locale/LocaleInformation_byn.properties,
	* resource/gnu/java/locale/LocaleInformation_ca.properties,
	* resource/gnu/java/locale/LocaleInformation_cch.properties,
	* resource/gnu/java/locale/LocaleInformation_cop.properties,
	* resource/gnu/java/locale/LocaleInformation_cs.properties,
	* resource/gnu/java/locale/LocaleInformation_cy.properties,
	* resource/gnu/java/locale/LocaleInformation_da.properties,
	* resource/gnu/java/locale/LocaleInformation_de.properties,
	* resource/gnu/java/locale/LocaleInformation_de_AT.properties,
	* resource/gnu/java/locale/LocaleInformation_de_BE.properties,
	* resource/gnu/java/locale/LocaleInformation_dv.properties,
	* resource/gnu/java/locale/LocaleInformation_dz.properties,
	* resource/gnu/java/locale/LocaleInformation_ee.properties,
	* resource/gnu/java/locale/LocaleInformation_el.properties,
	* resource/gnu/java/locale/LocaleInformation_en.properties,
	* resource/gnu/java/locale/LocaleInformation_en_Dsrt.properties,
	* resource/gnu/java/locale/LocaleInformation_en_Shaw.properties,
	* resource/gnu/java/locale/LocaleInformation_eo.properties,
	* resource/gnu/java/locale/LocaleInformation_es.properties,
	* resource/gnu/java/locale/LocaleInformation_et.properties,
	* resource/gnu/java/locale/LocaleInformation_eu.properties,
	* resource/gnu/java/locale/LocaleInformation_fa.properties,
	* resource/gnu/java/locale/LocaleInformation_fa_AF.properties,
	* resource/gnu/java/locale/LocaleInformation_fi.properties,
	* resource/gnu/java/locale/LocaleInformation_fil.properties,
	* resource/gnu/java/locale/LocaleInformation_fo.properties,
	* resource/gnu/java/locale/LocaleInformation_fr.properties,
	* resource/gnu/java/locale/LocaleInformation_fur.properties,
	* resource/gnu/java/locale/LocaleInformation_ga.properties,
	* resource/gnu/java/locale/LocaleInformation_gaa.properties,
	* resource/gnu/java/locale/LocaleInformation_gez.properties,
	* resource/gnu/java/locale/LocaleInformation_gl.properties,
	* resource/gnu/java/locale/LocaleInformation_gu.properties,
	* resource/gnu/java/locale/LocaleInformation_gv.properties,
	* resource/gnu/java/locale/LocaleInformation_ha.properties,
	* resource/gnu/java/locale/LocaleInformation_ha_Arab.properties,
	* resource/gnu/java/locale/LocaleInformation_haw.properties,
	* resource/gnu/java/locale/LocaleInformation_he.properties,
	* resource/gnu/java/locale/LocaleInformation_hi.properties,
	* resource/gnu/java/locale/LocaleInformation_hr.properties,
	* resource/gnu/java/locale/LocaleInformation_hu.properties,
	* resource/gnu/java/locale/LocaleInformation_hy.properties,
	* resource/gnu/java/locale/LocaleInformation_hy_AM_REVISED.properties,
	* resource/gnu/java/locale/LocaleInformation_ia.properties,
	* resource/gnu/java/locale/LocaleInformation_id.properties,
	* resource/gnu/java/locale/LocaleInformation_ig.properties,
	* resource/gnu/java/locale/LocaleInformation_ii.properties,
	* resource/gnu/java/locale/LocaleInformation_is.properties,
	* resource/gnu/java/locale/LocaleInformation_it.properties,
	* resource/gnu/java/locale/LocaleInformation_iu.properties,
	* resource/gnu/java/locale/LocaleInformation_ja.properties,
	* resource/gnu/java/locale/LocaleInformation_ka.properties,
	* resource/gnu/java/locale/LocaleInformation_kaj.properties,
	* resource/gnu/java/locale/LocaleInformation_kam.properties,
	* resource/gnu/java/locale/LocaleInformation_kcg.properties,
	* resource/gnu/java/locale/LocaleInformation_kfo.properties,
	* resource/gnu/java/locale/LocaleInformation_kk.properties,
	* resource/gnu/java/locale/LocaleInformation_kl.properties,
	* resource/gnu/java/locale/LocaleInformation_km.properties,
	* resource/gnu/java/locale/LocaleInformation_kn.properties,
	* resource/gnu/java/locale/LocaleInformation_ko.properties,
	* resource/gnu/java/locale/LocaleInformation_kok.properties,
	* resource/gnu/java/locale/LocaleInformation_kpe.properties,
	* resource/gnu/java/locale/LocaleInformation_ku_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_kw.properties,
	* resource/gnu/java/locale/LocaleInformation_ky.properties,
	* resource/gnu/java/locale/LocaleInformation_ln.properties,
	* resource/gnu/java/locale/LocaleInformation_lo.properties,
	* resource/gnu/java/locale/LocaleInformation_lt.properties,
	* resource/gnu/java/locale/LocaleInformation_lv.properties,
	* resource/gnu/java/locale/LocaleInformation_mk.properties,
	* resource/gnu/java/locale/LocaleInformation_ml.properties,
	* resource/gnu/java/locale/LocaleInformation_mn.properties,
	* resource/gnu/java/locale/LocaleInformation_mr.properties,
	* resource/gnu/java/locale/LocaleInformation_ms.properties,
	* resource/gnu/java/locale/LocaleInformation_mt.properties,
	* resource/gnu/java/locale/LocaleInformation_my.properties,
	* resource/gnu/java/locale/LocaleInformation_nb.properties,
	* resource/gnu/java/locale/LocaleInformation_ne.properties,
	* resource/gnu/java/locale/LocaleInformation_nl.properties,
	* resource/gnu/java/locale/LocaleInformation_nn.properties,
	* resource/gnu/java/locale/LocaleInformation_nr.properties,
	* resource/gnu/java/locale/LocaleInformation_nso.properties,
	* resource/gnu/java/locale/LocaleInformation_ny.properties,
	* resource/gnu/java/locale/LocaleInformation_om.properties,
	* resource/gnu/java/locale/LocaleInformation_or.properties,
	* resource/gnu/java/locale/LocaleInformation_pa.properties,
	* resource/gnu/java/locale/LocaleInformation_pa_Arab.properties,
	* resource/gnu/java/locale/LocaleInformation_pl.properties,
	* resource/gnu/java/locale/LocaleInformation_ps.properties,
	* resource/gnu/java/locale/LocaleInformation_pt.properties,
	* resource/gnu/java/locale/LocaleInformation_pt_PT.properties,
	* resource/gnu/java/locale/LocaleInformation_ro.properties,
	* resource/gnu/java/locale/LocaleInformation_ru.properties,
	* resource/gnu/java/locale/LocaleInformation_rw.properties,
	* resource/gnu/java/locale/LocaleInformation_sa.properties,
	* resource/gnu/java/locale/LocaleInformation_se.properties,
	* resource/gnu/java/locale/LocaleInformation_se_FI.properties,
	* resource/gnu/java/locale/LocaleInformation_si.properties,
	* resource/gnu/java/locale/LocaleInformation_sid.properties,
	* resource/gnu/java/locale/LocaleInformation_sk.properties,
	* resource/gnu/java/locale/LocaleInformation_sl.properties,
	* resource/gnu/java/locale/LocaleInformation_so.properties,
	* resource/gnu/java/locale/LocaleInformation_sq.properties,
	* resource/gnu/java/locale/LocaleInformation_sr.properties,
	* resource/gnu/java/locale/LocaleInformation_sr_BA_Cyrl.properties,
	* resource/gnu/java/locale/LocaleInformation_sr_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_ss.properties,
	* resource/gnu/java/locale/LocaleInformation_st.properties,
	* resource/gnu/java/locale/LocaleInformation_sv.properties,
	* resource/gnu/java/locale/LocaleInformation_sw.properties,
	* resource/gnu/java/locale/LocaleInformation_syr.properties,
	* resource/gnu/java/locale/LocaleInformation_ta.properties,
	* resource/gnu/java/locale/LocaleInformation_te.properties,
	* resource/gnu/java/locale/LocaleInformation_tg.properties,
	* resource/gnu/java/locale/LocaleInformation_th.properties,
	* resource/gnu/java/locale/LocaleInformation_ti.properties,
	* resource/gnu/java/locale/LocaleInformation_ti_ER.properties,
	* resource/gnu/java/locale/LocaleInformation_tig.properties,
	* resource/gnu/java/locale/LocaleInformation_tn.properties,
	* resource/gnu/java/locale/LocaleInformation_to.properties,
	* resource/gnu/java/locale/LocaleInformation_tr.properties,
	* resource/gnu/java/locale/LocaleInformation_trv.properties,
	* resource/gnu/java/locale/LocaleInformation_ts.properties,
	* resource/gnu/java/locale/LocaleInformation_tt.properties,
	* resource/gnu/java/locale/LocaleInformation_ug.properties,
	* resource/gnu/java/locale/LocaleInformation_uk.properties,
	* resource/gnu/java/locale/LocaleInformation_ur.properties,
	* resource/gnu/java/locale/LocaleInformation_uz.properties,
	* resource/gnu/java/locale/LocaleInformation_uz_Arab.properties,
	* resource/gnu/java/locale/LocaleInformation_uz_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_ve.properties,
	* resource/gnu/java/locale/LocaleInformation_vi.properties,
	* resource/gnu/java/locale/LocaleInformation_wal.properties,
	* resource/gnu/java/locale/LocaleInformation_wo.properties,
	* resource/gnu/java/locale/LocaleInformation_xh.properties,
	* resource/gnu/java/locale/LocaleInformation_yo.properties,
	* resource/gnu/java/locale/LocaleInformation_zh.properties,
	* resource/gnu/java/locale/LocaleInformation_zh_Hant.properties,
	* resource/gnu/java/locale/LocaleInformation_zu.properties:
	Update locale data without trailing separator.

2012-02-08  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/42390
	* java/nio/channels/spi/SelectorProvider.java:
	(provider()): Retrieve property value using
	PrivilegedAction.
	* java/security/KeyStore.java:
	(getDefaultType()): Likewise.

2012-02-06  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/42390
	* java/net/DatagramSocket.java:
	(connect(InetAddress,int)): Add missing security
	checks which OpenJDK performs and we don't.  It's
	possible to initialise a DatagramSocket with null
	so we should also ensure we are bound.

2012-02-01  Andrew John Hughes  <ahughes@redhat.com>

	* resource/gnu/java/locale/LocaleInformation.properties,
	* resource/gnu/java/locale/LocaleInformation_ar.properties,
	* resource/gnu/java/locale/LocaleInformation_az.properties,
	* resource/gnu/java/locale/LocaleInformation_be.properties,
	* resource/gnu/java/locale/LocaleInformation_bg.properties,
	* resource/gnu/java/locale/LocaleInformation_bn.properties,
	* resource/gnu/java/locale/LocaleInformation_ca.properties,
	* resource/gnu/java/locale/LocaleInformation_cs.properties,
	* resource/gnu/java/locale/LocaleInformation_cy.properties,
	* resource/gnu/java/locale/LocaleInformation_da.properties,
	* resource/gnu/java/locale/LocaleInformation_de.properties,
	* resource/gnu/java/locale/LocaleInformation_ee.properties,
	* resource/gnu/java/locale/LocaleInformation_el.properties,
	* resource/gnu/java/locale/LocaleInformation_en.properties,
	* resource/gnu/java/locale/LocaleInformation_en_Dsrt.properties,
	* resource/gnu/java/locale/LocaleInformation_en_Shaw.properties,
	* resource/gnu/java/locale/LocaleInformation_es.properties,
	* resource/gnu/java/locale/LocaleInformation_fa.properties,
	* resource/gnu/java/locale/LocaleInformation_fi.properties,
	* resource/gnu/java/locale/LocaleInformation_fil.properties,
	* resource/gnu/java/locale/LocaleInformation_fr.properties,
	* resource/gnu/java/locale/LocaleInformation_gaa.properties,
	* resource/gnu/java/locale/LocaleInformation_he.properties,
	* resource/gnu/java/locale/LocaleInformation_hi.properties,
	* resource/gnu/java/locale/LocaleInformation_hr.properties,
	* resource/gnu/java/locale/LocaleInformation_hu.properties,
	* resource/gnu/java/locale/LocaleInformation_is.properties,
	* resource/gnu/java/locale/LocaleInformation_it.properties,
	* resource/gnu/java/locale/LocaleInformation_ja.properties,
	* resource/gnu/java/locale/LocaleInformation_ko.properties,
	* resource/gnu/java/locale/LocaleInformation_lt.properties,
	* resource/gnu/java/locale/LocaleInformation_lv.properties,
	* resource/gnu/java/locale/LocaleInformation_ml.properties,
	* resource/gnu/java/locale/LocaleInformation_my.properties,
	* resource/gnu/java/locale/LocaleInformation_nb.properties,
	* resource/gnu/java/locale/LocaleInformation_nl.properties,
	* resource/gnu/java/locale/LocaleInformation_nn.properties,
	* resource/gnu/java/locale/LocaleInformation_pl.properties,
	* resource/gnu/java/locale/LocaleInformation_pt.properties,
	* resource/gnu/java/locale/LocaleInformation_pt_PT.properties,
	* resource/gnu/java/locale/LocaleInformation_ro.properties,
	* resource/gnu/java/locale/LocaleInformation_ru.properties,
	* resource/gnu/java/locale/LocaleInformation_si.properties,
	* resource/gnu/java/locale/LocaleInformation_sr.properties,
	* resource/gnu/java/locale/LocaleInformation_sr_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_sv.properties,
	* resource/gnu/java/locale/LocaleInformation_th.properties,
	* resource/gnu/java/locale/LocaleInformation_tr.properties,
	* resource/gnu/java/locale/LocaleInformation_uk.properties,
	* resource/gnu/java/locale/LocaleInformation_ur.properties,
	* resource/gnu/java/locale/LocaleInformation_uz_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_vi.properties,
	* resource/gnu/java/locale/LocaleInformation_zh.properties,
	* resource/gnu/java/locale/LocaleInformation_zh_Hant.properties,
	* resource/gnu/java/locale/LocaleInformation_zu.properties:
	Use the 'format' context type for months and days, and avoid
	alternatives for other elements.

2012-01-30  Andrew John Hughes  <ahughes@redhat.com>

	* resource/gnu/java/locale/LocaleInformation_ar.properties,
	* resource/gnu/java/locale/LocaleInformation_ar_LB.properties,
	* resource/gnu/java/locale/LocaleInformation_az.properties,
	* resource/gnu/java/locale/LocaleInformation_be.properties,
	* resource/gnu/java/locale/LocaleInformation_bg.properties,
	* resource/gnu/java/locale/LocaleInformation_bn.properties,
	* resource/gnu/java/locale/LocaleInformation_bn_IN.properties,
	* resource/gnu/java/locale/LocaleInformation_ca.properties,
	* resource/gnu/java/locale/LocaleInformation_cs.properties,
	* resource/gnu/java/locale/LocaleInformation_cy.properties,
	* resource/gnu/java/locale/LocaleInformation_da.properties,
	* resource/gnu/java/locale/LocaleInformation_de.properties,
	* resource/gnu/java/locale/LocaleInformation_el.properties,
	* resource/gnu/java/locale/LocaleInformation_en.properties,
	* resource/gnu/java/locale/LocaleInformation_en_Dsrt.properties,
	* resource/gnu/java/locale/LocaleInformation_eo.properties,
	* resource/gnu/java/locale/LocaleInformation_es.properties,
	* resource/gnu/java/locale/LocaleInformation_et.properties,
	* resource/gnu/java/locale/LocaleInformation_fa.properties,
	* resource/gnu/java/locale/LocaleInformation_fi.properties,
	* resource/gnu/java/locale/LocaleInformation_fil.properties,
	* resource/gnu/java/locale/LocaleInformation_fo.properties,
	* resource/gnu/java/locale/LocaleInformation_fr.properties,
	* resource/gnu/java/locale/LocaleInformation_ga.properties,
	* resource/gnu/java/locale/LocaleInformation_gl.properties,
	* resource/gnu/java/locale/LocaleInformation_gu.properties,
	* resource/gnu/java/locale/LocaleInformation_he.properties,
	* resource/gnu/java/locale/LocaleInformation_hi.properties,
	* resource/gnu/java/locale/LocaleInformation_hr.properties,
	* resource/gnu/java/locale/LocaleInformation_hu.properties,
	* resource/gnu/java/locale/LocaleInformation_is.properties,
	* resource/gnu/java/locale/LocaleInformation_it.properties,
	* resource/gnu/java/locale/LocaleInformation_ja.properties,
	* resource/gnu/java/locale/LocaleInformation_ka.properties,
	* resource/gnu/java/locale/LocaleInformation_ko.properties,
	* resource/gnu/java/locale/LocaleInformation_lt.properties,
	* resource/gnu/java/locale/LocaleInformation_lv.properties,
	* resource/gnu/java/locale/LocaleInformation_ml.properties,
	* resource/gnu/java/locale/LocaleInformation_my.properties,
	* resource/gnu/java/locale/LocaleInformation_nb.properties,
	* resource/gnu/java/locale/LocaleInformation_ne.properties,
	* resource/gnu/java/locale/LocaleInformation_nl.properties,
	* resource/gnu/java/locale/LocaleInformation_nn.properties,
	* resource/gnu/java/locale/LocaleInformation_pl.properties,
	* resource/gnu/java/locale/LocaleInformation_pt.properties,
	* resource/gnu/java/locale/LocaleInformation_pt_PT.properties,
	* resource/gnu/java/locale/LocaleInformation_ro.properties,
	* resource/gnu/java/locale/LocaleInformation_ru.properties,
	* resource/gnu/java/locale/LocaleInformation_se.properties,
	* resource/gnu/java/locale/LocaleInformation_se_FI.properties,
	* resource/gnu/java/locale/LocaleInformation_si.properties,
	* resource/gnu/java/locale/LocaleInformation_sk.properties,
	* resource/gnu/java/locale/LocaleInformation_sl.properties,
	* resource/gnu/java/locale/LocaleInformation_sr.properties,
	* resource/gnu/java/locale/LocaleInformation_sr_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_sv.properties,
	* resource/gnu/java/locale/LocaleInformation_ta.properties,
	* resource/gnu/java/locale/LocaleInformation_th.properties,
	* resource/gnu/java/locale/LocaleInformation_to.properties,
	* resource/gnu/java/locale/LocaleInformation_tr.properties,
	* resource/gnu/java/locale/LocaleInformation_uk.properties,
	* resource/gnu/java/locale/LocaleInformation_vi.properties,
	* resource/gnu/java/locale/LocaleInformation_zh.properties,
	* resource/gnu/java/locale/LocaleInformation_zh_Hant.properties:
	Use the main approved value for our properties, rather than
	just the one that happens to appear last in the XML source file.

2012-01-20  Andrew John Hughes  <ahughes@redhat.com>

	* resource/gnu/java/locale/LocaleInformation.properties,
	* resource/gnu/java/locale/LocaleInformation_aa.properties,
	* resource/gnu/java/locale/LocaleInformation_aa_DJ.properties,
	* resource/gnu/java/locale/LocaleInformation_aa_ER.properties,
	* resource/gnu/java/locale/LocaleInformation_af.properties,
	* resource/gnu/java/locale/LocaleInformation_am.properties,
	* resource/gnu/java/locale/LocaleInformation_ar.properties,
	* resource/gnu/java/locale/LocaleInformation_as.properties,
	* resource/gnu/java/locale/LocaleInformation_az.properties,
	* resource/gnu/java/locale/LocaleInformation_az_Cyrl.properties,
	* resource/gnu/java/locale/LocaleInformation_be.properties,
	* resource/gnu/java/locale/LocaleInformation_bg.properties,
	* resource/gnu/java/locale/LocaleInformation_bn.properties,
	* resource/gnu/java/locale/LocaleInformation_bn_IN.properties,
	* resource/gnu/java/locale/LocaleInformation_bs.properties,
	* resource/gnu/java/locale/LocaleInformation_byn.properties,
	* resource/gnu/java/locale/LocaleInformation_ca.properties,
	* resource/gnu/java/locale/LocaleInformation_cs.properties,
	* resource/gnu/java/locale/LocaleInformation_cy.properties,
	* resource/gnu/java/locale/LocaleInformation_da.properties,
	* resource/gnu/java/locale/LocaleInformation_de.properties,
	* resource/gnu/java/locale/LocaleInformation_de_CH.properties,
	* resource/gnu/java/locale/LocaleInformation_dz.properties,
	* resource/gnu/java/locale/LocaleInformation_el.properties,
	* resource/gnu/java/locale/LocaleInformation_en.properties,
	* resource/gnu/java/locale/LocaleInformation_en_Dsrt.properties,
	* resource/gnu/java/locale/LocaleInformation_en_IE.properties,
	* resource/gnu/java/locale/LocaleInformation_eo.properties,
	* resource/gnu/java/locale/LocaleInformation_es.properties,
	* resource/gnu/java/locale/LocaleInformation_es_AR.properties,
	* resource/gnu/java/locale/LocaleInformation_es_CL.properties,
	* resource/gnu/java/locale/LocaleInformation_et.properties,
	* resource/gnu/java/locale/LocaleInformation_eu.properties,
	* resource/gnu/java/locale/LocaleInformation_fa.properties,
	* resource/gnu/java/locale/LocaleInformation_fa_AF.properties,
	* resource/gnu/java/locale/LocaleInformation_fi.properties,
	* resource/gnu/java/locale/LocaleInformation_fil.properties,
	* resource/gnu/java/locale/LocaleInformation_fo.properties,
	* resource/gnu/java/locale/LocaleInformation_fr.properties,
	* resource/gnu/java/locale/LocaleInformation_fur.properties,
	* resource/gnu/java/locale/LocaleInformation_ga.properties,
	* resource/gnu/java/locale/LocaleInformation_gez.properties,
	* resource/gnu/java/locale/LocaleInformation_gez_ET.properties,
	* resource/gnu/java/locale/LocaleInformation_gl.properties,
	* resource/gnu/java/locale/LocaleInformation_gu.properties,
	* resource/gnu/java/locale/LocaleInformation_ha.properties,
	* resource/gnu/java/locale/LocaleInformation_haw.properties,
	* resource/gnu/java/locale/LocaleInformation_he.properties,
	* resource/gnu/java/locale/LocaleInformation_hi.properties,
	* resource/gnu/java/locale/LocaleInformation_hr.properties,
	* resource/gnu/java/locale/LocaleInformation_hu.properties,
	* resource/gnu/java/locale/LocaleInformation_hy.properties,
	* resource/gnu/java/locale/LocaleInformation_ia.properties,
	* resource/gnu/java/locale/LocaleInformation_id.properties,
	* resource/gnu/java/locale/LocaleInformation_ii.properties,
	* resource/gnu/java/locale/LocaleInformation_is.properties,
	* resource/gnu/java/locale/LocaleInformation_it.properties,
	* resource/gnu/java/locale/LocaleInformation_ja.properties,
	* resource/gnu/java/locale/LocaleInformation_ka.properties,
	* resource/gnu/java/locale/LocaleInformation_kk.properties,
	* resource/gnu/java/locale/LocaleInformation_km.properties,
	* resource/gnu/java/locale/LocaleInformation_kn.properties,
	* resource/gnu/java/locale/LocaleInformation_ko.properties,
	* resource/gnu/java/locale/LocaleInformation_kok.properties,
	* resource/gnu/java/locale/LocaleInformation_ku.properties,
	* resource/gnu/java/locale/LocaleInformation_ku_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_ky.properties,
	* resource/gnu/java/locale/LocaleInformation_ln.properties,
	* resource/gnu/java/locale/LocaleInformation_lo.properties,
	* resource/gnu/java/locale/LocaleInformation_lt.properties,
	* resource/gnu/java/locale/LocaleInformation_lv.properties,
	* resource/gnu/java/locale/LocaleInformation_mk.properties,
	* resource/gnu/java/locale/LocaleInformation_ml.properties,
	* resource/gnu/java/locale/LocaleInformation_mn.properties,
	* resource/gnu/java/locale/LocaleInformation_mr.properties,
	* resource/gnu/java/locale/LocaleInformation_ms.properties,
	* resource/gnu/java/locale/LocaleInformation_mt.properties,
	* resource/gnu/java/locale/LocaleInformation_my.properties,
	* resource/gnu/java/locale/LocaleInformation_nb.properties,
	* resource/gnu/java/locale/LocaleInformation_ne.properties,
	* resource/gnu/java/locale/LocaleInformation_nl.properties,
	* resource/gnu/java/locale/LocaleInformation_nl_BE.properties,
	* resource/gnu/java/locale/LocaleInformation_nn.properties,
	* resource/gnu/java/locale/LocaleInformation_om.properties,
	* resource/gnu/java/locale/LocaleInformation_pa.properties,
	* resource/gnu/java/locale/LocaleInformation_pa_Arab.properties,
	* resource/gnu/java/locale/LocaleInformation_pl.properties,
	* resource/gnu/java/locale/LocaleInformation_ps.properties,
	* resource/gnu/java/locale/LocaleInformation_pt.properties,
	* resource/gnu/java/locale/LocaleInformation_pt_PT.properties,
	* resource/gnu/java/locale/LocaleInformation_ro.properties,
	* resource/gnu/java/locale/LocaleInformation_ru.properties,
	* resource/gnu/java/locale/LocaleInformation_ru_UA.properties,
	* resource/gnu/java/locale/LocaleInformation_rw.properties,
	* resource/gnu/java/locale/LocaleInformation_sa.properties,
	* resource/gnu/java/locale/LocaleInformation_se.properties,
	* resource/gnu/java/locale/LocaleInformation_se_FI.properties,
	* resource/gnu/java/locale/LocaleInformation_sid.properties,
	* resource/gnu/java/locale/LocaleInformation_sk.properties,
	* resource/gnu/java/locale/LocaleInformation_sl.properties,
	* resource/gnu/java/locale/LocaleInformation_so.properties,
	* resource/gnu/java/locale/LocaleInformation_sq.properties,
	* resource/gnu/java/locale/LocaleInformation_sr.properties,
	* resource/gnu/java/locale/LocaleInformation_sr_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_st.properties,
	* resource/gnu/java/locale/LocaleInformation_sv.properties,
	* resource/gnu/java/locale/LocaleInformation_sv_FI.properties,
	* resource/gnu/java/locale/LocaleInformation_sw.properties,
	* resource/gnu/java/locale/LocaleInformation_ta.properties,
	* resource/gnu/java/locale/LocaleInformation_te.properties,
	* resource/gnu/java/locale/LocaleInformation_tg.properties,
	* resource/gnu/java/locale/LocaleInformation_th.properties,
	* resource/gnu/java/locale/LocaleInformation_ti.properties,
	* resource/gnu/java/locale/LocaleInformation_ti_ER.properties,
	* resource/gnu/java/locale/LocaleInformation_tig.properties,
	* resource/gnu/java/locale/LocaleInformation_tn.properties,
	* resource/gnu/java/locale/LocaleInformation_to.properties,
	* resource/gnu/java/locale/LocaleInformation_tr.properties,
	* resource/gnu/java/locale/LocaleInformation_trv.properties,
	* resource/gnu/java/locale/LocaleInformation_ts.properties,
	* resource/gnu/java/locale/LocaleInformation_uk.properties,
	* resource/gnu/java/locale/LocaleInformation_ur.properties,
	* resource/gnu/java/locale/LocaleInformation_uz.properties,
	* resource/gnu/java/locale/LocaleInformation_uz_Arab.properties,
	* resource/gnu/java/locale/LocaleInformation_uz_Latn.properties,
	* resource/gnu/java/locale/LocaleInformation_vi.properties,
	* resource/gnu/java/locale/LocaleInformation_wal.properties,
	* resource/gnu/java/locale/LocaleInformation_wo.properties,
	* resource/gnu/java/locale/LocaleInformation_xh.properties,
	* resource/gnu/java/locale/LocaleInformation_yo.properties,
	* resource/gnu/java/locale/LocaleInformation_zh.properties,
	* resource/gnu/java/locale/LocaleInformation_zh_HK_Hant.properties,
	* resource/gnu/java/locale/LocaleInformation_zh_Hant.properties,
	* resource/gnu/java/locale/LocaleInformation_zu.properties:
	Update property files so that the keys are sorted, making later
	changes visible.  No actual data changes.

2011-12-12  Andrew John Hughes  <ahughes@redhat.com>

	RH712013: pdftk crashes with java.lang.ArrayIndexOutOfBoundsException
	* java/text/DateFormatSymbols.java:
	(getStringArray(List<ResourceBundle>, String, int)):
	Calls getStringArray(list,string,int,null).
	(getStringArray(List<ResourceBundle>, String, int, String[])):
	Populate a String array with locale data.  The data
	used is the first non-null non-empty element found
	as we traverse the locale hierarchy. May be supplemented
	by fallback data.
	(DateFormatSymbols(Locale)): Get a list of all bundles up the
	locale hierarchy, rather than just using the one specific locale.
	Use the improved getStringArray method to populate the arrays,
	supplying existing data where "sideways" inheritance takes place.

2012-01-07  Pekka Enberg  <penberg@kernel.org>

	* include/Makefile.am:
	Add java_io_VMConsole.h.
	* java/io/Console:
	Add Java 1.6 java/io/Console API.
	* java/lang/System.java:
	(console): Add Java 1.6 console() API.
	* vm/reference/java/io/VMConsole:
	Add new class.
	* native/jni/java-io/Makefile.am:
	Add java_io_VMConsole.c.
	* native/jni/java-io/java_io_VMConsole.c:
	Add native helpers for java/io/Console.

2012-01-05  Pekka Enberg  <penberg@kernel.org>

	* java/io/IOError:
	Add new class.

2011-12-01  Andrew John Hughes  <ahughes@redhat.com>

	* gnu/javax/net/ssl/provider/CipherSuite.java:
	Pass CBC mode to the static CipherSuite instances.
	(isCBCMode): New variable.
	(CipherSuite(CipherAlgorithm, KeyExchangeAlgorithm,
	SignatureAlgorithm, MacAlgorithm, int, int, int, String, boolean)):
	Allow isCBCMode to be specified.
	(CipherSuite(CipherAlgorithm, KeyExchangeAlgorithm, boolean,
	SignatureAlgorithm, MacAlgorithm, int, int, int, String, boolean)):
	Likewise.
	(cipher()): Generalise setting of 'alg' to work with any suite
	that does not use CBC, not just "RC4".
	(isCBCMode()): New method.  Returns true if the CBC mode is used.
	* gnu/javax/net/ssl/provider/OutputSecurityParameters.java:
	(enableCBCProtection): Set to true by default of if jsse.enableCBCProtection
	is true.
	(needToSplitPayload()): Returns true if TLS < 1.1 is in use with
	a CBC mode cipher and CBC protection is enabled.
	* gnu/javax/net/ssl/provider/SSLEngineImpl.java:
	(wrap(ByteBuffer[], int, int, ByteBuffer)): Send application data
	as two packets (1 and n - 1) if CBC protection is enabled.

2011-10-24  Pekka Enberg  <penberg@kernel.org>

	* java/util/HashMap.java:
	(put): Fix NullPointerException for null keys.

2011-09-29  Jan Beulich  <jbeulich@suse.com>

	* tools/Makefile.am (TOOLS_ZIP): Make writable the copied subtrees
	asm/ and classes/.
	* tools/Makefile.in: Re-generate.

2011-09-09  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/45526: Produce header files for
	any inner classes found.
	* tools/gnu/classpath/tools/javah/Main.java:
	(parsed): Set of class names that have been parsed.
	(writeHeader(Map,Printer)): Take a general Map
	rather than a specific HashMap.
	(parseClasses(Iterator<Object>)): Factor out
	the parsing of class files into a separate
	method so it can be called recursively for
	inner classes.
	(getClass(String)): Remove redundant cast.

2011-07-07  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/45527
	* tools/gnu/classpath/tools/javah/JniHelper.java:
	(mangle(String)): Replace '$' with '_' rather than
	encoding it as hex.

2011-07-07  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/40188
	* tools/gnu/classpath/tools/javah/JniIncludePrinter.java:
	(writeFields(ClassWrapper,JniPrintStream)): Retain a
	reference to the original class and use it in naming
	fields, as opposed to the class in which it occurs.

2011-07-05  Pekka Enberg  <penberg@kernel.org>

	* configure.ac:
	Check for clock_gettime().
	native/jni/java-lang/java_lang_VMSystem.c:
	(Java_java_lang_VMSystem_nanoTime):
	Fix compile error on systems that don't have clock_gettime().

2011-06-27  Andrew John Hughes  <ahughes@redhat.com>

	Fix issues with building with -Werror and gcc 4.6.
	* native/jni/gtk-peer/GtkDragSourceContextPeer.c:
	(Java_gnu_java_awt_dnd_peer_gtk_GtkDragSourceContextPeer_nativeSetCursor):
	Remove unused ptr variable and mark env as unused.
	(connect_signals_for_widget(GtkWidget*)): Mark w unused and don't set it.
	(Java_gnu_java_awt_dnd_peer_gtk_GtkDragSourceContextPeer_nativeStartDrag):
	Remove unused ptr variable.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_ComponentGraphics.c:
	(Java_gnu_java_awt_peer_gtk_ComponentGraphics_initState):
	Remove unused width and height variables.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c:
	(Java_gnu_java_awt_peer_gtk_GdkRobotPeer_mouseMove):
	Check result of XTestFakeMotionEvent call.
	(Java_gnu_java_awt_peer_gtk_GdkRobotPeer_mousePress): Likewise for
	XTestFakeButtonEvent call.
	(Java_gnu_java_awt_peer_gtk_GdkRobotPeer_mouseRelease): Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkRobotPeer_keyPress): Use g_message
	instead of deprecated g_printerr.  Check result of XTestFakeKeyEvent.
	(Java_gnu_java_awt_peer_gtk_GdkRobotPeer_keyRelease): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c:
	(Java_gnu_java_awt_peer_gtk_GtkPopupMenuPeer_setupAccelGroup):
	Completely disable code to attach parent, including use of ptr2
	and parent argument, and reinstate original FIXME to explain why.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkVolatileImage.c:
	(Java_gnu_java_awt_peer_gtk_GtkVolatileImage_nativeGetPixels):
	Remove unused depth variable.
	* native/jni/midi-alsa/gnu_javax_sound_midi_alsa_AlsaPortDevice.c,
	(Java_gnu_javax_sound_midi_alsa_AlsaPortDevice_run_1receiver_1thread_1):
	Check return values and throw an InternalError if a problem occurs.

2011-05-29  Pekka Enberg  <penberg@kernel.org>

	* lib/Makefile.am:
	Generate META-INF/INDEX.LST for glibj.zip.

2011-04-25  Pekka Enberg  <penberg@kernel.org>

	* java/util/regex/Matcher.java:
	(quoteReplacement): Implement missing Java 1.5 API method.

2011-03-30  Gert Brettlecker  <gert.brettlecker@ergon.ch>

	PR classpath/42823
	* native/jni/java-net/java_net_VMInetAddress.c,
	(Java_VMInetAddress_getHostByAddr(JNIEnv*,jclass,jarray)):
	Free address structure after use.
	(Java_java_net_VMInetAddress_aton(JNIEnv*,jclass,jstring)):
	Release UTF string after use.

2011-03-17  Pekka Enberg  <penberg@kernel.org>

	* native/jni/java-nio/java_nio_VMDirectByteBuffer.c:
	(Java_java_nio_VMDirectByteBuffer_allocate): Check for negative
	capacity.

2011-03-14  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/42390
	* java/net/Socket.java:
	(connect(SocketAddress, int)): Add missing call
	to SecurityManager.

2011-03-15  Jeroen Frijters  <jeroen@frijters.net>

	PR classpath/48131
	* java/util/zip/InflaterHuffmanTree.java:
	(buildTree): Handle empty tree.

2011-03-14  Pekka Enberg  <penberg@kernel.org>

	* javax/swing/text/html/StyleSheet.java:
	(resolveStyle()): Fix misuse of ArrayList.set().

2011-02-22  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/42390
	* java/security/ProtectionDomain.java:
	(toString()): Don't include permissions from
	the policy if we don't have permission to read
	it.

2011-03-02  Pekka Enberg  <penberg@kernel.org>

	* java/util/regex/Matcher:
	(find): Make sure match is within input data limits.

2011-02-22  Pekka Enberg  <penberg@kernel.org>

	* java/util/HashMap:
	(put): Check for key hashCode equality before invoking
	Object.equals() to fix compatibility issue with Jython.

2011-02-22  Pekka Enberg  <penberg@kernel.org>

	* java/util/HashMap:
	(DEFAULT_CAPACITY): Make default initial capacity 16 as it is
	defined in official Javadocs.

2010-02-16  Pekka Enberg  <penberg@kernel.org>

	* java/util/Formatter.java:
	(parseInt): Use Integer.parseInt() insted of Integer.decode()
	because the latter doesn't work with leading zeros which are
	used in String.format() formatting, for example.

2010-07-02  Ivan Maidanski  <ivmai@mail.ru>

	* java/util/regex/Pattern.java:
	(quote): Implement new 1.5 Java API method.

2011-01-23  Pekka Enberg <penberg@kernel.org>

	* java/io/PrintStream.java
	(PrintStream): Throw NullPointerException if out or encoding
	is null to be compatible with OpenJDK.

2011-01-22  Pekka Enberg  <penberg@kernel.org>

	* native/jni/java-lang/java_lang_VMSystem.c
	(Java_java_lang_VMSystem_nanoTime): Fallback to
	gettimeofday() if clock_gettime(CLOCK_MONOTONIC) fails.

2011-01-22  Pekka Enberg  <penberg@kernel.org>

	* native/jni/java-lang/java_lang_VMSystem.c
	(currentTimeMillis): Rename currentTimeMillis to
	currentTimeMicros to reflect what the function returns.

2011-01-21  Pekka Enberg  <penberg@kernel.org>

	* java/lang/Class.java:
	(getDeclaredField): Throw NullPointerException instead of
	NoSuchFieldException if name is null.
	(getField): Likewise.
	(getDeclaredMethod): Throw NullPointerException instead of
	NoSuchMethodException if name is null.
	(getMethod): Likewise.

2010-12-25  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/42390
	* java/io/File.java:
	(isHidden()): Add and document missing
	security check.

2010-12-25  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/42390
	* java/util/logging/LogManager.java:
	(addPropertyChangeListener(PropertyChangeListener)):
	Document fully.  Throw NPE in a clearer way.  Add
	SecurityException.
	(removePropertyChangeListener(PropertyChangeListener)):
	Document fully. Add SecurityException.

2010-12-25  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/42390
	* java/io/ObjectOutputStream.java:
	(ObjectOutputStream(OutputStream)): Add
	required security check.
	(overridesMethods(Class<?>)): Check whether
	the subclass overrides one of the methods
	which requires a security check.

2010-12-24  Andrew John Hughes  <ahughes@redhat.com>

	* java/security/ProtectionDomain.java,
	(hasAllPermissions): Add new field.
	(ProtectionDomain(CodeSource,PermissionCollection,
	ClassLoader,Principal,boolean)): Check if permission
	collection includes AllPermission and, if so, set
	hasAllPermissions.
	(implies(Permission)): Immediately return true if
	hasAllPermissions is set.

2006-07-21  Tom Tromey  <tromey@redhat.com>

	* vm/reference/java/lang/VMClass.java:
	(getSimpleName()): Use implementation from
	gcj.

2010-12-02  Andrew John Hughes  <ahughes@redhat.com>

	PR classpath/46775
	* vm/reference/java/security/VMAccessController.java:
	(DEFAULT_CONTEXT): Create ProtectionDomain with
	four argument constructor (arguments are the same
	as those implied by the two argument constructor).
	(getContext()): Create ProtectionDomain instances
	with four argument constructor using a null Principal
	array (as before) but including the classloader, which
	was always null before.

2010-11-04  Andrew John Hughes  <ahughes@redhat.com>

	* config.rpath:
	Add file required by autogen.sh due to use
	of AM_ICONV.
	* m4/ax_func_which_gethostbyname_r.m4:
	Use AC_LANG_SOURCE as suggested by warnings from
	autoconf 2.68.

2010-11-04  Andrew John Hughes  <ahughes@redhat.com>

	Provide a fallback for systems without POSIX timers.
	* native/jni/java-lang/java_lang_VMSystem.c:
	(currentTimeMillis): New function which provides
	the behaviour for both Java_java_lang_VMSystem_currentTimeMillis
	and the fallback by obtaining the result of gettimeofday.
	(Java_java_lang_VMSystem_nanoTime): Return currentTimeMillis
	multiplied by a 1000 if a monotonic clock is unavailable.
	(Java_java_lang_VMSystem_currentTimeMillis): Split main behaviour
	out into currentTimeMillis and then return its result divided by a
	1000.

2010-07-08  Roland Brand  <roland.brand@ergon.ch>
	Pekka Enberg  <penberg@kernel.org>

	PR classpath/44411
	* native/jni/java-lang/java_lang_VMSystem.c:
	(Java_java_lang_VMSystem_nanoTime): Implement
	using POSIX monotonic clock support and clock_gettime.
	(Java_java_lang_VMSystem_currentTimeMillis):
	Use old nanoTime method (which uses gettimeofday) to
	provide the current time in milliseconds.
	* vm/reference/java/lang/VMSystem.java:
	(currentTimeMillis()): Make native with its own implementation
	rather than using nanoTime, which should be
	independent of wall-clock time.

2010-05-09  Ivan Maidanski  <ivmai@mail.ru>

	* gnu/java/security/Properties.java: Only
	initialise log if Configuration.DEBUG is true.
	* gnu/java/security/der/DERWriter.java:
	(toUtf8(String)): Calculate 1.5 * len using
	len + (len >> 1) to avoid multiplication by a floating-point
	number.
	* gnu/java/security/hash/Whirlpool.java: Only
	initialise log if Configuration.DEBUG is true.
	* gnu/java/security/jce/sig/EncodedKeyFactory.java: Likewise.
	* gnu/java/security/jce/sig/SignatureAdapter.java: Likewise.
	* gnu/java/security/key/dss/DSSKeyPairGenerator.java: Likewise.
	* gnu/java/security/key/dss/DSSKeyPairPKCS8Codec.java: Likewise.
	* gnu/java/security/key/rsa/RSAKeyPairGenerator.java: Likewise.
	* gnu/java/security/key/rsa/RSAKeyPairPKCS8Codec.java: Likewise.
	* gnu/java/security/key/rsa/RSAKeyPairX509Codec.java: Likewise.
	* gnu/java/security/pkcs/PKCS7SignedData.java: Likewise.
	* gnu/java/security/pkcs/SignerInfo.java: Likewise.
	(SignerInfo(BERReader)): Only print version if Configuration.DEBUG is
	true, as with other output.
	* gnu/java/security/provider/PKIXCertPathValidatorImpl.java:
	Only initialise log if Configuration.DEBUG is true.
	* gnu/java/security/sig/rsa/EMSA_PSS.java: Likewise.
	* gnu/java/security/sig/rsa/RSAPSSSignature.java: Likewise.
	* gnu/java/security/x509/X509CRL.java: Likewise.
	* gnu/java/security/x509/X509CRLEntry.java: Likewise.
	* gnu/java/security/x509/ext/Extension.java: Likewise.
	* gnu/javax/crypto/cipher/Anubis.java: Likewise.
	* gnu/javax/crypto/cipher/BaseCipher.java: Likewise.
	* gnu/javax/crypto/cipher/Khazad.java: Likewise.
	* gnu/javax/crypto/cipher/Rijndael.java: Likewise.
	* gnu/javax/crypto/cipher/Twofish.java: Likewise.
	* gnu/javax/crypto/jce/cipher/KeyWrappingAlgorithmAdapter.java: Likewise.
	* gnu/javax/crypto/jce/keyring/GnuKeyring.java: Likewise.
	* gnu/javax/crypto/jce/params/BlockCipherParameters.java: Likewise.
	* gnu/javax/crypto/jce/prng/ICMRandomSpi.java: Likewise.
	* gnu/javax/crypto/jce/prng/UMacRandomSpi.java: Likewise.
	* gnu/javax/crypto/key/dh/GnuDHKeyPairGenerator.java: Likewise.
	(sha): Drop unused variable.
	(rnd): Use implicit initialisation to null as with other variables.
	* gnu/javax/crypto/key/srp6/SRPKeyPairGenerator.java:
	Only initialise log if Configuration.DEBUG is true.
	* gnu/javax/crypto/keyring/Entry.java: Likewise.
	* gnu/javax/crypto/keyring/EnvelopeEntry.java: Likewise.
	* gnu/javax/crypto/keyring/GnuPublicKeyring.java: Likewise.
	* gnu/javax/crypto/mac/OMAC.java: Likewise.
	* gnu/javax/crypto/pad/BasePad.java: Likewise.
	* gnu/javax/crypto/pad/PKCS1_V1_5.java: Likewise.
	* gnu/javax/crypto/pad/PKCS7.java: Likewise.
	* gnu/javax/crypto/pad/TBC.java: Likewise.
	* gnu/javax/crypto/prng/CSPRNG.java: Likewise.
	(getSystemInstance()): Clarify bracketing of for loop
	and ignorance of exceptions in the OTHER case.
	* gnu/javax/crypto/sasl/SaslInputStream.java:
	Only initialise log if Configuration.DEBUG is true.
	* gnu/javax/crypto/sasl/SaslOutputStream.java: Likewise.
	* gnu/javax/crypto/sasl/srp/SRPClient.java: Likewise.
	* gnu/javax/crypto/sasl/srp/SRPServer.java: Likewise.
	* gnu/javax/security/auth/login/ConfigFileParser.java: Likewise.
	(map): Make final.
	* gnu/javax/security/auth/login/ConfigFileTokenizer.java:
	Only initialise log if Configuration.DEBUG is true.
	(br): Make final.
	(ConfigFileTokenizer(Reader)): Remove explicit initialisation of
	initialised and call to superclass when superclass is Object.
	* gnu/javax/security/auth/login/GnuConfiguration.java:
	Only iniialise log if Configuration.DEBUG is true.
	* java/math/BigInteger.java: Likewise.

2010-04-12  Ivan Maidanski  <ivmai@mail.ru>

	PR classpath/40889
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c:
	(Java_gnu_java_awt_peer_gtk_GtkToolkit_gtkInit): Convert gtktoolkit
	value to a global reference (to be accessible in set_running_flag,
	clear_running_flag).

2010-04-12  Ivan Maidanski  <ivmai@mail.ru>

        * native/jni/classpath/jcl.c:
	Simplify attribute #ifndef block.
	(JCL_POINTER_CLASSNAME): Define dependent on size of void*.
	(JCL_POINTER_DATASIGN): Likewise.
	(JCL_POINTER_INTTYPE): Likewise.
	(JCL_POINTER_GETFIELD): Likewise.
	(JNI_OnLoad): Define only if not JCL_NO_JNIONLOAD.
	Use JCL_POINTER_xxx macros instead of SIZEOF_VOID_P.
	(JCL_NewRawDataObject): Use JCL_POINTER_xxx macros instead of SIZEOF_VOID_P.
	Initialize rawDataClass, rawData_fid, rawData_mid global variables if JCL_NO_JNIONLOAD.
	(JCL_realloc): Don't call free() for NULL pointer.
	(JCL_GetRawData): Use JCL_POINTER_xxx macros instead of SIZEOF_VOID_P.
	Initialize rawDataClass, rawData_fid, rawData_mid global variables
	if JCL_NO_JNIONLOAD.

2010-07-30  Andrew Haley  <aph@redhat.com>

        * javax/print/attribute/standard/JobStateReasons.java (add): Fix
        infinite recursion with call to super.

2010-07-13  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/zip/ZipFile.java:
	(readEntries): Throw exception when an encrypted entry is encountered.

2010-07-13  Daniel Noll  <daniel@nuix.com>

	* java/util/zip/InflaterHuffmanTree.java:
	(buildTree): Fix for #36560.

2010-04-12  Ivan Maidanski  <ivmai@mail.ru>

	* vm/reference/gnu/classpath/VMStackWalker.java: Make the default
	constructor private.
	* vm/reference/gnu/classpath/VMSystemProperties.java: Likewise and make class final.
	* vm/reference/gnu/java/lang/VMCPStringBuilder.java: Likewise.
	* vm/reference/gnu/java/lang/VMInstrumentationImpl.java: Likewise.
	* vm/reference/gnu/java/lang/management/VMClassLoadingMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMCompilationMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMGarbageCollectorMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMMemoryMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMMemoryManagerMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMMemoryPoolMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMOperatingSystemMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMRuntimeMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/lang/management/VMThreadMXBeanImpl.java:
	Likewise.
	* vm/reference/gnu/java/net/VMPlainDatagramSocketImpl.java: Likewise.
	Make class non-public and add missing full stop in comment.
	* vm/reference/gnu/java/nio/VMPipe.java: Make the default constructor private.
	* vm/reference/gnu/java/nio/VMSelector.java: Likewise and make class non-public.
	* vm/reference/gnu/java/security/jce/prng/VMSecureRandom.java:
	Make the default constructor private.
	(Spinner.stop()): Make package-private to ease access from enclosing class.
	* vm/reference/java/io/VMFile.java: Make the default constructor private.
	Fix punctuation in documentation.
	(getTotalSpace(String)): Make package-private.
	(getFreeSpace(String)): Likewise.
	(getUsableSpace(String)): Likewise.
	(setReadable(String,boolean,boolean)): Likewise.
	(setExecutable(String,boolean,boolean)): Likewise.
	(toCanonicalForm(String)): Likewise.
	* vm/reference/java/io/VMObjectInputStream.java: Make default constructor private.
	* vm/reference/java/io/VMObjectStreamClass.java: Likewise.
	* vm/reference/java/lang/VMClassLoader.java: Likewise.
	* vm/reference/java/lang/VMCompiler.java:
	(compileClass(Class)): Make package-private.
	(compileClasses(String)): Likewise.
	(command(String)): Likewise.
        (enable()): Likewise.
        (disable()): Likewise.
	* vm/reference/java/lang/VMDouble.java: Make constructor package-private.
	(doubleToRawLongBits(double)): Make package-private.
	(longBitsToDouble(long)): Likewise.
	(toString(double, boolean)): Likewise.
	(initIDs()): Make private.
	(parseDouble(String)): Make package-private.
	* vm/reference/java/lang/VMFloat.java: Make constructor package-private.
	* vm/reference/java/lang/VMMath.java: Likewise and make class final.
	(sin(double)): Make package-private.
	(cos(double)): Likewise.
	(tan(double)): Likewise.
	(asin(double)): Likewise.
	(acos(double)): Likewise.
	(atan(double)): Likewise.
	(atan2(double, double)): Likewise.
	(exp(double)): Likewise.
	(log(double)): Likewise.
	(sqrt(double)): Likewise.
	(pow(double)): Likewise.
	(IEEEremainder(double, double)): Likewise.
	(ceil(double)): Likewise.
	(floor(double)): Likewise.
	(rint(double)): Likewise.
	(cbrt(double)): Likewise.
        (cosh(double)): Likewise.
        (expm1(double)): Likewise.
        (hypot(double)): Likewise.
        (log10(double)): Likewise.
        (log1p(double)): Likewise.
        (sinh(double)): Likewise.
        (tanh(double)): Likewise.
	* vm/reference/java/lang/VMObject.java: Make constructor package-private.
	* vm/reference/java/lang/VMString.java: Likewise.
	* vm/reference/java/lang/VMSystem.java: Likewise.
	(mapLibraryName(String)): Remove the commented out function (since
	exists in VMRuntime).
	(currentTimeMillis()): Make package-private.
	(nanoTime()): Likewise.
	* vm/reference/java/lang/management/VMManagementFactory.java:
	Make constructor package-private.
	* vm/reference/java/lang/reflect/VMArray.java: Make constructor
	package-private and class final.
	* vm/reference/java/lang/reflect/VMProxy.java: Make constructor
	package-private.
	* vm/reference/java/net/VMInetAddress.java: Make constructor package-private
	and class final..
	(getLocalHostname()): Make package-private.
	(lookupInaddrAny()): Likewise.
	(getHostByAddr(byte[])): Likewise.
	(getHostByName(String)): Likewise.
	(aton(String)): Likewise.
	* vm/reference/java/net/VMURLConnection.java: Make constructor package-private.
	(LENGTH): Likewise.
	* vm/reference/java/nio/VMDirectByteBuffer.java: Make constructor package-private.
	Fix indenting.
	* vm/reference/java/security/VMSecureRandom.java: Make constructor package-private.
	Make the default constructor private.
	(Spinner.stop()): Make package-private to ease access from enclosing class.
	* vm/reference/java/util/VMTimeZone.java: Make constructor package-private.
	* vm/reference/sun/misc/Unsafe.java: Make class final.
	(unsafe): Make final.

2010-06-21  Andrew John Hughes  <ahughes@redhat.com>

	* tools/Makefile.am:
	Fix patch to message bundles.

2010-04-12  Ivan Maidanski  <ivmai@mail.ru>

        * examples/gnu/classpath/examples/swing/Demo.java:
	(mkMenuBar): Don't pass null as a second argument to getMethod() (to suppress
	a warning).
	* resource/gnu/javax/print/PrinterDialog.properties: Rename to
	"MessagesBundle.properties" (to prevent class name collision
	in case the properties file is converted to a class).
	* resource/gnu/javax/print/PrinterDialog_de.properties: Likewise.
	* gnu/javax/print/PrinterDialog.java (messages): Get resources from
	"gnu.javax.print.MessagesBundle" bundle instead of
	"gnu/javax/print/PrinterDialog" one.
	* tools/gnu/classpath/tools/common/Messages.java (BUNDLE_NAME):
	Convert "gnu.classpath.tools.common.Messages" to lowercase (to be
	consistent with other tools resource bundle names and to prevent class
	name collision in case the properties file is converted to a class).
	* tools/resource/gnu/classpath/tools/common/Messages.properties:
	Rename to "messages.properties".
	* tools/resource/gnu/classpath/tools/getopt/Messages.properties:
	Likewise.
	* testsuite/javax.swing.text.html.parser/test/gnu/javax/swing/text/html/parser/Parser_Test.java:
	Rename "enum" local variable to "en".
	* testsuite/javax.swing.text.html.parser/test/gnu/javax/swing/text/html/parser/ParserTest.java:
	Likewise.

2010-06-05  Mark Wielaard  <mark@klomp.org>

	* doc/cp-tools.texinfo: Move copying information in @copying section.

2010-06-03  Andrew John Hughes  <ahughes@redhat.com>

	* examples/gnu/classpath/examples/CORBA/NamingService/Demo.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/Demo.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/communication/StructureToPass.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/communication/StructureToReturn.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/communication/TreeNode.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/communication/WeThrowThisException.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/communication/WeThrowThisExceptionHelper.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/communication/_DemoTesterImplBase.java,
	* examples/gnu/classpath/examples/CORBA/SimpleCommunication/communication/_DemoTesterStub.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/CanvasWorld.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/ChatConstants.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/ClientFrame.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/Demo.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/GameManager.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/GameManagerImpl.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/IorReader.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/OrbStarter.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/Player.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/PlayerImpl.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/PlayingDesk.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/State.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/X5Server.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/_GameManagerImpl_Tie.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/_GameManager_Stub.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/_PlayerImpl_Tie.java,
	* examples/gnu/classpath/examples/CORBA/swing/x5/_Player_Stub.java,
	* examples/gnu/classpath/examples/awt/AicasGraphicsBenchmark.java,
	* examples/gnu/classpath/examples/awt/Demo.java,
	* examples/gnu/classpath/examples/awt/HintingDemo.java,
	* examples/gnu/classpath/examples/datatransfer/Demo.java,
	* examples/gnu/classpath/examples/html/Demo.java,
	* examples/gnu/classpath/examples/java2d/J2dBenchmark.java,
	* examples/gnu/classpath/examples/java2d/J2dBenchmarkGUI.java,
	* examples/gnu/classpath/examples/java2d/JNIOverhead.java,
	* examples/gnu/classpath/examples/jawt/DemoJAWT.java,
	* examples/gnu/classpath/examples/management/TestClassLoading.java,
	* examples/gnu/classpath/examples/management/TestCompilation.java,
	* examples/gnu/classpath/examples/management/TestGarbageCollector.java,
	* examples/gnu/classpath/examples/management/TestMemory.java,
	* examples/gnu/classpath/examples/management/TestMemoryManager.java,
	* examples/gnu/classpath/examples/management/TestMemoryPool.java,
	* examples/gnu/classpath/examples/management/TestThread.java,
	* examples/gnu/classpath/examples/midi/Demo.java,
	* examples/gnu/classpath/examples/print/Demo.java,
	* examples/gnu/classpath/examples/sound/AudioPlayerSample.java,
	* examples/gnu/classpath/examples/swing/BrowserEditorKit.java,
	* examples/gnu/classpath/examples/swing/ButtonDemo.java,
	* examples/gnu/classpath/examples/swing/ComboBoxDemo.java,
	* examples/gnu/classpath/examples/swing/Demo.java,
	* examples/gnu/classpath/examples/swing/DemoFactory.java,
	* examples/gnu/classpath/examples/swing/DocumentFilterDemo.java,
	* examples/gnu/classpath/examples/swing/FileChooserDemo.java,
	* examples/gnu/classpath/examples/swing/HtmlDemo.java,
	* examples/gnu/classpath/examples/swing/ListDemo.java,
	* examples/gnu/classpath/examples/swing/MetalThemeEditor.java,
	* examples/gnu/classpath/examples/swing/NavigationFilterDemo.java,
	* examples/gnu/classpath/examples/swing/ScrollBarDemo.java,
	* examples/gnu/classpath/examples/swing/SliderDemo.java,
	* examples/gnu/classpath/examples/swing/SpinnerDemo.java,
	* examples/gnu/classpath/examples/swing/TabbedPaneDemo.java,
	* examples/gnu/classpath/examples/swing/TableDemo.java,
	* examples/gnu/classpath/examples/swing/TextAreaDemo.java,
	* examples/gnu/classpath/examples/swing/TextFieldDemo.java,
	* examples/gnu/classpath/examples/swing/TreeDemo.java,
	* external/jsr166/java/util/ArrayDeque.java,
	* external/jsr166/java/util/concurrent/ArrayBlockingQueue.java,
	* external/jsr166/java/util/concurrent/ConcurrentHashMap.java,
	* external/jsr166/java/util/concurrent/ConcurrentSkipListMap.java,
	* external/jsr166/java/util/concurrent/ConcurrentSkipListSet.java,
	* external/jsr166/java/util/concurrent/CopyOnWriteArraySet.java,
	* external/jsr166/java/util/concurrent/CyclicBarrier.java,
	* external/jsr166/java/util/concurrent/DelayQueue.java,
	* external/jsr166/java/util/concurrent/Executors.java,
	* external/jsr166/java/util/concurrent/FutureTask.java,
	* external/jsr166/java/util/concurrent/LinkedBlockingDeque.java,
	* external/jsr166/java/util/concurrent/LinkedBlockingQueue.java,
	* external/jsr166/java/util/concurrent/PriorityBlockingQueue.java,
	* external/jsr166/java/util/concurrent/ScheduledExecutorService.java,
	* external/jsr166/java/util/concurrent/ScheduledThreadPoolExecutor.java,
	* external/jsr166/java/util/concurrent/Semaphore.java,
	* external/jsr166/java/util/concurrent/SynchronousQueue.java,
	* external/jsr166/java/util/concurrent/ThreadPoolExecutor.java,
	* external/jsr166/java/util/concurrent/atomic/AtomicInteger.java,
	* external/jsr166/java/util/concurrent/atomic/AtomicIntegerFieldUpdater.java,
	* external/jsr166/java/util/concurrent/atomic/AtomicLong.java,
	* external/jsr166/java/util/concurrent/atomic/AtomicLongFieldUpdater.java,
	* external/jsr166/java/util/concurrent/atomic/AtomicReferenceFieldUpdater.java,
	* external/jsr166/java/util/concurrent/locks/AbstractQueuedLongSynchronizer.java,
	* external/jsr166/java/util/concurrent/locks/AbstractQueuedSynchronizer.java,
	* external/jsr166/java/util/concurrent/locks/ReentrantReadWriteLock.java,
	* external/relaxngDatatype/org/relaxng/datatype/Datatype.java,
	* external/relaxngDatatype/org/relaxng/datatype/DatatypeBuilder.java,
	* external/relaxngDatatype/org/relaxng/datatype/DatatypeException.java,
	* external/relaxngDatatype/org/relaxng/datatype/DatatypeLibrary.java,
	* external/relaxngDatatype/org/relaxng/datatype/DatatypeLibraryFactory.java,
	* external/relaxngDatatype/org/relaxng/datatype/DatatypeStreamingValidator.java,
	* external/relaxngDatatype/org/relaxng/datatype/ValidationContext.java,
	* external/relaxngDatatype/org/relaxng/datatype/helpers/DatatypeLibraryLoader.java,
	* external/relaxngDatatype/org/relaxng/datatype/helpers/ParameterlessDatatypeBuilder.java,
	* external/relaxngDatatype/org/relaxng/datatype/helpers/StreamingValidatorImpl.java,
	* external/sax/org/xml/sax/AttributeList.java,
	* external/sax/org/xml/sax/Attributes.java,
	* external/sax/org/xml/sax/ContentHandler.java,
	* external/sax/org/xml/sax/DTDHandler.java,
	* external/sax/org/xml/sax/DocumentHandler.java,
	* external/sax/org/xml/sax/EntityResolver.java,
	* external/sax/org/xml/sax/ErrorHandler.java,
	* external/sax/org/xml/sax/HandlerBase.java,
	* external/sax/org/xml/sax/InputSource.java,
	* external/sax/org/xml/sax/Locator.java,
	* external/sax/org/xml/sax/Parser.java,
	* external/sax/org/xml/sax/SAXException.java,
	* external/sax/org/xml/sax/SAXNotRecognizedException.java,
	* external/sax/org/xml/sax/SAXNotSupportedException.java,
	* external/sax/org/xml/sax/SAXParseException.java,
	* external/sax/org/xml/sax/XMLReader.java,
	* external/sax/org/xml/sax/ext/Attributes2.java,
	* external/sax/org/xml/sax/ext/Attributes2Impl.java,
	* external/sax/org/xml/sax/ext/DeclHandler.java,
	* external/sax/org/xml/sax/ext/DefaultHandler2.java,
	* external/sax/org/xml/sax/ext/EntityResolver2.java,
	* external/sax/org/xml/sax/ext/LexicalHandler.java,
	* external/sax/org/xml/sax/ext/Locator2.java,
	* external/sax/org/xml/sax/ext/Locator2Impl.java,
	* external/sax/org/xml/sax/helpers/AttributeListImpl.java,
	* external/sax/org/xml/sax/helpers/AttributesImpl.java,
	* external/sax/org/xml/sax/helpers/DefaultHandler.java,
	* external/sax/org/xml/sax/helpers/LocatorImpl.java,
	* external/sax/org/xml/sax/helpers/NamespaceSupport.java,
	* external/sax/org/xml/sax/helpers/NewInstance.java,
	* external/sax/org/xml/sax/helpers/ParserAdapter.java,
	* external/sax/org/xml/sax/helpers/ParserFactory.java,
	* external/sax/org/xml/sax/helpers/XMLFilterImpl.java,
	* external/sax/org/xml/sax/helpers/XMLReaderAdapter.java,
	* external/sax/org/xml/sax/helpers/XMLReaderFactory.java,
	* external/w3c_dom/org/w3c/dom/Attr.java,
	* external/w3c_dom/org/w3c/dom/CDATASection.java,
	* external/w3c_dom/org/w3c/dom/CharacterData.java,
	* external/w3c_dom/org/w3c/dom/Comment.java,
	* external/w3c_dom/org/w3c/dom/DOMConfiguration.java,
	* external/w3c_dom/org/w3c/dom/DOMError.java,
	* external/w3c_dom/org/w3c/dom/DOMErrorHandler.java,
	* external/w3c_dom/org/w3c/dom/DOMException.java,
	* external/w3c_dom/org/w3c/dom/DOMImplementation.java,
	* external/w3c_dom/org/w3c/dom/DOMImplementationList.java,
	* external/w3c_dom/org/w3c/dom/DOMImplementationSource.java,
	* external/w3c_dom/org/w3c/dom/DOMLocator.java,
	* external/w3c_dom/org/w3c/dom/DOMStringList.java,
	* external/w3c_dom/org/w3c/dom/Document.java,
	* external/w3c_dom/org/w3c/dom/DocumentFragment.java,
	* external/w3c_dom/org/w3c/dom/DocumentType.java,
	* external/w3c_dom/org/w3c/dom/Element.java,
	* external/w3c_dom/org/w3c/dom/Entity.java,
	* external/w3c_dom/org/w3c/dom/EntityReference.java,
	* external/w3c_dom/org/w3c/dom/NameList.java,
	* external/w3c_dom/org/w3c/dom/NamedNodeMap.java,
	* external/w3c_dom/org/w3c/dom/Node.java,
	* external/w3c_dom/org/w3c/dom/NodeList.java,
	* external/w3c_dom/org/w3c/dom/Notation.java,
	* external/w3c_dom/org/w3c/dom/ProcessingInstruction.java,
	* external/w3c_dom/org/w3c/dom/Text.java,
	* external/w3c_dom/org/w3c/dom/TypeInfo.java,
	* external/w3c_dom/org/w3c/dom/UserDataHandler.java,
	* external/w3c_dom/org/w3c/dom/bootstrap/DOMImplementationRegistry.java,
	* external/w3c_dom/org/w3c/dom/css/CSS2Properties.java,
	* external/w3c_dom/org/w3c/dom/css/CSSCharsetRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSFontFaceRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSImportRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSMediaRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSPageRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSPrimitiveValue.java,
	* external/w3c_dom/org/w3c/dom/css/CSSRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSRuleList.java,
	* external/w3c_dom/org/w3c/dom/css/CSSStyleDeclaration.java,
	* external/w3c_dom/org/w3c/dom/css/CSSStyleRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSStyleSheet.java,
	* external/w3c_dom/org/w3c/dom/css/CSSUnknownRule.java,
	* external/w3c_dom/org/w3c/dom/css/CSSValue.java,
	* external/w3c_dom/org/w3c/dom/css/CSSValueList.java,
	* external/w3c_dom/org/w3c/dom/css/Counter.java,
	* external/w3c_dom/org/w3c/dom/css/DOMImplementationCSS.java,
	* external/w3c_dom/org/w3c/dom/css/DocumentCSS.java,
	* external/w3c_dom/org/w3c/dom/css/ElementCSSInlineStyle.java,
	* external/w3c_dom/org/w3c/dom/css/RGBColor.java,
	* external/w3c_dom/org/w3c/dom/css/Rect.java,
	* external/w3c_dom/org/w3c/dom/css/ViewCSS.java,
	* external/w3c_dom/org/w3c/dom/events/DocumentEvent.java,
	* external/w3c_dom/org/w3c/dom/events/Event.java,
	* external/w3c_dom/org/w3c/dom/events/EventException.java,
	* external/w3c_dom/org/w3c/dom/events/EventListener.java,
	* external/w3c_dom/org/w3c/dom/events/EventTarget.java,
	* external/w3c_dom/org/w3c/dom/events/MouseEvent.java,
	* external/w3c_dom/org/w3c/dom/events/MutationEvent.java,
	* external/w3c_dom/org/w3c/dom/events/UIEvent.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLAnchorElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLAppletElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLAreaElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLBRElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLBaseElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLBaseFontElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLBodyElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLButtonElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLCollection.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLDListElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLDirectoryElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLDivElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLDocument.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLFieldSetElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLFontElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLFormElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLFrameElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLFrameSetElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLHRElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLHeadElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLHeadingElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLHtmlElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLIFrameElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLImageElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLInputElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLIsIndexElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLLIElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLLabelElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLLegendElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLLinkElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLMapElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLMenuElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLMetaElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLModElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLOListElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLObjectElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLOptGroupElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLOptionElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLOptionsCollection.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLParagraphElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLParamElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLPreElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLQuoteElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLScriptElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLSelectElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLStyleElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTableCaptionElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTableCellElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTableColElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTableElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTableRowElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTableSectionElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTextAreaElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLTitleElement.java,
	* external/w3c_dom/org/w3c/dom/html2/HTMLUListElement.java,
	* external/w3c_dom/org/w3c/dom/ls/DOMImplementationLS.java,
	* external/w3c_dom/org/w3c/dom/ls/LSException.java,
	* external/w3c_dom/org/w3c/dom/ls/LSInput.java,
	* external/w3c_dom/org/w3c/dom/ls/LSLoadEvent.java,
	* external/w3c_dom/org/w3c/dom/ls/LSOutput.java,
	* external/w3c_dom/org/w3c/dom/ls/LSParser.java,
	* external/w3c_dom/org/w3c/dom/ls/LSParserFilter.java,
	* external/w3c_dom/org/w3c/dom/ls/LSProgressEvent.java,
	* external/w3c_dom/org/w3c/dom/ls/LSResourceResolver.java,
	* external/w3c_dom/org/w3c/dom/ls/LSSerializer.java,
	* external/w3c_dom/org/w3c/dom/ls/LSSerializerFilter.java,
	* external/w3c_dom/org/w3c/dom/ranges/DocumentRange.java,
	* external/w3c_dom/org/w3c/dom/ranges/Range.java,
	* external/w3c_dom/org/w3c/dom/ranges/RangeException.java,
	* external/w3c_dom/org/w3c/dom/stylesheets/DocumentStyle.java,
	* external/w3c_dom/org/w3c/dom/stylesheets/LinkStyle.java,
	* external/w3c_dom/org/w3c/dom/stylesheets/MediaList.java,
	* external/w3c_dom/org/w3c/dom/stylesheets/StyleSheet.java,
	* external/w3c_dom/org/w3c/dom/stylesheets/StyleSheetList.java,
	* external/w3c_dom/org/w3c/dom/traversal/DocumentTraversal.java,
	* external/w3c_dom/org/w3c/dom/traversal/NodeFilter.java,
	* external/w3c_dom/org/w3c/dom/traversal/NodeIterator.java,
	* external/w3c_dom/org/w3c/dom/traversal/TreeWalker.java,
	* external/w3c_dom/org/w3c/dom/views/AbstractView.java,
	* external/w3c_dom/org/w3c/dom/views/DocumentView.java,
	* external/w3c_dom/org/w3c/dom/xpath/XPathEvaluator.java,
	* external/w3c_dom/org/w3c/dom/xpath/XPathException.java,
	* external/w3c_dom/org/w3c/dom/xpath/XPathExpression.java,
	* external/w3c_dom/org/w3c/dom/xpath/XPathNSResolver.java,
	* external/w3c_dom/org/w3c/dom/xpath/XPathNamespace.java,
	* external/w3c_dom/org/w3c/dom/xpath/XPathResult.java,
	* gnu/CORBA/BigDecimalHelper.java,
	* gnu/CORBA/CDR/AbstractCdrInput.java,
	* gnu/CORBA/CDR/AbstractCdrOutput.java,
	* gnu/CORBA/CDR/AbstractDataInput.java,
	* gnu/CORBA/CDR/AbstractDataOutput.java,
	* gnu/CORBA/CDR/AligningInput.java,
	* gnu/CORBA/CDR/AligningOutput.java,
	* gnu/CORBA/CDR/ArrayValueHelper.java,
	* gnu/CORBA/CDR/BigEndianInputStream.java,
	* gnu/CORBA/CDR/BigEndianOutputStream.java,
	* gnu/CORBA/CDR/BufferedCdrOutput.java,
	* gnu/CORBA/CDR/BufferredCdrInput.java,
	* gnu/CORBA/CDR/HeadlessInput.java,
	* gnu/CORBA/CDR/IDLTypeHelper.java,
	* gnu/CORBA/CDR/LittleEndianOutputStream.java,
	* gnu/CORBA/CDR/UnknownExceptionCtxHandler.java,
	* gnu/CORBA/CDR/VMVio.java,
	* gnu/CORBA/CDR/Vio.java,
	* gnu/CORBA/CDR/gnuRuntime.java,
	* gnu/CORBA/CDR/gnuValueStream.java,
	* gnu/CORBA/CdrEncapsCodecImpl.java,
	* gnu/CORBA/CollocatedOrbs.java,
	* gnu/CORBA/Connected_objects.java,
	* gnu/CORBA/DefaultSocketFactory.java,
	* gnu/CORBA/DuplicateNameHolder.java,
	* gnu/CORBA/DynAn/AbstractAny.java,
	* gnu/CORBA/DynAn/DivideableAny.java,
	* gnu/CORBA/DynAn/NameValuePairHolder.java,
	* gnu/CORBA/DynAn/RecordAny.java,
	* gnu/CORBA/DynAn/ValueChangeListener.java,
	* gnu/CORBA/DynAn/gnuDynAny.java,
	* gnu/CORBA/DynAn/gnuDynAnyFactory.java,
	* gnu/CORBA/DynAn/gnuDynArray.java,
	* gnu/CORBA/DynAn/gnuDynEnum.java,
	* gnu/CORBA/DynAn/gnuDynFixed.java,
	* gnu/CORBA/DynAn/gnuDynSequence.java,
	* gnu/CORBA/DynAn/gnuDynUnion.java,
	* gnu/CORBA/DynAn/gnuDynValue.java,
	* gnu/CORBA/DynAn/gnuDynValueBox.java,
	* gnu/CORBA/DynAnySeqHolder.java,
	* gnu/CORBA/EmptyExceptionHolder.java,
	* gnu/CORBA/ForwardRequestHelper.java,
	* gnu/CORBA/GIOP/CharSets_OSF.java,
	* gnu/CORBA/GIOP/CloseMessage.java,
	* gnu/CORBA/GIOP/ErrorMessage.java,
	* gnu/CORBA/GIOP/MessageHeader.java,
	* gnu/CORBA/GIOP/ServiceContext.java,
	* gnu/CORBA/GIOP/v1_2/RequestHeader.java,
	* gnu/CORBA/GeneralHolder.java,
	* gnu/CORBA/IOR.java,
	* gnu/CORBA/Interceptor/ClientRequestInterceptors.java,
	* gnu/CORBA/Interceptor/ForwardRequestHolder.java,
	* gnu/CORBA/Interceptor/IORInterceptors.java,
	* gnu/CORBA/Interceptor/Registrator.java,
	* gnu/CORBA/Interceptor/ServerRequestInterceptors.java,
	* gnu/CORBA/Interceptor/gnuClientRequestInfo.java,
	* gnu/CORBA/Interceptor/gnuIcCurrent.java,
	* gnu/CORBA/Interceptor/gnuIorInfo.java,
	* gnu/CORBA/Interceptor/gnuServerRequestInfo.java,
	* gnu/CORBA/IorDelegate.java,
	* gnu/CORBA/IorObject.java,
	* gnu/CORBA/Minor.java,
	* gnu/CORBA/NameDynAnyPairHolder.java,
	* gnu/CORBA/NameDynAnyPairSeqHolder.java,
	* gnu/CORBA/NameValuePairHolder.java,
	* gnu/CORBA/NameValuePairSeqHolder.java,
	* gnu/CORBA/NamingService/NameParser.java,
	* gnu/CORBA/NamingService/NamingMap.java,
	* gnu/CORBA/NamingService/NamingServiceTransient.java,
	* gnu/CORBA/NamingService/TransientContext.java,
	* gnu/CORBA/ObjectCreator.java,
	* gnu/CORBA/OrbFocused.java,
	* gnu/CORBA/OrbFunctional.java,
	* gnu/CORBA/OrbRestricted.java,
	* gnu/CORBA/Poa/AOM.java,
	* gnu/CORBA/Poa/AccessiblePolicy.java,
	* gnu/CORBA/Poa/DynamicImpHandler.java,
	* gnu/CORBA/Poa/ForwardRequestHolder.java,
	* gnu/CORBA/Poa/ForwardedServant.java,
	* gnu/CORBA/Poa/InvalidPolicyHolder.java,
	* gnu/CORBA/Poa/LocalDelegate.java,
	* gnu/CORBA/Poa/LocalRequest.java,
	* gnu/CORBA/Poa/LocalServerRequest.java,
	* gnu/CORBA/Poa/ORB_1_4.java,
	* gnu/CORBA/Poa/ServantDelegateImpl.java,
	* gnu/CORBA/Poa/StandardPolicies.java,
	* gnu/CORBA/Poa/gnuAdapterActivator.java,
	* gnu/CORBA/Poa/gnuForwardRequest.java,
	* gnu/CORBA/Poa/gnuIdAssignmentPolicy.java,
	* gnu/CORBA/Poa/gnuIdUniquenessPolicy.java,
	* gnu/CORBA/Poa/gnuImplicitActivationPolicy.java,
	* gnu/CORBA/Poa/gnuLifespanPolicy.java,
	* gnu/CORBA/Poa/gnuPOA.java,
	* gnu/CORBA/Poa/gnuPOAManager.java,
	* gnu/CORBA/Poa/gnuPoaCurrent.java,
	* gnu/CORBA/Poa/gnuRequestProcessingPolicy.java,
	* gnu/CORBA/Poa/gnuServantObject.java,
	* gnu/CORBA/Poa/gnuServantRetentionPolicy.java,
	* gnu/CORBA/Poa/gnuThreadPolicy.java,
	* gnu/CORBA/ServiceRequestAdapter.java,
	* gnu/CORBA/SetOverrideTypeHolder.java,
	* gnu/CORBA/SimpleDelegate.java,
	* gnu/CORBA/SocketRepository.java,
	* gnu/CORBA/StreamHolder.java,
	* gnu/CORBA/TypeCodeHelper.java,
	* gnu/CORBA/TypeKindNamer.java,
	* gnu/CORBA/Version.java,
	* gnu/CORBA/_PolicyImplBase.java,
	* gnu/CORBA/gnuAny.java,
	* gnu/CORBA/gnuCodecFactory.java,
	* gnu/CORBA/gnuEnvironment.java,
	* gnu/CORBA/gnuRequest.java,
	* gnu/CORBA/gnuValueHolder.java,
	* gnu/CORBA/interfaces/SocketFactory.java,
	* gnu/CORBA/typecodes/AliasTypeCode.java,
	* gnu/CORBA/typecodes/ArrayTypeCode.java,
	* gnu/CORBA/typecodes/FixedTypeCode.java,
	* gnu/CORBA/typecodes/GeneralTypeCode.java,
	* gnu/CORBA/typecodes/PrimitiveTypeCode.java,
	* gnu/CORBA/typecodes/RecordTypeCode.java,
	* gnu/CORBA/typecodes/RecursiveTypeCode.java,
	* gnu/CORBA/typecodes/StringTypeCode.java,
	* gnu/classpath/Pair.java,
	* gnu/classpath/Pointer.java,
	* gnu/classpath/Pointer32.java,
	* gnu/classpath/Pointer64.java,
	* gnu/classpath/ServiceFactory.java,
	* gnu/classpath/ServiceProviderLoadingAction.java,
	* gnu/classpath/SystemProperties.java,
	* gnu/classpath/debug/Component.java,
	* gnu/classpath/debug/PreciseFilter.java,
	* gnu/classpath/debug/SystemLogger.java,
	* gnu/classpath/debug/TeeInputStream.java,
	* gnu/classpath/debug/TeeReader.java,
	* gnu/classpath/jdwp/Jdwp.java,
	* gnu/classpath/jdwp/JdwpConstants.java,
	* gnu/classpath/jdwp/event/BreakpointEvent.java,
	* gnu/classpath/jdwp/event/ClassPrepareEvent.java,
	* gnu/classpath/jdwp/event/ClassUnloadEvent.java,
	* gnu/classpath/jdwp/event/Event.java,
	* gnu/classpath/jdwp/event/EventManager.java,
	* gnu/classpath/jdwp/event/EventRequest.java,
	* gnu/classpath/jdwp/event/ExceptionEvent.java,
	* gnu/classpath/jdwp/event/MethodEntryEvent.java,
	* gnu/classpath/jdwp/event/MethodExitEvent.java,
	* gnu/classpath/jdwp/event/SingleStepEvent.java,
	* gnu/classpath/jdwp/event/ThreadEndEvent.java,
	* gnu/classpath/jdwp/event/VmDeathEvent.java,
	* gnu/classpath/jdwp/event/VmInitEvent.java,
	* gnu/classpath/jdwp/event/filters/ClassExcludeFilter.java,
	* gnu/classpath/jdwp/event/filters/ClassMatchFilter.java,
	* gnu/classpath/jdwp/event/filters/ClassOnlyFilter.java,
	* gnu/classpath/jdwp/event/filters/ExceptionOnlyFilter.java,
	* gnu/classpath/jdwp/event/filters/FieldOnlyFilter.java,
	* gnu/classpath/jdwp/event/filters/InstanceOnlyFilter.java,
	* gnu/classpath/jdwp/event/filters/StepFilter.java,
	* gnu/classpath/jdwp/event/filters/ThreadOnlyFilter.java,
	* gnu/classpath/jdwp/exception/InvalidClassException.java,
	* gnu/classpath/jdwp/exception/InvalidClassLoaderException.java,
	* gnu/classpath/jdwp/exception/InvalidEventTypeException.java,
	* gnu/classpath/jdwp/exception/InvalidFieldException.java,
	* gnu/classpath/jdwp/exception/InvalidFrameException.java,
	* gnu/classpath/jdwp/exception/InvalidLocationException.java,
	* gnu/classpath/jdwp/exception/InvalidMethodException.java,
	* gnu/classpath/jdwp/exception/InvalidObjectException.java,
	* gnu/classpath/jdwp/exception/InvalidSlotException.java,
	* gnu/classpath/jdwp/exception/InvalidStringException.java,
	* gnu/classpath/jdwp/exception/InvalidThreadException.java,
	* gnu/classpath/jdwp/exception/InvalidThreadGroupException.java,
	* gnu/classpath/jdwp/exception/NativeMethodException.java,
	* gnu/classpath/jdwp/exception/NotImplementedException.java,
	* gnu/classpath/jdwp/id/JdwpId.java,
	* gnu/classpath/jdwp/id/NullObjectId.java,
	* gnu/classpath/jdwp/processor/ArrayReferenceCommandSet.java,
	* gnu/classpath/jdwp/processor/ArrayTypeCommandSet.java,
	* gnu/classpath/jdwp/processor/ClassLoaderReferenceCommandSet.java,
	* gnu/classpath/jdwp/processor/ClassObjectReferenceCommandSet.java,
	* gnu/classpath/jdwp/processor/ClassTypeCommandSet.java,
	* gnu/classpath/jdwp/processor/CommandSet.java,
	* gnu/classpath/jdwp/processor/EventRequestCommandSet.java,
	* gnu/classpath/jdwp/processor/FieldCommandSet.java,
	* gnu/classpath/jdwp/processor/InterfaceTypeCommandSet.java,
	* gnu/classpath/jdwp/processor/MethodCommandSet.java,
	* gnu/classpath/jdwp/processor/ObjectReferenceCommandSet.java,
	* gnu/classpath/jdwp/processor/PacketProcessor.java,
	* gnu/classpath/jdwp/processor/ReferenceTypeCommandSet.java,
	* gnu/classpath/jdwp/processor/StackFrameCommandSet.java,
	* gnu/classpath/jdwp/processor/StringReferenceCommandSet.java,
	* gnu/classpath/jdwp/processor/ThreadGroupReferenceCommandSet.java,
	* gnu/classpath/jdwp/processor/ThreadReferenceCommandSet.java,
	* gnu/classpath/jdwp/processor/VirtualMachineCommandSet.java,
	* gnu/classpath/jdwp/transport/JdwpCommandPacket.java,
	* gnu/classpath/jdwp/transport/JdwpConnection.java,
	* gnu/classpath/jdwp/transport/JdwpPacket.java,
	* gnu/classpath/jdwp/transport/JdwpReplyPacket.java,
	* gnu/classpath/jdwp/transport/SocketTransport.java,
	* gnu/classpath/jdwp/transport/TransportFactory.java,
	* gnu/classpath/jdwp/util/JdwpString.java,
	* gnu/classpath/jdwp/util/LineTable.java,
	* gnu/classpath/jdwp/util/Location.java,
	* gnu/classpath/jdwp/util/MethodResult.java,
	* gnu/classpath/jdwp/util/MonitorInfo.java,
	* gnu/classpath/jdwp/util/Signature.java,
	* gnu/classpath/jdwp/util/VariableTable.java,
	* gnu/classpath/jdwp/value/ArrayValue.java,
	* gnu/classpath/jdwp/value/BooleanValue.java,
	* gnu/classpath/jdwp/value/ByteValue.java,
	* gnu/classpath/jdwp/value/CharValue.java,
	* gnu/classpath/jdwp/value/DoubleValue.java,
	* gnu/classpath/jdwp/value/FloatValue.java,
	* gnu/classpath/jdwp/value/IntValue.java,
	* gnu/classpath/jdwp/value/LongValue.java,
	* gnu/classpath/jdwp/value/ObjectValue.java,
	* gnu/classpath/jdwp/value/ShortValue.java,
	* gnu/classpath/jdwp/value/StringValue.java,
	* gnu/classpath/jdwp/value/Value.java,
	* gnu/classpath/jdwp/value/ValueFactory.java,
	* gnu/classpath/jdwp/value/VoidValue.java,
	* gnu/classpath/toolkit/DefaultDaemonThreadFactory.java,
	* gnu/java/awt/AWTUtilities.java,
	* gnu/java/awt/BitMaskExtent.java,
	* gnu/java/awt/BitwiseXORComposite.java,
	* gnu/java/awt/Buffers.java,
	* gnu/java/awt/ClasspathGraphicsEnvironment.java,
	* gnu/java/awt/ClasspathToolkit.java,
	* gnu/java/awt/ComponentDataBlitOp.java,
	* gnu/java/awt/EmbeddedWindow.java,
	* gnu/java/awt/GradientPaintContext.java,
	* gnu/java/awt/color/CieXyzConverter.java,
	* gnu/java/awt/color/ClutProfileConverter.java,
	* gnu/java/awt/color/ColorLookUpTable.java,
	* gnu/java/awt/color/GrayProfileConverter.java,
	* gnu/java/awt/color/GrayScaleConverter.java,
	* gnu/java/awt/color/LinearRGBConverter.java,
	* gnu/java/awt/color/ProfileHeader.java,
	* gnu/java/awt/color/RgbProfileConverter.java,
	* gnu/java/awt/color/SrgbConverter.java,
	* gnu/java/awt/color/ToneReproductionCurve.java,
	* gnu/java/awt/dnd/GtkMouseDragGestureRecognizer.java,
	* gnu/java/awt/dnd/peer/gtk/GtkDragSourceContextPeer.java,
	* gnu/java/awt/dnd/peer/gtk/GtkDropTargetContextPeer.java,
	* gnu/java/awt/dnd/peer/gtk/GtkDropTargetPeer.java,
	* gnu/java/awt/font/FontDelegate.java,
	* gnu/java/awt/font/FontFactory.java,
	* gnu/java/awt/font/GNUGlyphVector.java,
	* gnu/java/awt/font/OpenTypeFontPeer.java,
	* gnu/java/awt/font/autofit/GlyphHints.java,
	* gnu/java/awt/font/autofit/Latin.java,
	* gnu/java/awt/font/autofit/Utils.java,
	* gnu/java/awt/font/opentype/CharGlyphMap.java,
	* gnu/java/awt/font/opentype/GlyphNamer.java,
	* gnu/java/awt/font/opentype/MacResourceFork.java,
	* gnu/java/awt/font/opentype/NameDecoder.java,
	* gnu/java/awt/font/opentype/OpenTypeFont.java,
	* gnu/java/awt/font/opentype/OpenTypeFontFactory.java,
	* gnu/java/awt/font/opentype/truetype/GlyphLoader.java,
	* gnu/java/awt/font/opentype/truetype/GlyphLocator.java,
	* gnu/java/awt/font/opentype/truetype/GlyphMeasurer.java,
	* gnu/java/awt/font/opentype/truetype/Point.java,
	* gnu/java/awt/font/opentype/truetype/TrueTypeScaler.java,
	* gnu/java/awt/font/opentype/truetype/VirtualMachine.java,
	* gnu/java/awt/font/opentype/truetype/Zone.java,
	* gnu/java/awt/font/opentype/truetype/ZonePathIterator.java,
	* gnu/java/awt/image/AsyncImage.java,
	* gnu/java/awt/image/ImageConverter.java,
	* gnu/java/awt/image/ImageDecoder.java,
	* gnu/java/awt/image/XBMDecoder.java,
	* gnu/java/awt/java2d/AbstractGraphics2D.java,
	* gnu/java/awt/java2d/AlphaCompositeContext.java,
	* gnu/java/awt/java2d/CubicSegment.java,
	* gnu/java/awt/java2d/LineSegment.java,
	* gnu/java/awt/java2d/PixelCoverage.java,
	* gnu/java/awt/java2d/QuadSegment.java,
	* gnu/java/awt/java2d/RasterGraphics.java,
	* gnu/java/awt/java2d/ScanlineConverter.java,
	* gnu/java/awt/java2d/ScanlineCoverage.java,
	* gnu/java/awt/java2d/Segment.java,
	* gnu/java/awt/java2d/TexturePaintContext.java,
	* gnu/java/awt/peer/ClasspathDesktopPeer.java,
	* gnu/java/awt/peer/ClasspathFontPeer.java,
	* gnu/java/awt/peer/GLightweightPeer.java,
	* gnu/java/awt/peer/GnomeDesktopPeer.java,
	* gnu/java/awt/peer/KDEDesktopPeer.java,
	* gnu/java/awt/peer/gtk/AsyncImage.java,
	* gnu/java/awt/peer/gtk/BufferedImageGraphics.java,
	* gnu/java/awt/peer/gtk/CairoGraphics2D.java,
	* gnu/java/awt/peer/gtk/CairoSurface.java,
	* gnu/java/awt/peer/gtk/CairoSurfaceGraphics.java,
	* gnu/java/awt/peer/gtk/ComponentGraphics.java,
	* gnu/java/awt/peer/gtk/ComponentGraphicsCopy.java,
	* gnu/java/awt/peer/gtk/FreetypeGlyphVector.java,
	* gnu/java/awt/peer/gtk/GdkFontPeer.java,
	* gnu/java/awt/peer/gtk/GdkGraphicsConfiguration.java,
	* gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	* gnu/java/awt/peer/gtk/GdkRobotPeer.java,
	* gnu/java/awt/peer/gtk/GdkScreenGraphicsDevice.java,
	* gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	* gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	* gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	* gnu/java/awt/peer/gtk/GtkClipboard.java,
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	* gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	* gnu/java/awt/peer/gtk/GtkCursor.java,
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	* gnu/java/awt/peer/gtk/GtkFramePeer.java,
	* gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	* gnu/java/awt/peer/gtk/GtkImage.java,
	* gnu/java/awt/peer/gtk/GtkImageConsumer.java,
	* gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	* gnu/java/awt/peer/gtk/GtkListPeer.java,
	* gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	* gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	* gnu/java/awt/peer/gtk/GtkMouseInfoPeer.java,
	* gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	* gnu/java/awt/peer/gtk/GtkPopupMenuPeer.java,
	* gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	* gnu/java/awt/peer/gtk/GtkSelection.java,
	* gnu/java/awt/peer/gtk/GtkToolkit.java,
	* gnu/java/awt/peer/gtk/GtkVolatileImage.java,
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	* gnu/java/awt/peer/gtk/VolatileImageGraphics.java,
	* gnu/java/awt/peer/headless/HeadlessGraphicsEnvironment.java,
	* gnu/java/awt/peer/qt/MainQtThread.java,
	* gnu/java/awt/peer/qt/QMatrix.java,
	* gnu/java/awt/peer/qt/QPainterPath.java,
	* gnu/java/awt/peer/qt/QPen.java,
	* gnu/java/awt/peer/qt/QtAudioClip.java,
	* gnu/java/awt/peer/qt/QtButtonPeer.java,
	* gnu/java/awt/peer/qt/QtCheckboxPeer.java,
	* gnu/java/awt/peer/qt/QtChoicePeer.java,
	* gnu/java/awt/peer/qt/QtComponentGraphics.java,
	* gnu/java/awt/peer/qt/QtComponentPeer.java,
	* gnu/java/awt/peer/qt/QtContainerPeer.java,
	* gnu/java/awt/peer/qt/QtDialogPeer.java,
	* gnu/java/awt/peer/qt/QtEmbeddedWindowPeer.java,
	* gnu/java/awt/peer/qt/QtFileDialogPeer.java,
	* gnu/java/awt/peer/qt/QtFontMetrics.java,
	* gnu/java/awt/peer/qt/QtFontPeer.java,
	* gnu/java/awt/peer/qt/QtFramePeer.java,
	* gnu/java/awt/peer/qt/QtGraphics.java,
	* gnu/java/awt/peer/qt/QtGraphicsEnvironment.java,
	* gnu/java/awt/peer/qt/QtImage.java,
	* gnu/java/awt/peer/qt/QtImageConsumer.java,
	* gnu/java/awt/peer/qt/QtImageDirectGraphics.java,
	* gnu/java/awt/peer/qt/QtImageGraphics.java,
	* gnu/java/awt/peer/qt/QtLabelPeer.java,
	* gnu/java/awt/peer/qt/QtListPeer.java,
	* gnu/java/awt/peer/qt/QtMenuBarPeer.java,
	* gnu/java/awt/peer/qt/QtMenuComponentPeer.java,
	* gnu/java/awt/peer/qt/QtMenuItemPeer.java,
	* gnu/java/awt/peer/qt/QtMenuPeer.java,
	* gnu/java/awt/peer/qt/QtPanelPeer.java,
	* gnu/java/awt/peer/qt/QtPopupMenuPeer.java,
	* gnu/java/awt/peer/qt/QtRepaintThread.java,
	* gnu/java/awt/peer/qt/QtScreenDevice.java,
	* gnu/java/awt/peer/qt/QtScreenDeviceConfiguration.java,
	* gnu/java/awt/peer/qt/QtScrollPanePeer.java,
	* gnu/java/awt/peer/qt/QtScrollbarPeer.java,
	* gnu/java/awt/peer/qt/QtTextAreaPeer.java,
	* gnu/java/awt/peer/qt/QtTextFieldPeer.java,
	* gnu/java/awt/peer/qt/QtToolkit.java,
	* gnu/java/awt/peer/qt/QtVolatileImage.java,
	* gnu/java/awt/peer/qt/QtWindowPeer.java,
	* gnu/java/awt/peer/swing/SwingButtonPeer.java,
	* gnu/java/awt/peer/swing/SwingCheckboxPeer.java,
	* gnu/java/awt/peer/swing/SwingComponent.java,
	* gnu/java/awt/peer/swing/SwingComponentPeer.java,
	* gnu/java/awt/peer/swing/SwingContainerPeer.java,
	* gnu/java/awt/peer/swing/SwingLabelPeer.java,
	* gnu/java/awt/peer/swing/SwingListPeer.java,
	* gnu/java/awt/peer/swing/SwingMenuItemPeer.java,
	* gnu/java/awt/peer/swing/SwingMenuPeer.java,
	* gnu/java/awt/peer/swing/SwingTextAreaPeer.java,
	* gnu/java/awt/peer/swing/SwingTextFieldPeer.java,
	* gnu/java/awt/peer/x/GLGraphics.java,
	* gnu/java/awt/peer/x/KeyboardMapping.java,
	* gnu/java/awt/peer/x/XEventPump.java,
	* gnu/java/awt/peer/x/XFontPeer.java,
	* gnu/java/awt/peer/x/XFramePeer.java,
	* gnu/java/awt/peer/x/XGraphics2D.java,
	* gnu/java/awt/peer/x/XGraphicsConfiguration.java,
	* gnu/java/awt/peer/x/XGraphicsDevice.java,
	* gnu/java/awt/peer/x/XGraphicsEnvironment.java,
	* gnu/java/awt/peer/x/XImage.java,
	* gnu/java/awt/peer/x/XToolkit.java,
	* gnu/java/awt/peer/x/XWindowPeer.java,
	* gnu/java/awt/print/JavaPrinterGraphics.java,
	* gnu/java/awt/print/JavaPrinterJob.java,
	* gnu/java/awt/print/PostScriptGraphics2D.java,
	* gnu/java/awt/print/SpooledDocument.java,
	* gnu/java/beans/BeanInfoEmbryo.java,
	* gnu/java/beans/DefaultExceptionListener.java,
	* gnu/java/beans/ExplicitBeanInfo.java,
	* gnu/java/beans/IntrospectionIncubator.java,
	* gnu/java/beans/decoder/AbstractContext.java,
	* gnu/java/beans/decoder/AbstractCreatableObjectContext.java,
	* gnu/java/beans/decoder/AbstractElementHandler.java,
	* gnu/java/beans/decoder/AbstractObjectContext.java,
	* gnu/java/beans/decoder/ArrayContext.java,
	* gnu/java/beans/decoder/ArrayHandler.java,
	* gnu/java/beans/decoder/AssemblyException.java,
	* gnu/java/beans/decoder/BooleanHandler.java,
	* gnu/java/beans/decoder/ByteHandler.java,
	* gnu/java/beans/decoder/CharHandler.java,
	* gnu/java/beans/decoder/ClassHandler.java,
	* gnu/java/beans/decoder/ConstructorContext.java,
	* gnu/java/beans/decoder/Context.java,
	* gnu/java/beans/decoder/DecoderContext.java,
	* gnu/java/beans/decoder/DoubleHandler.java,
	* gnu/java/beans/decoder/DummyContext.java,
	* gnu/java/beans/decoder/DummyHandler.java,
	* gnu/java/beans/decoder/ElementHandler.java,
	* gnu/java/beans/decoder/FloatHandler.java,
	* gnu/java/beans/decoder/GrowableArrayContext.java,
	* gnu/java/beans/decoder/IndexContext.java,
	* gnu/java/beans/decoder/IntHandler.java,
	* gnu/java/beans/decoder/JavaHandler.java,
	* gnu/java/beans/decoder/LongHandler.java,
	* gnu/java/beans/decoder/MethodContext.java,
	* gnu/java/beans/decoder/MethodFinder.java,
	* gnu/java/beans/decoder/NullHandler.java,
	* gnu/java/beans/decoder/ObjectContext.java,
	* gnu/java/beans/decoder/ObjectHandler.java,
	* gnu/java/beans/decoder/PersistenceParser.java,
	* gnu/java/beans/decoder/PropertyContext.java,
	* gnu/java/beans/decoder/ShortHandler.java,
	* gnu/java/beans/decoder/SimpleHandler.java,
	* gnu/java/beans/decoder/StaticMethodContext.java,
	* gnu/java/beans/decoder/StringHandler.java,
	* gnu/java/beans/decoder/VoidHandler.java,
	* gnu/java/beans/editors/ColorEditor.java,
	* gnu/java/beans/editors/FontEditor.java,
	* gnu/java/beans/editors/NativeBooleanEditor.java,
	* gnu/java/beans/editors/NativeByteEditor.java,
	* gnu/java/beans/editors/NativeDoubleEditor.java,
	* gnu/java/beans/editors/NativeFloatEditor.java,
	* gnu/java/beans/editors/NativeIntEditor.java,
	* gnu/java/beans/editors/NativeLongEditor.java,
	* gnu/java/beans/editors/NativeShortEditor.java,
	* gnu/java/beans/editors/StringEditor.java,
	* gnu/java/beans/encoder/ArrayPersistenceDelegate.java,
	* gnu/java/beans/encoder/ClassPersistenceDelegate.java,
	* gnu/java/beans/encoder/CollectionPersistenceDelegate.java,
	* gnu/java/beans/encoder/Context.java,
	* gnu/java/beans/encoder/GenericScannerState.java,
	* gnu/java/beans/encoder/IgnoringScannerState.java,
	* gnu/java/beans/encoder/MapPersistenceDelegate.java,
	* gnu/java/beans/encoder/ObjectId.java,
	* gnu/java/beans/encoder/PrimitivePersistenceDelegate.java,
	* gnu/java/beans/encoder/ReportingScannerState.java,
	* gnu/java/beans/encoder/Root.java,
	* gnu/java/beans/encoder/ScanEngine.java,
	* gnu/java/beans/encoder/ScannerState.java,
	* gnu/java/beans/encoder/StAXWriter.java,
	* gnu/java/beans/encoder/Writer.java,
	* gnu/java/beans/encoder/elements/ArrayInstantiation.java,
	* gnu/java/beans/encoder/elements/Array_Get.java,
	* gnu/java/beans/encoder/elements/ClassResolution.java,
	* gnu/java/beans/encoder/elements/Element.java,
	* gnu/java/beans/encoder/elements/List_Get.java,
	* gnu/java/beans/encoder/elements/List_Set.java,
	* gnu/java/beans/encoder/elements/MethodInvocation.java,
	* gnu/java/beans/encoder/elements/NullObject.java,
	* gnu/java/beans/encoder/elements/ObjectInstantiation.java,
	* gnu/java/beans/encoder/elements/ObjectReference.java,
	* gnu/java/beans/encoder/elements/PrimitiveInstantiation.java,
	* gnu/java/beans/encoder/elements/StaticFieldAccess.java,
	* gnu/java/beans/encoder/elements/StaticMethodInvocation.java,
	* gnu/java/beans/encoder/elements/StringReference.java,
	* gnu/java/io/ASN1ParsingException.java,
	* gnu/java/io/Base64InputStream.java,
	* gnu/java/io/ClassLoaderObjectInputStream.java,
	* gnu/java/io/NullOutputStream.java,
	* gnu/java/io/ObjectIdentityMap2Int.java,
	* gnu/java/io/ObjectIdentityWrapper.java,
	* gnu/java/io/PlatformHelper.java,
	* gnu/java/lang/CPStringBuilder.java,
	* gnu/java/lang/CharData.java,
	* gnu/java/lang/InstrumentationImpl.java,
	* gnu/java/lang/MainThread.java,
	* gnu/java/lang/management/BeanImpl.java,
	* gnu/java/lang/management/ClassLoadingMXBeanImpl.java,
	* gnu/java/lang/management/CompilationMXBeanImpl.java,
	* gnu/java/lang/management/GarbageCollectorMXBeanImpl.java,
	* gnu/java/lang/management/MemoryMXBeanImpl.java,
	* gnu/java/lang/management/MemoryManagerMXBeanImpl.java,
	* gnu/java/lang/management/MemoryPoolMXBeanImpl.java,
	* gnu/java/lang/management/OperatingSystemMXBeanImpl.java,
	* gnu/java/lang/management/RuntimeMXBeanImpl.java,
	* gnu/java/lang/management/ThreadMXBeanImpl.java,
	* gnu/java/lang/reflect/TypeSignature.java,
	* gnu/java/locale/LocaleHelper.java,
	* gnu/java/math/Fixed.java,
	* gnu/java/math/GMP.java,
	* gnu/java/math/MPN.java,
	* gnu/java/net/CRLFInputStream.java,
	* gnu/java/net/CRLFOutputStream.java,
	* gnu/java/net/DefaultContentHandlerFactory.java,
	* gnu/java/net/DefaultProxySelector.java,
	* gnu/java/net/EmptyX509TrustManager.java,
	* gnu/java/net/GetLocalHostAction.java,
	* gnu/java/net/HeaderFieldHelper.java,
	* gnu/java/net/IndexListParser.java,
	* gnu/java/net/LineInputStream.java,
	* gnu/java/net/PlainDatagramSocketImpl.java,
	* gnu/java/net/PlainSocketImpl.java,
	* gnu/java/net/loader/FileResource.java,
	* gnu/java/net/loader/FileURLLoader.java,
	* gnu/java/net/loader/JarURLLoader.java,
	* gnu/java/net/loader/JarURLResource.java,
	* gnu/java/net/loader/RemoteResource.java,
	* gnu/java/net/loader/RemoteURLLoader.java,
	* gnu/java/net/loader/Resource.java,
	* gnu/java/net/loader/URLLoader.java,
	* gnu/java/net/protocol/file/Connection.java,
	* gnu/java/net/protocol/file/Handler.java,
	* gnu/java/net/protocol/ftp/ActiveModeDTP.java,
	* gnu/java/net/protocol/ftp/BlockInputStream.java,
	* gnu/java/net/protocol/ftp/BlockOutputStream.java,
	* gnu/java/net/protocol/ftp/CompressedInputStream.java,
	* gnu/java/net/protocol/ftp/CompressedOutputStream.java,
	* gnu/java/net/protocol/ftp/DTP.java,
	* gnu/java/net/protocol/ftp/DTPInputStream.java,
	* gnu/java/net/protocol/ftp/DTPOutputStream.java,
	* gnu/java/net/protocol/ftp/FTPConnection.java,
	* gnu/java/net/protocol/ftp/FTPException.java,
	* gnu/java/net/protocol/ftp/FTPResponse.java,
	* gnu/java/net/protocol/ftp/FTPURLConnection.java,
	* gnu/java/net/protocol/ftp/Handler.java,
	* gnu/java/net/protocol/ftp/PassiveModeDTP.java,
	* gnu/java/net/protocol/ftp/StreamInputStream.java,
	* gnu/java/net/protocol/ftp/StreamOutputStream.java,
	* gnu/java/net/protocol/http/Authenticator.java,
	* gnu/java/net/protocol/http/ByteArrayRequestBodyWriter.java,
	* gnu/java/net/protocol/http/ChunkedInputStream.java,
	* gnu/java/net/protocol/http/Cookie.java,
	* gnu/java/net/protocol/http/CookieManager.java,
	* gnu/java/net/protocol/http/Credentials.java,
	* gnu/java/net/protocol/http/HTTPConnection.java,
	* gnu/java/net/protocol/http/HTTPDateFormat.java,
	* gnu/java/net/protocol/http/HTTPURLConnection.java,
	* gnu/java/net/protocol/http/Handler.java,
	* gnu/java/net/protocol/http/Headers.java,
	* gnu/java/net/protocol/http/Request.java,
	* gnu/java/net/protocol/http/RequestBodyWriter.java,
	* gnu/java/net/protocol/http/Response.java,
	* gnu/java/net/protocol/http/ResponseHeaderHandler.java,
	* gnu/java/net/protocol/http/SimpleCookieManager.java,
	* gnu/java/net/protocol/https/Handler.java,
	* gnu/java/net/protocol/jar/Connection.java,
	* gnu/java/net/protocol/jar/Handler.java,
	* gnu/java/nio/ChannelInputStream.java,
	* gnu/java/nio/ChannelOutputStream.java,
	* gnu/java/nio/ChannelReader.java,
	* gnu/java/nio/ChannelWriter.java,
	* gnu/java/nio/DatagramChannelImpl.java,
	* gnu/java/nio/DatagramChannelSelectionKey.java,
	* gnu/java/nio/EpollSelectionKeyImpl.java,
	* gnu/java/nio/EpollSelectorImpl.java,
	* gnu/java/nio/FileChannelImpl.java,
	* gnu/java/nio/FileLockImpl.java,
	* gnu/java/nio/InputStreamChannel.java,
	* gnu/java/nio/KqueueSelectionKeyImpl.java,
	* gnu/java/nio/KqueueSelectorImpl.java,
	* gnu/java/nio/NIODatagramSocket.java,
	* gnu/java/nio/NIOServerSocket.java,
	* gnu/java/nio/NIOSocket.java,
	* gnu/java/nio/NIOSocketImpl.java,
	* gnu/java/nio/OutputStreamChannel.java,
	* gnu/java/nio/PipeImpl.java,
	* gnu/java/nio/SelectionKeyImpl.java,
	* gnu/java/nio/SelectorImpl.java,
	* gnu/java/nio/SelectorProviderImpl.java,
	* gnu/java/nio/ServerSocketChannelImpl.java,
	* gnu/java/nio/ServerSocketChannelSelectionKey.java,
	* gnu/java/nio/SocketChannelImpl.java,
	* gnu/java/nio/SocketChannelSelectionKey.java,
	* gnu/java/nio/SocketChannelSelectionKeyImpl.java,
	* gnu/java/nio/VMChannelOwner.java,
	* gnu/java/nio/charset/ByteCharset.java,
	* gnu/java/nio/charset/ByteDecodeLoopHelper.java,
	* gnu/java/nio/charset/ByteEncodeLoopHelper.java,
	* gnu/java/nio/charset/Cp424.java,
	* gnu/java/nio/charset/Cp437.java,
	* gnu/java/nio/charset/Cp737.java,
	* gnu/java/nio/charset/Cp775.java,
	* gnu/java/nio/charset/Cp850.java,
	* gnu/java/nio/charset/Cp852.java,
	* gnu/java/nio/charset/Cp855.java,
	* gnu/java/nio/charset/Cp857.java,
	* gnu/java/nio/charset/Cp860.java,
	* gnu/java/nio/charset/Cp861.java,
	* gnu/java/nio/charset/Cp862.java,
	* gnu/java/nio/charset/Cp863.java,
	* gnu/java/nio/charset/Cp864.java,
	* gnu/java/nio/charset/Cp865.java,
	* gnu/java/nio/charset/Cp866.java,
	* gnu/java/nio/charset/Cp869.java,
	* gnu/java/nio/charset/Cp874.java,
	* gnu/java/nio/charset/EncodingHelper.java,
	* gnu/java/nio/charset/ISO_8859_1.java,
	* gnu/java/nio/charset/ISO_8859_13.java,
	* gnu/java/nio/charset/ISO_8859_15.java,
	* gnu/java/nio/charset/ISO_8859_2.java,
	* gnu/java/nio/charset/ISO_8859_3.java,
	* gnu/java/nio/charset/ISO_8859_4.java,
	* gnu/java/nio/charset/ISO_8859_5.java,
	* gnu/java/nio/charset/ISO_8859_6.java,
	* gnu/java/nio/charset/ISO_8859_7.java,
	* gnu/java/nio/charset/ISO_8859_8.java,
	* gnu/java/nio/charset/ISO_8859_9.java,
	* gnu/java/nio/charset/KOI_8.java,
	* gnu/java/nio/charset/MS874.java,
	* gnu/java/nio/charset/MacCentralEurope.java,
	* gnu/java/nio/charset/MacCroatian.java,
	* gnu/java/nio/charset/MacCyrillic.java,
	* gnu/java/nio/charset/MacDingbat.java,
	* gnu/java/nio/charset/MacGreek.java,
	* gnu/java/nio/charset/MacIceland.java,
	* gnu/java/nio/charset/MacRoman.java,
	* gnu/java/nio/charset/MacRomania.java,
	* gnu/java/nio/charset/MacSymbol.java,
	* gnu/java/nio/charset/MacThai.java,
	* gnu/java/nio/charset/MacTurkish.java,
	* gnu/java/nio/charset/Provider.java,
	* gnu/java/nio/charset/US_ASCII.java,
	* gnu/java/nio/charset/UTF_16.java,
	* gnu/java/nio/charset/UTF_16BE.java,
	* gnu/java/nio/charset/UTF_16Decoder.java,
	* gnu/java/nio/charset/UTF_16Encoder.java,
	* gnu/java/nio/charset/UTF_16LE.java,
	* gnu/java/nio/charset/UTF_8.java,
	* gnu/java/nio/charset/UnicodeLittle.java,
	* gnu/java/nio/charset/Windows1250.java,
	* gnu/java/nio/charset/Windows1251.java,
	* gnu/java/nio/charset/Windows1252.java,
	* gnu/java/nio/charset/Windows1253.java,
	* gnu/java/nio/charset/Windows1254.java,
	* gnu/java/nio/charset/Windows1255.java,
	* gnu/java/nio/charset/Windows1256.java,
	* gnu/java/nio/charset/Windows1257.java,
	* gnu/java/nio/charset/Windows1258.java,
	* gnu/java/nio/charset/iconv/IconvCharset.java,
	* gnu/java/nio/charset/iconv/IconvDecoder.java,
	* gnu/java/nio/charset/iconv/IconvEncoder.java,
	* gnu/java/nio/charset/iconv/IconvProvider.java,
	* gnu/java/rmi/RMIMarshalledObjectInputStream.java,
	* gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
	* gnu/java/rmi/activation/ActivationSystemTransient.java,
	* gnu/java/rmi/activation/BidiTable.java,
	* gnu/java/rmi/activation/DefaultActivationGroup.java,
	* gnu/java/rmi/activation/DefaultActivationSystem.java,
	* gnu/java/rmi/dgc/DGCImpl.java,
	* gnu/java/rmi/dgc/DGCImpl_Skel.java,
	* gnu/java/rmi/dgc/DGCImpl_Stub.java,
	* gnu/java/rmi/dgc/LeaseRenewingTask.java,
	* gnu/java/rmi/registry/RegistryImpl.java,
	* gnu/java/rmi/registry/RegistryImpl_Skel.java,
	* gnu/java/rmi/registry/RegistryImpl_Stub.java,
	* gnu/java/rmi/server/ActivatableRef.java,
	* gnu/java/rmi/server/ActivatableServerRef.java,
	* gnu/java/rmi/server/CombinedClassLoader.java,
	* gnu/java/rmi/server/ConnectionRunnerPool.java,
	* gnu/java/rmi/server/ProtocolConstants.java,
	* gnu/java/rmi/server/RMIClassLoaderImpl.java,
	* gnu/java/rmi/server/RMIDefaultSocketFactory.java,
	* gnu/java/rmi/server/RMIHashes.java,
	* gnu/java/rmi/server/RMIIncomingThread.java,
	* gnu/java/rmi/server/RMIObjectInputStream.java,
	* gnu/java/rmi/server/RMIObjectOutputStream.java,
	* gnu/java/rmi/server/UnicastConnection.java,
	* gnu/java/rmi/server/UnicastConnectionManager.java,
	* gnu/java/rmi/server/UnicastRef.java,
	* gnu/java/rmi/server/UnicastRemoteCall.java,
	* gnu/java/rmi/server/UnicastRemoteStub.java,
	* gnu/java/rmi/server/UnicastServer.java,
	* gnu/java/rmi/server/UnicastServerRef.java,
	* gnu/java/security/Engine.java,
	* gnu/java/security/OID.java,
	* gnu/java/security/PolicyFile.java,
	* gnu/java/security/Properties.java,
	* gnu/java/security/Registry.java,
	* gnu/java/security/Requires.java,
	* gnu/java/security/action/GetPropertyAction.java,
	* gnu/java/security/action/SetAccessibleAction.java,
	* gnu/java/security/der/DERValue.java,
	* gnu/java/security/hash/BaseHash.java,
	* gnu/java/security/hash/HashFactory.java,
	* gnu/java/security/hash/Haval.java,
	* gnu/java/security/hash/IMessageDigest.java,
	* gnu/java/security/hash/MD2.java,
	* gnu/java/security/hash/MD4.java,
	* gnu/java/security/hash/MD5.java,
	* gnu/java/security/hash/RipeMD128.java,
	* gnu/java/security/hash/RipeMD160.java,
	* gnu/java/security/hash/Sha160.java,
	* gnu/java/security/hash/Sha256.java,
	* gnu/java/security/hash/Sha384.java,
	* gnu/java/security/hash/Sha512.java,
	* gnu/java/security/hash/Tiger.java,
	* gnu/java/security/hash/Whirlpool.java,
	* gnu/java/security/jce/hash/HavalSpi.java,
	* gnu/java/security/jce/hash/MD2Spi.java,
	* gnu/java/security/jce/hash/MD4Spi.java,
	* gnu/java/security/jce/hash/MD5Spi.java,
	* gnu/java/security/jce/hash/MessageDigestAdapter.java,
	* gnu/java/security/jce/hash/RipeMD128Spi.java,
	* gnu/java/security/jce/hash/RipeMD160Spi.java,
	* gnu/java/security/jce/hash/Sha160Spi.java,
	* gnu/java/security/jce/hash/Sha256Spi.java,
	* gnu/java/security/jce/hash/Sha384Spi.java,
	* gnu/java/security/jce/hash/Sha512Spi.java,
	* gnu/java/security/jce/hash/TigerSpi.java,
	* gnu/java/security/jce/hash/WhirlpoolSpi.java,
	* gnu/java/security/jce/prng/HavalRandomSpi.java,
	* gnu/java/security/jce/prng/MD2RandomSpi.java,
	* gnu/java/security/jce/prng/MD4RandomSpi.java,
	* gnu/java/security/jce/prng/MD5RandomSpi.java,
	* gnu/java/security/jce/prng/RipeMD128RandomSpi.java,
	* gnu/java/security/jce/prng/RipeMD160RandomSpi.java,
	* gnu/java/security/jce/prng/SecureRandomAdapter.java,
	* gnu/java/security/jce/prng/Sha160RandomSpi.java,
	* gnu/java/security/jce/prng/Sha256RandomSpi.java,
	* gnu/java/security/jce/prng/Sha384RandomSpi.java,
	* gnu/java/security/jce/prng/Sha512RandomSpi.java,
	* gnu/java/security/jce/prng/TigerRandomSpi.java,
	* gnu/java/security/jce/prng/WhirlpoolRandomSpi.java,
	* gnu/java/security/jce/sig/DSSKeyFactory.java,
	* gnu/java/security/jce/sig/DSSKeyPairGeneratorSpi.java,
	* gnu/java/security/jce/sig/DSSParameters.java,
	* gnu/java/security/jce/sig/DSSRawSignatureSpi.java,
	* gnu/java/security/jce/sig/KeyPairGeneratorAdapter.java,
	* gnu/java/security/jce/sig/RSAPSSRawSignatureSpi.java,
	* gnu/java/security/jce/sig/SignatureAdapter.java,
	* gnu/java/security/key/IKeyPairCodec.java,
	* gnu/java/security/key/IKeyPairGenerator.java,
	* gnu/java/security/key/KeyPairCodecFactory.java,
	* gnu/java/security/key/KeyPairGeneratorFactory.java,
	* gnu/java/security/key/dss/DSSKey.java,
	* gnu/java/security/key/dss/DSSKeyPairGenerator.java,
	* gnu/java/security/key/dss/DSSKeyPairPKCS8Codec.java,
	* gnu/java/security/key/dss/DSSKeyPairRawCodec.java,
	* gnu/java/security/key/dss/DSSKeyPairX509Codec.java,
	* gnu/java/security/key/dss/DSSPrivateKey.java,
	* gnu/java/security/key/dss/DSSPublicKey.java,
	* gnu/java/security/key/dss/FIPS186.java,
	* gnu/java/security/key/rsa/GnuRSAKey.java,
	* gnu/java/security/key/rsa/GnuRSAPrivateKey.java,
	* gnu/java/security/key/rsa/GnuRSAPublicKey.java,
	* gnu/java/security/key/rsa/RSAKeyPairGenerator.java,
	* gnu/java/security/key/rsa/RSAKeyPairPKCS8Codec.java,
	* gnu/java/security/key/rsa/RSAKeyPairRawCodec.java,
	* gnu/java/security/key/rsa/RSAKeyPairX509Codec.java,
	* gnu/java/security/pkcs/PKCS7Data.java,
	* gnu/java/security/pkcs/PKCS7SignedData.java,
	* gnu/java/security/pkcs/SignerInfo.java,
	* gnu/java/security/prng/BasePRNG.java,
	* gnu/java/security/prng/EntropySource.java,
	* gnu/java/security/prng/IRandom.java,
	* gnu/java/security/prng/LimitReachedException.java,
	* gnu/java/security/prng/MDGenerator.java,
	* gnu/java/security/prng/PRNGFactory.java,
	* gnu/java/security/prng/RandomEventListener.java,
	* gnu/java/security/provider/DefaultPolicy.java,
	* gnu/java/security/provider/PKIXCertPathValidatorImpl.java,
	* gnu/java/security/sig/BaseSignature.java,
	* gnu/java/security/sig/ISignature.java,
	* gnu/java/security/sig/ISignatureCodec.java,
	* gnu/java/security/sig/SignatureCodecFactory.java,
	* gnu/java/security/sig/SignatureFactory.java,
	* gnu/java/security/sig/dss/DSSSignature.java,
	* gnu/java/security/sig/dss/DSSSignatureRawCodec.java,
	* gnu/java/security/sig/dss/DSSSignatureX509Codec.java,
	* gnu/java/security/sig/rsa/EME_PKCS1_V1_5.java,
	* gnu/java/security/sig/rsa/EMSA_PKCS1_V1_5.java,
	* gnu/java/security/sig/rsa/EMSA_PSS.java,
	* gnu/java/security/sig/rsa/RSA.java,
	* gnu/java/security/sig/rsa/RSAPKCS1V1_5Signature.java,
	* gnu/java/security/sig/rsa/RSAPKCS1V1_5SignatureRawCodec.java,
	* gnu/java/security/sig/rsa/RSAPKCS1V1_5SignatureX509Codec.java,
	* gnu/java/security/sig/rsa/RSAPSSSignature.java,
	* gnu/java/security/sig/rsa/RSAPSSSignatureRawCodec.java,
	* gnu/java/security/sig/rsa/RSASignatureFactory.java,
	* gnu/java/security/util/ByteArray.java,
	* gnu/java/security/util/ByteBufferOutputStream.java,
	* gnu/java/security/util/ExpirableObject.java,
	* gnu/java/security/util/FormatUtil.java,
	* gnu/java/security/util/IntegerUtil.java,
	* gnu/java/security/util/PRNG.java,
	* gnu/java/security/util/Prime.java,
	* gnu/java/security/util/Sequence.java,
	* gnu/java/security/util/SimpleList.java,
	* gnu/java/security/util/Util.java,
	* gnu/java/security/x509/X509CRLSelectorImpl.java,
	* gnu/java/security/x509/X509CertSelectorImpl.java,
	* gnu/java/security/x509/ext/CertificatePolicies.java,
	* gnu/java/security/x509/ext/GeneralName.java,
	* gnu/java/security/x509/ext/GeneralSubtree.java,
	* gnu/java/security/x509/ext/NameConstraints.java,
	* gnu/java/text/AttributedFormatBuffer.java,
	* gnu/java/text/BaseBreakIterator.java,
	* gnu/java/text/CharacterBreakIterator.java,
	* gnu/java/text/FormatBuffer.java,
	* gnu/java/text/FormatCharacterIterator.java,
	* gnu/java/text/LineBreakIterator.java,
	* gnu/java/text/SentenceBreakIterator.java,
	* gnu/java/text/StringFormatBuffer.java,
	* gnu/java/text/WordBreakIterator.java,
	* gnu/java/util/Base64.java,
	* gnu/java/util/DoubleEnumeration.java,
	* gnu/java/util/EmptyEnumeration.java,
	* gnu/java/util/WeakIdentityHashMap.java,
	* gnu/java/util/ZoneInfo.java,
	* gnu/java/util/jar/JarUtils.java,
	* gnu/java/util/prefs/FileBasedFactory.java,
	* gnu/java/util/prefs/FileBasedPreferences.java,
	* gnu/java/util/prefs/GConfBasedFactory.java,
	* gnu/java/util/prefs/GConfBasedPreferences.java,
	* gnu/java/util/prefs/MemoryBasedFactory.java,
	* gnu/java/util/prefs/MemoryBasedPreferences.java,
	* gnu/java/util/prefs/NodeReader.java,
	* gnu/java/util/prefs/NodeWriter.java,
	* gnu/java/util/prefs/gconf/GConfNativePeer.java,
	* gnu/java/util/regex/BacktrackStack.java,
	* gnu/java/util/regex/CharIndexed.java,
	* gnu/java/util/regex/CharIndexedInputStream.java,
	* gnu/java/util/regex/RE.java,
	* gnu/java/util/regex/REFilterInputStream.java,
	* gnu/java/util/regex/REMatch.java,
	* gnu/java/util/regex/REMatchEnumeration.java,
	* gnu/java/util/regex/RESyntax.java,
	* gnu/java/util/regex/REToken.java,
	* gnu/java/util/regex/RETokenAny.java,
	* gnu/java/util/regex/RETokenBackRef.java,
	* gnu/java/util/regex/RETokenChar.java,
	* gnu/java/util/regex/RETokenEnd.java,
	* gnu/java/util/regex/RETokenEndOfPreviousMatch.java,
	* gnu/java/util/regex/RETokenIndependent.java,
	* gnu/java/util/regex/RETokenLookAhead.java,
	* gnu/java/util/regex/RETokenLookBehind.java,
	* gnu/java/util/regex/RETokenNamedProperty.java,
	* gnu/java/util/regex/RETokenOneOf.java,
	* gnu/java/util/regex/RETokenPOSIX.java,
	* gnu/java/util/regex/RETokenRange.java,
	* gnu/java/util/regex/RETokenRepeated.java,
	* gnu/java/util/regex/RETokenStart.java,
	* gnu/java/util/regex/RETokenWordBoundary.java,
	* gnu/java/util/regex/UncheckedRE.java,
	* gnu/javax/activation/viewers/ImageViewer.java,
	* gnu/javax/activation/viewers/TextEditor.java,
	* gnu/javax/activation/viewers/TextViewer.java,
	* gnu/javax/crypto/assembly/Assembly.java,
	* gnu/javax/crypto/assembly/Cascade.java,
	* gnu/javax/crypto/assembly/CascadeStage.java,
	* gnu/javax/crypto/assembly/CascadeTransformer.java,
	* gnu/javax/crypto/assembly/DeflateTransformer.java,
	* gnu/javax/crypto/assembly/Direction.java,
	* gnu/javax/crypto/assembly/LoopbackTransformer.java,
	* gnu/javax/crypto/assembly/ModeStage.java,
	* gnu/javax/crypto/assembly/Operation.java,
	* gnu/javax/crypto/assembly/PaddingTransformer.java,
	* gnu/javax/crypto/assembly/Stage.java,
	* gnu/javax/crypto/assembly/Transformer.java,
	* gnu/javax/crypto/assembly/TransformerException.java,
	* gnu/javax/crypto/cipher/Anubis.java,
	* gnu/javax/crypto/cipher/BaseCipher.java,
	* gnu/javax/crypto/cipher/Blowfish.java,
	* gnu/javax/crypto/cipher/Cast5.java,
	* gnu/javax/crypto/cipher/CipherFactory.java,
	* gnu/javax/crypto/cipher/DES.java,
	* gnu/javax/crypto/cipher/IBlockCipher.java,
	* gnu/javax/crypto/cipher/IBlockCipherSpi.java,
	* gnu/javax/crypto/cipher/Khazad.java,
	* gnu/javax/crypto/cipher/NullCipher.java,
	* gnu/javax/crypto/cipher/Rijndael.java,
	* gnu/javax/crypto/cipher/Serpent.java,
	* gnu/javax/crypto/cipher/Square.java,
	* gnu/javax/crypto/cipher/TripleDES.java,
	* gnu/javax/crypto/cipher/Twofish.java,
	* gnu/javax/crypto/cipher/WeakKeyException.java,
	* gnu/javax/crypto/jce/DiffieHellmanImpl.java,
	* gnu/javax/crypto/jce/GnuCrypto.java,
	* gnu/javax/crypto/jce/GnuSasl.java,
	* gnu/javax/crypto/jce/PBKDF2SecretKeyFactory.java,
	* gnu/javax/crypto/jce/cipher/AESKeyWrapSpi.java,
	* gnu/javax/crypto/jce/cipher/AESSpi.java,
	* gnu/javax/crypto/jce/cipher/ARCFourSpi.java,
	* gnu/javax/crypto/jce/cipher/AnubisSpi.java,
	* gnu/javax/crypto/jce/cipher/BlowfishSpi.java,
	* gnu/javax/crypto/jce/cipher/Cast5Spi.java,
	* gnu/javax/crypto/jce/cipher/CipherAdapter.java,
	* gnu/javax/crypto/jce/cipher/DESSpi.java,
	* gnu/javax/crypto/jce/cipher/KeyWrappingAlgorithmAdapter.java,
	* gnu/javax/crypto/jce/cipher/KhazadSpi.java,
	* gnu/javax/crypto/jce/cipher/NullCipherSpi.java,
	* gnu/javax/crypto/jce/cipher/PBES2.java,
	* gnu/javax/crypto/jce/cipher/RijndaelSpi.java,
	* gnu/javax/crypto/jce/cipher/SerpentSpi.java,
	* gnu/javax/crypto/jce/cipher/SquareSpi.java,
	* gnu/javax/crypto/jce/cipher/TripleDESSpi.java,
	* gnu/javax/crypto/jce/cipher/TwofishSpi.java,
	* gnu/javax/crypto/jce/key/AnubisSecretKeyFactoryImpl.java,
	* gnu/javax/crypto/jce/key/BlowfishSecretKeyFactoryImpl.java,
	* gnu/javax/crypto/jce/key/Cast5SecretKeyFactoryImpl.java,
	* gnu/javax/crypto/jce/key/SecretKeyGeneratorImpl.java,
	* gnu/javax/crypto/jce/keyring/GnuKeyring.java,
	* gnu/javax/crypto/jce/mac/HMacHavalSpi.java,
	* gnu/javax/crypto/jce/mac/HMacMD2Spi.java,
	* gnu/javax/crypto/jce/mac/HMacMD4Spi.java,
	* gnu/javax/crypto/jce/mac/HMacMD5Spi.java,
	* gnu/javax/crypto/jce/mac/HMacRipeMD128Spi.java,
	* gnu/javax/crypto/jce/mac/HMacRipeMD160Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA160Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA256Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA384Spi.java,
	* gnu/javax/crypto/jce/mac/HMacSHA512Spi.java,
	* gnu/javax/crypto/jce/mac/HMacTigerSpi.java,
	* gnu/javax/crypto/jce/mac/HMacWhirlpoolSpi.java,
	* gnu/javax/crypto/jce/mac/MacAdapter.java,
	* gnu/javax/crypto/jce/mac/TMMH16Spi.java,
	* gnu/javax/crypto/jce/mac/UHash32Spi.java,
	* gnu/javax/crypto/jce/mac/UMac32Spi.java,
	* gnu/javax/crypto/jce/params/BlockCipherParameters.java,
	* gnu/javax/crypto/jce/params/DEREncodingException.java,
	* gnu/javax/crypto/jce/params/DERReader.java,
	* gnu/javax/crypto/jce/params/DERWriter.java,
	* gnu/javax/crypto/jce/prng/ARCFourRandomSpi.java,
	* gnu/javax/crypto/jce/prng/CSPRNGSpi.java,
	* gnu/javax/crypto/jce/prng/FortunaImpl.java,
	* gnu/javax/crypto/jce/prng/ICMRandomSpi.java,
	* gnu/javax/crypto/jce/prng/UMacRandomSpi.java,
	* gnu/javax/crypto/jce/sig/DHParameters.java,
	* gnu/javax/crypto/jce/spec/BlockCipherParameterSpec.java,
	* gnu/javax/crypto/jce/spec/TMMHParameterSpec.java,
	* gnu/javax/crypto/jce/spec/UMac32ParameterSpec.java,
	* gnu/javax/crypto/key/BaseKeyAgreementParty.java,
	* gnu/javax/crypto/key/GnuPBEKey.java,
	* gnu/javax/crypto/key/GnuSecretKey.java,
	* gnu/javax/crypto/key/IKeyAgreementParty.java,
	* gnu/javax/crypto/key/IncomingMessage.java,
	* gnu/javax/crypto/key/KeyAgreementException.java,
	* gnu/javax/crypto/key/KeyAgreementFactory.java,
	* gnu/javax/crypto/key/OutgoingMessage.java,
	* gnu/javax/crypto/key/dh/DHKeyPairPKCS8Codec.java,
	* gnu/javax/crypto/key/dh/DHKeyPairRawCodec.java,
	* gnu/javax/crypto/key/dh/DHKeyPairX509Codec.java,
	* gnu/javax/crypto/key/dh/DiffieHellmanKeyAgreement.java,
	* gnu/javax/crypto/key/dh/DiffieHellmanReceiver.java,
	* gnu/javax/crypto/key/dh/DiffieHellmanSender.java,
	* gnu/javax/crypto/key/dh/ElGamalKeyAgreement.java,
	* gnu/javax/crypto/key/dh/ElGamalReceiver.java,
	* gnu/javax/crypto/key/dh/ElGamalSender.java,
	* gnu/javax/crypto/key/dh/GnuDHKey.java,
	* gnu/javax/crypto/key/dh/GnuDHKeyPairGenerator.java,
	* gnu/javax/crypto/key/dh/GnuDHPrivateKey.java,
	* gnu/javax/crypto/key/dh/GnuDHPublicKey.java,
	* gnu/javax/crypto/key/dh/RFC2631.java,
	* gnu/javax/crypto/key/srp6/SRP6Host.java,
	* gnu/javax/crypto/key/srp6/SRP6KeyAgreement.java,
	* gnu/javax/crypto/key/srp6/SRP6SaslClient.java,
	* gnu/javax/crypto/key/srp6/SRP6SaslServer.java,
	* gnu/javax/crypto/key/srp6/SRP6TLSClient.java,
	* gnu/javax/crypto/key/srp6/SRP6TLSServer.java,
	* gnu/javax/crypto/key/srp6/SRP6User.java,
	* gnu/javax/crypto/key/srp6/SRPAlgorithm.java,
	* gnu/javax/crypto/key/srp6/SRPKey.java,
	* gnu/javax/crypto/key/srp6/SRPKeyPairGenerator.java,
	* gnu/javax/crypto/key/srp6/SRPKeyPairRawCodec.java,
	* gnu/javax/crypto/key/srp6/SRPPrivateKey.java,
	* gnu/javax/crypto/key/srp6/SRPPublicKey.java,
	* gnu/javax/crypto/keyring/AuthenticatedEntry.java,
	* gnu/javax/crypto/keyring/BaseKeyring.java,
	* gnu/javax/crypto/keyring/BinaryDataEntry.java,
	* gnu/javax/crypto/keyring/CertPathEntry.java,
	* gnu/javax/crypto/keyring/CertificateEntry.java,
	* gnu/javax/crypto/keyring/CompressedEntry.java,
	* gnu/javax/crypto/keyring/EncryptedEntry.java,
	* gnu/javax/crypto/keyring/Entry.java,
	* gnu/javax/crypto/keyring/EnvelopeEntry.java,
	* gnu/javax/crypto/keyring/GnuPrivateKeyring.java,
	* gnu/javax/crypto/keyring/GnuPublicKeyring.java,
	* gnu/javax/crypto/keyring/IKeyring.java,
	* gnu/javax/crypto/keyring/IPrivateKeyring.java,
	* gnu/javax/crypto/keyring/IPublicKeyring.java,
	* gnu/javax/crypto/keyring/MalformedKeyringException.java,
	* gnu/javax/crypto/keyring/MaskableEnvelopeEntry.java,
	* gnu/javax/crypto/keyring/MeteredInputStream.java,
	* gnu/javax/crypto/keyring/PasswordAuthenticatedEntry.java,
	* gnu/javax/crypto/keyring/PasswordEncryptedEntry.java,
	* gnu/javax/crypto/keyring/PasswordProtectedEntry.java,
	* gnu/javax/crypto/keyring/PrimitiveEntry.java,
	* gnu/javax/crypto/keyring/PrivateKeyEntry.java,
	* gnu/javax/crypto/keyring/Properties.java,
	* gnu/javax/crypto/keyring/PublicKeyEntry.java,
	* gnu/javax/crypto/kwa/BaseKeyWrappingAlgorithm.java,
	* gnu/javax/crypto/kwa/IKeyWrappingAlgorithm.java,
	* gnu/javax/crypto/kwa/KeyWrappingAlgorithmFactory.java,
	* gnu/javax/crypto/kwa/TripleDESKeyWrap.java,
	* gnu/javax/crypto/mac/BaseMac.java,
	* gnu/javax/crypto/mac/HMac.java,
	* gnu/javax/crypto/mac/HMacFactory.java,
	* gnu/javax/crypto/mac/IMac.java,
	* gnu/javax/crypto/mac/MacFactory.java,
	* gnu/javax/crypto/mac/MacInputStream.java,
	* gnu/javax/crypto/mac/MacOutputStream.java,
	* gnu/javax/crypto/mac/OMAC.java,
	* gnu/javax/crypto/mac/TMMH16.java,
	* gnu/javax/crypto/mac/UHash32.java,
	* gnu/javax/crypto/mac/UMac32.java,
	* gnu/javax/crypto/mode/BaseMode.java,
	* gnu/javax/crypto/mode/CBC.java,
	* gnu/javax/crypto/mode/CFB.java,
	* gnu/javax/crypto/mode/CTR.java,
	* gnu/javax/crypto/mode/EAX.java,
	* gnu/javax/crypto/mode/ECB.java,
	* gnu/javax/crypto/mode/IAuthenticatedMode.java,
	* gnu/javax/crypto/mode/ICM.java,
	* gnu/javax/crypto/mode/IMode.java,
	* gnu/javax/crypto/mode/ModeFactory.java,
	* gnu/javax/crypto/mode/OFB.java,
	* gnu/javax/crypto/pad/BasePad.java,
	* gnu/javax/crypto/pad/IPad.java,
	* gnu/javax/crypto/pad/PKCS1_V1_5.java,
	* gnu/javax/crypto/pad/PKCS7.java,
	* gnu/javax/crypto/pad/PadFactory.java,
	* gnu/javax/crypto/pad/TBC.java,
	* gnu/javax/crypto/pad/WrongPaddingException.java,
	* gnu/javax/crypto/prng/ARCFour.java,
	* gnu/javax/crypto/prng/CSPRNG.java,
	* gnu/javax/crypto/prng/ICMGenerator.java,
	* gnu/javax/crypto/prng/IPBE.java,
	* gnu/javax/crypto/prng/PBKDF2.java,
	* gnu/javax/crypto/prng/PRNGFactory.java,
	* gnu/javax/crypto/prng/UMacGenerator.java,
	* gnu/javax/crypto/sasl/AuthInfo.java,
	* gnu/javax/crypto/sasl/AuthInfoProviderFactory.java,
	* gnu/javax/crypto/sasl/ClientFactory.java,
	* gnu/javax/crypto/sasl/ClientMechanism.java,
	* gnu/javax/crypto/sasl/ConfidentialityException.java,
	* gnu/javax/crypto/sasl/IAuthInfoProvider.java,
	* gnu/javax/crypto/sasl/IAuthInfoProviderFactory.java,
	* gnu/javax/crypto/sasl/IllegalMechanismStateException.java,
	* gnu/javax/crypto/sasl/InputBuffer.java,
	* gnu/javax/crypto/sasl/IntegrityException.java,
	* gnu/javax/crypto/sasl/NoSuchMechanismException.java,
	* gnu/javax/crypto/sasl/NoSuchUserException.java,
	* gnu/javax/crypto/sasl/OutputBuffer.java,
	* gnu/javax/crypto/sasl/SaslEncodingException.java,
	* gnu/javax/crypto/sasl/SaslInputStream.java,
	* gnu/javax/crypto/sasl/SaslOutputStream.java,
	* gnu/javax/crypto/sasl/SaslUtil.java,
	* gnu/javax/crypto/sasl/ServerFactory.java,
	* gnu/javax/crypto/sasl/ServerMechanism.java,
	* gnu/javax/crypto/sasl/UserAlreadyExistsException.java,
	* gnu/javax/crypto/sasl/anonymous/AnonymousClient.java,
	* gnu/javax/crypto/sasl/anonymous/AnonymousServer.java,
	* gnu/javax/crypto/sasl/anonymous/AnonymousUtil.java,
	* gnu/javax/crypto/sasl/crammd5/CramMD5AuthInfoProvider.java,
	* gnu/javax/crypto/sasl/crammd5/CramMD5Client.java,
	* gnu/javax/crypto/sasl/crammd5/CramMD5Registry.java,
	* gnu/javax/crypto/sasl/crammd5/CramMD5Server.java,
	* gnu/javax/crypto/sasl/crammd5/CramMD5Util.java,
	* gnu/javax/crypto/sasl/crammd5/PasswordFile.java,
	* gnu/javax/crypto/sasl/plain/PasswordFile.java,
	* gnu/javax/crypto/sasl/plain/PlainAuthInfoProvider.java,
	* gnu/javax/crypto/sasl/plain/PlainClient.java,
	* gnu/javax/crypto/sasl/plain/PlainRegistry.java,
	* gnu/javax/crypto/sasl/plain/PlainServer.java,
	* gnu/javax/crypto/sasl/srp/CALG.java,
	* gnu/javax/crypto/sasl/srp/ClientStore.java,
	* gnu/javax/crypto/sasl/srp/IALG.java,
	* gnu/javax/crypto/sasl/srp/KDF.java,
	* gnu/javax/crypto/sasl/srp/PasswordFile.java,
	* gnu/javax/crypto/sasl/srp/SRP.java,
	* gnu/javax/crypto/sasl/srp/SRPAuthInfoProvider.java,
	* gnu/javax/crypto/sasl/srp/SRPClient.java,
	* gnu/javax/crypto/sasl/srp/SRPRegistry.java,
	* gnu/javax/crypto/sasl/srp/SRPServer.java,
	* gnu/javax/crypto/sasl/srp/SecurityContext.java,
	* gnu/javax/crypto/sasl/srp/ServerStore.java,
	* gnu/javax/crypto/sasl/srp/StoreEntry.java,
	* gnu/javax/imageio/IIOInputStream.java,
	* gnu/javax/imageio/bmp/BMPDecoder.java,
	* gnu/javax/imageio/bmp/BMPEncoder.java,
	* gnu/javax/imageio/bmp/BMPException.java,
	* gnu/javax/imageio/bmp/BMPFileHeader.java,
	* gnu/javax/imageio/bmp/BMPImageReader.java,
	* gnu/javax/imageio/bmp/BMPImageReaderSpi.java,
	* gnu/javax/imageio/bmp/BMPImageWriter.java,
	* gnu/javax/imageio/bmp/BMPImageWriterSpi.java,
	* gnu/javax/imageio/bmp/BMPInfoHeader.java,
	* gnu/javax/imageio/bmp/DecodeBF16.java,
	* gnu/javax/imageio/bmp/DecodeBF32.java,
	* gnu/javax/imageio/bmp/DecodeRGB1.java,
	* gnu/javax/imageio/bmp/DecodeRGB24.java,
	* gnu/javax/imageio/bmp/DecodeRGB4.java,
	* gnu/javax/imageio/bmp/DecodeRGB8.java,
	* gnu/javax/imageio/bmp/DecodeRLE4.java,
	* gnu/javax/imageio/bmp/DecodeRLE8.java,
	* gnu/javax/imageio/bmp/EncodeRGB1.java,
	* gnu/javax/imageio/bmp/EncodeRGB16.java,
	* gnu/javax/imageio/bmp/EncodeRGB24.java,
	* gnu/javax/imageio/bmp/EncodeRGB32.java,
	* gnu/javax/imageio/bmp/EncodeRGB4.java,
	* gnu/javax/imageio/bmp/EncodeRGB8.java,
	* gnu/javax/imageio/bmp/EncodeRLE4.java,
	* gnu/javax/imageio/bmp/EncodeRLE8.java,
	* gnu/javax/imageio/gif/GIFFile.java,
	* gnu/javax/imageio/gif/GIFImageReader.java,
	* gnu/javax/imageio/gif/GIFImageReaderSpi.java,
	* gnu/javax/imageio/jpeg/DCT.java,
	* gnu/javax/imageio/jpeg/JPEGComponent.java,
	* gnu/javax/imageio/jpeg/JPEGDecoder.java,
	* gnu/javax/imageio/jpeg/JPEGImageInputStream.java,
	* gnu/javax/imageio/jpeg/JPEGImageReader.java,
	* gnu/javax/imageio/jpeg/JPEGImageReaderSpi.java,
	* gnu/javax/imageio/jpeg/JPEGMarker.java,
	* gnu/javax/imageio/jpeg/ZigZag.java,
	* gnu/javax/imageio/png/PNGChunk.java,
	* gnu/javax/imageio/png/PNGData.java,
	* gnu/javax/imageio/png/PNGDecoder.java,
	* gnu/javax/imageio/png/PNGEncoder.java,
	* gnu/javax/imageio/png/PNGException.java,
	* gnu/javax/imageio/png/PNGFile.java,
	* gnu/javax/imageio/png/PNGFilter.java,
	* gnu/javax/imageio/png/PNGGamma.java,
	* gnu/javax/imageio/png/PNGHeader.java,
	* gnu/javax/imageio/png/PNGICCProfile.java,
	* gnu/javax/imageio/png/PNGImageReader.java,
	* gnu/javax/imageio/png/PNGPalette.java,
	* gnu/javax/imageio/png/PNGPhys.java,
	* gnu/javax/imageio/png/PNGTime.java,
	* gnu/javax/management/ListenerData.java,
	* gnu/javax/management/Server.java,
	* gnu/javax/management/Translator.java,
	* gnu/javax/naming/giop/ContextContinuation.java,
	* gnu/javax/naming/giop/CorbalocParser.java,
	* gnu/javax/naming/giop/GiopNamingEnumeration.java,
	* gnu/javax/naming/giop/GiopNamingServiceFactory.java,
	* gnu/javax/naming/giop/GiopNamingServiceURLContext.java,
	* gnu/javax/naming/giop/ListBindingsEnumeration.java,
	* gnu/javax/naming/giop/ListEnumeration.java,
	* gnu/javax/naming/ictxImpl/trans/GnuName.java,
	* gnu/javax/naming/jndi/url/corbaname/corbanameURLContextFactory.java,
	* gnu/javax/naming/jndi/url/rmi/ContextContinuation.java,
	* gnu/javax/naming/jndi/url/rmi/ListBindingsEnumeration.java,
	* gnu/javax/naming/jndi/url/rmi/ListEnumeration.java,
	* gnu/javax/naming/jndi/url/rmi/RmiContinuation.java,
	* gnu/javax/naming/jndi/url/rmi/RmiNamingEnumeration.java,
	* gnu/javax/naming/jndi/url/rmi/rmiURLContext.java,
	* gnu/javax/naming/jndi/url/rmi/rmiURLContextFactory.java,
	* gnu/javax/net/ssl/AbstractSessionContext.java,
	* gnu/javax/net/ssl/PreSharedKeyManager.java,
	* gnu/javax/net/ssl/PreSharedKeyManagerParameters.java,
	* gnu/javax/net/ssl/SSLCipherSuite.java,
	* gnu/javax/net/ssl/SSLRecordHandler.java,
	* gnu/javax/net/ssl/Session.java,
	* gnu/javax/net/ssl/SessionStoreException.java,
	* gnu/javax/net/ssl/provider/AbstractHandshake.java,
	* gnu/javax/net/ssl/provider/Alert.java,
	* gnu/javax/net/ssl/provider/AlertException.java,
	* gnu/javax/net/ssl/provider/Builder.java,
	* gnu/javax/net/ssl/provider/Certificate.java,
	* gnu/javax/net/ssl/provider/CertificateBuilder.java,
	* gnu/javax/net/ssl/provider/CertificateRequest.java,
	* gnu/javax/net/ssl/provider/CertificateRequestBuilder.java,
	* gnu/javax/net/ssl/provider/CertificateStatusRequest.java,
	* gnu/javax/net/ssl/provider/CertificateStatusType.java,
	* gnu/javax/net/ssl/provider/CertificateURL.java,
	* gnu/javax/net/ssl/provider/CertificateVerify.java,
	* gnu/javax/net/ssl/provider/CipherSuite.java,
	* gnu/javax/net/ssl/provider/CipherSuiteList.java,
	* gnu/javax/net/ssl/provider/ClientCertificateTypeList.java,
	* gnu/javax/net/ssl/provider/ClientDHE_PSKParameters.java,
	* gnu/javax/net/ssl/provider/ClientDiffieHellmanPublic.java,
	* gnu/javax/net/ssl/provider/ClientHandshake.java,
	* gnu/javax/net/ssl/provider/ClientHello.java,
	* gnu/javax/net/ssl/provider/ClientHelloBuilder.java,
	* gnu/javax/net/ssl/provider/ClientHelloV2.java,
	* gnu/javax/net/ssl/provider/ClientKeyExchangeBuilder.java,
	* gnu/javax/net/ssl/provider/ClientPSKParameters.java,
	* gnu/javax/net/ssl/provider/ClientRSA_PSKParameters.java,
	* gnu/javax/net/ssl/provider/CompressionMethod.java,
	* gnu/javax/net/ssl/provider/CompressionMethodList.java,
	* gnu/javax/net/ssl/provider/Constructed.java,
	* gnu/javax/net/ssl/provider/Debug.java,
	* gnu/javax/net/ssl/provider/DelegatedTask.java,
	* gnu/javax/net/ssl/provider/EmptyExchangeKeys.java,
	* gnu/javax/net/ssl/provider/EncryptedPreMasterSecret.java,
	* gnu/javax/net/ssl/provider/ExchangeKeys.java,
	* gnu/javax/net/ssl/provider/Extension.java,
	* gnu/javax/net/ssl/provider/ExtensionList.java,
	* gnu/javax/net/ssl/provider/Handshake.java,
	* gnu/javax/net/ssl/provider/InputSecurityParameters.java,
	* gnu/javax/net/ssl/provider/Jessie.java,
	* gnu/javax/net/ssl/provider/MaxFragmentLength.java,
	* gnu/javax/net/ssl/provider/OutputSecurityParameters.java,
	* gnu/javax/net/ssl/provider/PreSharedKeyManagerFactoryImpl.java,
	* gnu/javax/net/ssl/provider/Random.java,
	* gnu/javax/net/ssl/provider/SSLContextImpl.java,
	* gnu/javax/net/ssl/provider/SSLEngineImpl.java,
	* gnu/javax/net/ssl/provider/SSLRSASignatureImpl.java,
	* gnu/javax/net/ssl/provider/SSLServerSocketFactoryImpl.java,
	* gnu/javax/net/ssl/provider/SSLServerSocketImpl.java,
	* gnu/javax/net/ssl/provider/SSLSocketFactoryImpl.java,
	* gnu/javax/net/ssl/provider/SSLSocketImpl.java,
	* gnu/javax/net/ssl/provider/SSLv3HMacMD5Impl.java,
	* gnu/javax/net/ssl/provider/SSLv3HMacSHAImpl.java,
	* gnu/javax/net/ssl/provider/ServerDHE_PSKParameters.java,
	* gnu/javax/net/ssl/provider/ServerDHParams.java,
	* gnu/javax/net/ssl/provider/ServerHandshake.java,
	* gnu/javax/net/ssl/provider/ServerHello.java,
	* gnu/javax/net/ssl/provider/ServerHelloBuilder.java,
	* gnu/javax/net/ssl/provider/ServerHelloDone.java,
	* gnu/javax/net/ssl/provider/ServerKeyExchangeBuilder.java,
	* gnu/javax/net/ssl/provider/ServerNameList.java,
	* gnu/javax/net/ssl/provider/ServerPSKParameters.java,
	* gnu/javax/net/ssl/provider/ServerRSA_PSKParameters.java,
	* gnu/javax/net/ssl/provider/SessionImpl.java,
	* gnu/javax/net/ssl/provider/Signature.java,
	* gnu/javax/net/ssl/provider/SignatureAlgorithm.java,
	* gnu/javax/net/ssl/provider/SimpleSessionContext.java,
	* gnu/javax/net/ssl/provider/TruncatedHMAC.java,
	* gnu/javax/net/ssl/provider/TrustedAuthorities.java,
	* gnu/javax/net/ssl/provider/UnresolvedExtensionValue.java,
	* gnu/javax/net/ssl/provider/Util.java,
	* gnu/javax/net/ssl/provider/X500PrincipalList.java,
	* gnu/javax/net/ssl/provider/X509KeyManagerFactory.java,
	* gnu/javax/net/ssl/provider/X509TrustManagerFactory.java,
	* gnu/javax/print/ipp/IppRequest.java,
	* gnu/javax/rmi/CORBA/CorbaInput.java,
	* gnu/javax/rmi/CORBA/CorbaOutput.java,
	* gnu/javax/rmi/CORBA/DefaultWriteObjectTester.java,
	* gnu/javax/rmi/CORBA/DelegateFactory.java,
	* gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
	* gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	* gnu/javax/rmi/CORBA/RmiUtilities.java,
	* gnu/javax/rmi/CORBA/StubDelegateImpl.java,
	* gnu/javax/rmi/CORBA/TieTargetRecord.java,
	* gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	* gnu/javax/rmi/CORBA/ValueHandlerDelegateImpl.java,
	* gnu/javax/security/auth/callback/AWTCallbackHandler.java,
	* gnu/javax/security/auth/callback/AbstractCallbackHandler.java,
	* gnu/javax/security/auth/callback/CertificateCallback.java,
	* gnu/javax/security/auth/callback/ConsoleCallbackHandler.java,
	* gnu/javax/security/auth/callback/DefaultCallbackHandler.java,
	* gnu/javax/security/auth/callback/SwingCallbackHandler.java,
	* gnu/javax/security/auth/login/ConfigFileParser.java,
	* gnu/javax/security/auth/login/ConfigFileTokenizer.java,
	* gnu/javax/security/auth/login/GnuConfiguration.java,
	* gnu/javax/sound/AudioSecurityManager.java,
	* gnu/javax/sound/midi/alsa/AlsaInputPortDevice.java,
	* gnu/javax/sound/midi/alsa/AlsaMidiDeviceProvider.java,
	* gnu/javax/sound/midi/alsa/AlsaMidiSequencerDevice.java,
	* gnu/javax/sound/midi/alsa/AlsaOutputPortDevice.java,
	* gnu/javax/sound/midi/alsa/AlsaPortDevice.java,
	* gnu/javax/sound/midi/dssi/DSSIMidiDeviceProvider.java,
	* gnu/javax/sound/midi/dssi/DSSISynthesizer.java,
	* gnu/javax/sound/midi/file/ExtendedMidiFileFormat.java,
	* gnu/javax/sound/midi/file/MidiDataInputStream.java,
	* gnu/javax/sound/midi/file/MidiDataOutputStream.java,
	* gnu/javax/sound/midi/file/MidiFileReader.java,
	* gnu/javax/sound/midi/file/MidiFileWriter.java,
	* gnu/javax/sound/sampled/AU/AUReader.java,
	* gnu/javax/sound/sampled/WAV/WAVReader.java,
	* gnu/javax/sound/sampled/gstreamer/GStreamerMixer.java,
	* gnu/javax/sound/sampled/gstreamer/GStreamerMixerProvider.java,
	* gnu/javax/sound/sampled/gstreamer/io/GstAudioFileReader.java,
	* gnu/javax/sound/sampled/gstreamer/io/GstAudioFileReaderNativePeer.java,
	* gnu/javax/sound/sampled/gstreamer/io/GstInputStream.java,
	* gnu/javax/sound/sampled/gstreamer/lines/GstDataLine.java,
	* gnu/javax/sound/sampled/gstreamer/lines/GstNativeDataLine.java,
	* gnu/javax/sound/sampled/gstreamer/lines/GstPipeline.java,
	* gnu/javax/sound/sampled/gstreamer/lines/GstSourceDataLine.java,
	* gnu/javax/swing/plaf/gnu/GNULookAndFeel.java,
	* gnu/javax/swing/text/html/CharacterAttributeTranslator.java,
	* gnu/javax/swing/text/html/CombinedAttributes.java,
	* gnu/javax/swing/text/html/ImageViewIconFactory.java,
	* gnu/javax/swing/text/html/css/BorderStyle.java,
	* gnu/javax/swing/text/html/css/CSSParser.java,
	* gnu/javax/swing/text/html/css/CSSScanner.java,
	* gnu/javax/swing/text/html/css/Selector.java,
	* gnu/javax/swing/text/html/parser/GnuParserDelegator.java,
	* gnu/javax/swing/text/html/parser/HTML_401F.java,
	* gnu/javax/swing/text/html/parser/SmallHtmlAttributeSet.java,
	* gnu/javax/swing/text/html/parser/htmlAttributeSet.java,
	* gnu/javax/swing/text/html/parser/htmlValidator.java,
	* gnu/javax/swing/text/html/parser/models/list.java,
	* gnu/javax/swing/text/html/parser/support/Parser.java,
	* gnu/javax/swing/text/html/parser/support/low/ReaderTokenizer.java,
	* gnu/javax/swing/text/html/parser/support/textPreProcessor.java,
	* gnu/javax/swing/tree/GnuPath.java,
	* gnu/test/Fail.java,
	* gnu/test/Pass.java,
	* gnu/test/Test.java,
	* gnu/test/Unsupported.java,
	* gnu/xml/aelfred2/JAXPFactory.java,
	* gnu/xml/aelfred2/SAXDriver.java,
	* gnu/xml/aelfred2/XmlParser.java,
	* gnu/xml/aelfred2/XmlReader.java,
	* gnu/xml/dom/Consumer.java,
	* gnu/xml/dom/DTDAttributeTypeInfo.java,
	* gnu/xml/dom/DTDElementTypeInfo.java,
	* gnu/xml/dom/DomAttr.java,
	* gnu/xml/dom/DomCDATASection.java,
	* gnu/xml/dom/DomCharacterData.java,
	* gnu/xml/dom/DomComment.java,
	* gnu/xml/dom/DomDOMException.java,
	* gnu/xml/dom/DomDoctype.java,
	* gnu/xml/dom/DomDocument.java,
	* gnu/xml/dom/DomDocumentBuilder.java,
	* gnu/xml/dom/DomDocumentBuilderFactory.java,
	* gnu/xml/dom/DomDocumentConfiguration.java,
	* gnu/xml/dom/DomDocumentFragment.java,
	* gnu/xml/dom/DomElement.java,
	* gnu/xml/dom/DomEntity.java,
	* gnu/xml/dom/DomEntityReference.java,
	* gnu/xml/dom/DomEvent.java,
	* gnu/xml/dom/DomExtern.java,
	* gnu/xml/dom/DomImpl.java,
	* gnu/xml/dom/DomIterator.java,
	* gnu/xml/dom/DomNSResolverContext.java,
	* gnu/xml/dom/DomNamedNodeMap.java,
	* gnu/xml/dom/DomNode.java,
	* gnu/xml/dom/DomNodeIterator.java,
	* gnu/xml/dom/DomNotation.java,
	* gnu/xml/dom/DomNsNode.java,
	* gnu/xml/dom/DomProcessingInstruction.java,
	* gnu/xml/dom/DomText.java,
	* gnu/xml/dom/DomXPathExpression.java,
	* gnu/xml/dom/DomXPathNSResolver.java,
	* gnu/xml/dom/DomXPathResult.java,
	* gnu/xml/dom/ImplementationList.java,
	* gnu/xml/dom/ImplementationSource.java,
	* gnu/xml/dom/JAXPFactory.java,
	* gnu/xml/dom/html2/DomHTMLAnchorElement.java,
	* gnu/xml/dom/html2/DomHTMLAppletElement.java,
	* gnu/xml/dom/html2/DomHTMLAreaElement.java,
	* gnu/xml/dom/html2/DomHTMLBRElement.java,
	* gnu/xml/dom/html2/DomHTMLBaseElement.java,
	* gnu/xml/dom/html2/DomHTMLBaseFontElement.java,
	* gnu/xml/dom/html2/DomHTMLBodyElement.java,
	* gnu/xml/dom/html2/DomHTMLButtonElement.java,
	* gnu/xml/dom/html2/DomHTMLCollection.java,
	* gnu/xml/dom/html2/DomHTMLDListElement.java,
	* gnu/xml/dom/html2/DomHTMLDirectoryElement.java,
	* gnu/xml/dom/html2/DomHTMLDivElement.java,
	* gnu/xml/dom/html2/DomHTMLDocument.java,
	* gnu/xml/dom/html2/DomHTMLElement.java,
	* gnu/xml/dom/html2/DomHTMLEmbedElement.java,
	* gnu/xml/dom/html2/DomHTMLFieldSetElement.java,
	* gnu/xml/dom/html2/DomHTMLFontElement.java,
	* gnu/xml/dom/html2/DomHTMLFormElement.java,
	* gnu/xml/dom/html2/DomHTMLFrameElement.java,
	* gnu/xml/dom/html2/DomHTMLFrameSetElement.java,
	* gnu/xml/dom/html2/DomHTMLHRElement.java,
	* gnu/xml/dom/html2/DomHTMLHeadElement.java,
	* gnu/xml/dom/html2/DomHTMLHeadingElement.java,
	* gnu/xml/dom/html2/DomHTMLHtmlElement.java,
	* gnu/xml/dom/html2/DomHTMLIFrameElement.java,
	* gnu/xml/dom/html2/DomHTMLImageElement.java,
	* gnu/xml/dom/html2/DomHTMLImpl.java,
	* gnu/xml/dom/html2/DomHTMLInputElement.java,
	* gnu/xml/dom/html2/DomHTMLIsIndexElement.java,
	* gnu/xml/dom/html2/DomHTMLLIElement.java,
	* gnu/xml/dom/html2/DomHTMLLabelElement.java,
	* gnu/xml/dom/html2/DomHTMLLegendElement.java,
	* gnu/xml/dom/html2/DomHTMLLinkElement.java,
	* gnu/xml/dom/html2/DomHTMLMapElement.java,
	* gnu/xml/dom/html2/DomHTMLMenuElement.java,
	* gnu/xml/dom/html2/DomHTMLMetaElement.java,
	* gnu/xml/dom/html2/DomHTMLModElement.java,
	* gnu/xml/dom/html2/DomHTMLOListElement.java,
	* gnu/xml/dom/html2/DomHTMLObjectElement.java,
	* gnu/xml/dom/html2/DomHTMLOptGroupElement.java,
	* gnu/xml/dom/html2/DomHTMLOptionElement.java,
	* gnu/xml/dom/html2/DomHTMLParagraphElement.java,
	* gnu/xml/dom/html2/DomHTMLParamElement.java,
	* gnu/xml/dom/html2/DomHTMLParser.java,
	* gnu/xml/dom/html2/DomHTMLPreElement.java,
	* gnu/xml/dom/html2/DomHTMLQuoteElement.java,
	* gnu/xml/dom/html2/DomHTMLScriptElement.java,
	* gnu/xml/dom/html2/DomHTMLSelectElement.java,
	* gnu/xml/dom/html2/DomHTMLStyleElement.java,
	* gnu/xml/dom/html2/DomHTMLTableCaptionElement.java,
	* gnu/xml/dom/html2/DomHTMLTableCellElement.java,
	* gnu/xml/dom/html2/DomHTMLTableColElement.java,
	* gnu/xml/dom/html2/DomHTMLTableElement.java,
	* gnu/xml/dom/html2/DomHTMLTableRowElement.java,
	* gnu/xml/dom/html2/DomHTMLTableSectionElement.java,
	* gnu/xml/dom/html2/DomHTMLTextAreaElement.java,
	* gnu/xml/dom/html2/DomHTMLTitleElement.java,
	* gnu/xml/dom/html2/DomHTMLUListElement.java,
	* gnu/xml/dom/ls/DomLSException.java,
	* gnu/xml/dom/ls/DomLSInput.java,
	* gnu/xml/dom/ls/DomLSOutput.java,
	* gnu/xml/dom/ls/DomLSParser.java,
	* gnu/xml/dom/ls/DomLSSerializer.java,
	* gnu/xml/dom/ls/FilteredSAXEventSink.java,
	* gnu/xml/dom/ls/ReaderInputStream.java,
	* gnu/xml/dom/ls/SAXEventSink.java,
	* gnu/xml/dom/ls/WriterOutputStream.java,
	* gnu/xml/libxmlj/dom/GnomeAttr.java,
	* gnu/xml/libxmlj/dom/GnomeCDATASection.java,
	* gnu/xml/libxmlj/dom/GnomeCharacterData.java,
	* gnu/xml/libxmlj/dom/GnomeComment.java,
	* gnu/xml/libxmlj/dom/GnomeDOMException.java,
	* gnu/xml/libxmlj/dom/GnomeDOMStringList.java,
	* gnu/xml/libxmlj/dom/GnomeDocument.java,
	* gnu/xml/libxmlj/dom/GnomeDocumentBuilder.java,
	* gnu/xml/libxmlj/dom/GnomeDocumentBuilderFactory.java,
	* gnu/xml/libxmlj/dom/GnomeDocumentFragment.java,
	* gnu/xml/libxmlj/dom/GnomeDocumentType.java,
	* gnu/xml/libxmlj/dom/GnomeElement.java,
	* gnu/xml/libxmlj/dom/GnomeEntity.java,
	* gnu/xml/libxmlj/dom/GnomeEntityReference.java,
	* gnu/xml/libxmlj/dom/GnomeNamedNodeMap.java,
	* gnu/xml/libxmlj/dom/GnomeNode.java,
	* gnu/xml/libxmlj/dom/GnomeNodeList.java,
	* gnu/xml/libxmlj/dom/GnomeNotation.java,
	* gnu/xml/libxmlj/dom/GnomeProcessingInstruction.java,
	* gnu/xml/libxmlj/dom/GnomeText.java,
	* gnu/xml/libxmlj/dom/GnomeTypeInfo.java,
	* gnu/xml/libxmlj/dom/GnomeXPathExpression.java,
	* gnu/xml/libxmlj/dom/GnomeXPathNSResolver.java,
	* gnu/xml/libxmlj/dom/GnomeXPathNodeList.java,
	* gnu/xml/libxmlj/dom/GnomeXPathResult.java,
	* gnu/xml/libxmlj/sax/GnomeLocator.java,
	* gnu/xml/libxmlj/sax/GnomeSAXParser.java,
	* gnu/xml/libxmlj/sax/GnomeSAXParserFactory.java,
	* gnu/xml/libxmlj/sax/GnomeXMLReader.java,
	* gnu/xml/libxmlj/sax/Namespaces.java,
	* gnu/xml/libxmlj/sax/StringArrayAttributes.java,
	* gnu/xml/libxmlj/sax/XMLName.java,
	* gnu/xml/libxmlj/transform/ErrorListenerErrorHandler.java,
	* gnu/xml/libxmlj/transform/GnomeTransformer.java,
	* gnu/xml/libxmlj/transform/GnomeTransformerFactory.java,
	* gnu/xml/libxmlj/transform/URIResolverEntityResolver.java,
	* gnu/xml/libxmlj/util/EmptyNodeList.java,
	* gnu/xml/libxmlj/util/NamedInputStream.java,
	* gnu/xml/libxmlj/util/StandaloneDocumentType.java,
	* gnu/xml/libxmlj/util/StandaloneLocator.java,
	* gnu/xml/libxmlj/util/XMLJ.java,
	* gnu/xml/pipeline/CallFilter.java,
	* gnu/xml/pipeline/DomConsumer.java,
	* gnu/xml/pipeline/EventConsumer.java,
	* gnu/xml/pipeline/EventFilter.java,
	* gnu/xml/pipeline/LinkFilter.java,
	* gnu/xml/pipeline/NSFilter.java,
	* gnu/xml/pipeline/PipelineFactory.java,
	* gnu/xml/pipeline/TeeConsumer.java,
	* gnu/xml/pipeline/TextConsumer.java,
	* gnu/xml/pipeline/ValidationConsumer.java,
	* gnu/xml/pipeline/WellFormednessFilter.java,
	* gnu/xml/pipeline/XIncludeFilter.java,
	* gnu/xml/pipeline/XsltFilter.java,
	* gnu/xml/stream/AttributeImpl.java,
	* gnu/xml/stream/BufferedReader.java,
	* gnu/xml/stream/CRLFReader.java,
	* gnu/xml/stream/CharactersImpl.java,
	* gnu/xml/stream/CommentImpl.java,
	* gnu/xml/stream/DTDImpl.java,
	* gnu/xml/stream/EndDocumentImpl.java,
	* gnu/xml/stream/EndElementImpl.java,
	* gnu/xml/stream/EntityDeclarationImpl.java,
	* gnu/xml/stream/EntityReferenceImpl.java,
	* gnu/xml/stream/FilteredEventReader.java,
	* gnu/xml/stream/FilteredStreamReader.java,
	* gnu/xml/stream/NamespaceImpl.java,
	* gnu/xml/stream/NotationDeclarationImpl.java,
	* gnu/xml/stream/ProcessingInstructionImpl.java,
	* gnu/xml/stream/SAXParser.java,
	* gnu/xml/stream/SAXParserFactory.java,
	* gnu/xml/stream/StartDocumentImpl.java,
	* gnu/xml/stream/StartElementImpl.java,
	* gnu/xml/stream/UnicodeReader.java,
	* gnu/xml/stream/XIncludeFilter.java,
	* gnu/xml/stream/XMLEventAllocatorImpl.java,
	* gnu/xml/stream/XMLEventFactoryImpl.java,
	* gnu/xml/stream/XMLEventImpl.java,
	* gnu/xml/stream/XMLEventReaderImpl.java,
	* gnu/xml/stream/XMLEventWriterImpl.java,
	* gnu/xml/stream/XMLInputFactoryImpl.java,
	* gnu/xml/stream/XMLOutputFactoryImpl.java,
	* gnu/xml/stream/XMLParser.java,
	* gnu/xml/stream/XMLStreamWriterImpl.java,
	* gnu/xml/transform/AbstractNumberNode.java,
	* gnu/xml/transform/ApplyImportsNode.java,
	* gnu/xml/transform/ApplyTemplatesNode.java,
	* gnu/xml/transform/AttributeNode.java,
	* gnu/xml/transform/AttributeSet.java,
	* gnu/xml/transform/Bindings.java,
	* gnu/xml/transform/CallTemplateNode.java,
	* gnu/xml/transform/ChooseNode.java,
	* gnu/xml/transform/CommentNode.java,
	* gnu/xml/transform/CopyNode.java,
	* gnu/xml/transform/CopyOfNode.java,
	* gnu/xml/transform/CurrentFunction.java,
	* gnu/xml/transform/DOMSourceLocator.java,
	* gnu/xml/transform/DocumentFunction.java,
	* gnu/xml/transform/ElementAvailableFunction.java,
	* gnu/xml/transform/ElementNode.java,
	* gnu/xml/transform/ErrorListenerErrorHandler.java,
	* gnu/xml/transform/ForEachNode.java,
	* gnu/xml/transform/FormatNumberFunction.java,
	* gnu/xml/transform/FunctionAvailableFunction.java,
	* gnu/xml/transform/GenerateIdFunction.java,
	* gnu/xml/transform/IfNode.java,
	* gnu/xml/transform/Key.java,
	* gnu/xml/transform/KeyFunction.java,
	* gnu/xml/transform/LiteralNode.java,
	* gnu/xml/transform/MessageNode.java,
	* gnu/xml/transform/NamespaceProxy.java,
	* gnu/xml/transform/NodeNumberNode.java,
	* gnu/xml/transform/NumberNode.java,
	* gnu/xml/transform/OtherwiseNode.java,
	* gnu/xml/transform/ParameterNode.java,
	* gnu/xml/transform/ProcessingInstructionNode.java,
	* gnu/xml/transform/SAXSerializer.java,
	* gnu/xml/transform/SAXTemplatesHandler.java,
	* gnu/xml/transform/SAXTransformerHandler.java,
	* gnu/xml/transform/SortKey.java,
	* gnu/xml/transform/StreamSerializer.java,
	* gnu/xml/transform/StrippingInstruction.java,
	* gnu/xml/transform/Stylesheet.java,
	* gnu/xml/transform/SystemPropertyFunction.java,
	* gnu/xml/transform/Template.java,
	* gnu/xml/transform/TemplateNode.java,
	* gnu/xml/transform/TemplatesImpl.java,
	* gnu/xml/transform/TextNode.java,
	* gnu/xml/transform/TransformerFactoryImpl.java,
	* gnu/xml/transform/TransformerImpl.java,
	* gnu/xml/transform/TransformerOutputProperties.java,
	* gnu/xml/transform/URIResolverEntityResolver.java,
	* gnu/xml/transform/UnparsedEntityUriFunction.java,
	* gnu/xml/transform/ValueOfNode.java,
	* gnu/xml/transform/WhenNode.java,
	* gnu/xml/transform/WithParam.java,
	* gnu/xml/transform/XSLComparator.java,
	* gnu/xml/transform/XSLURIResolver.java,
	* gnu/xml/util/DoParse.java,
	* gnu/xml/util/DomParser.java,
	* gnu/xml/util/Resolver.java,
	* gnu/xml/util/SAXNullTransformerFactory.java,
	* gnu/xml/util/XCat.java,
	* gnu/xml/util/XHTMLWriter.java,
	* gnu/xml/util/XMLWriter.java,
	* gnu/xml/validation/datatype/Annotation.java,
	* gnu/xml/validation/datatype/AnySimpleType.java,
	* gnu/xml/validation/datatype/AnyType.java,
	* gnu/xml/validation/datatype/AnyURIType.java,
	* gnu/xml/validation/datatype/AtomicSimpleType.java,
	* gnu/xml/validation/datatype/Base64BinaryType.java,
	* gnu/xml/validation/datatype/BooleanType.java,
	* gnu/xml/validation/datatype/ByteType.java,
	* gnu/xml/validation/datatype/DateTimeType.java,
	* gnu/xml/validation/datatype/DateType.java,
	* gnu/xml/validation/datatype/DecimalType.java,
	* gnu/xml/validation/datatype/DoubleType.java,
	* gnu/xml/validation/datatype/DurationType.java,
	* gnu/xml/validation/datatype/EntitiesType.java,
	* gnu/xml/validation/datatype/EntityType.java,
	* gnu/xml/validation/datatype/EnumerationFacet.java,
	* gnu/xml/validation/datatype/Facet.java,
	* gnu/xml/validation/datatype/FloatType.java,
	* gnu/xml/validation/datatype/FractionDigitsFacet.java,
	* gnu/xml/validation/datatype/GDayType.java,
	* gnu/xml/validation/datatype/GMonthDayType.java,
	* gnu/xml/validation/datatype/GMonthType.java,
	* gnu/xml/validation/datatype/GYearMonthType.java,
	* gnu/xml/validation/datatype/GYearType.java,
	* gnu/xml/validation/datatype/HexBinaryType.java,
	* gnu/xml/validation/datatype/IDRefType.java,
	* gnu/xml/validation/datatype/IDRefsType.java,
	* gnu/xml/validation/datatype/IDType.java,
	* gnu/xml/validation/datatype/IntType.java,
	* gnu/xml/validation/datatype/IntegerType.java,
	* gnu/xml/validation/datatype/LanguageType.java,
	* gnu/xml/validation/datatype/LengthFacet.java,
	* gnu/xml/validation/datatype/ListSimpleType.java,
	* gnu/xml/validation/datatype/LongType.java,
	* gnu/xml/validation/datatype/MaxExclusiveFacet.java,
	* gnu/xml/validation/datatype/MaxInclusiveFacet.java,
	* gnu/xml/validation/datatype/MaxLengthFacet.java,
	* gnu/xml/validation/datatype/MinExclusiveFacet.java,
	* gnu/xml/validation/datatype/MinInclusiveFacet.java,
	* gnu/xml/validation/datatype/MinLengthFacet.java,
	* gnu/xml/validation/datatype/NCNameType.java,
	* gnu/xml/validation/datatype/NMTokenType.java,
	* gnu/xml/validation/datatype/NMTokensType.java,
	* gnu/xml/validation/datatype/NameType.java,
	* gnu/xml/validation/datatype/NegativeIntegerType.java,
	* gnu/xml/validation/datatype/NonNegativeIntegerType.java,
	* gnu/xml/validation/datatype/NonPositiveIntegerType.java,
	* gnu/xml/validation/datatype/NormalizedStringType.java,
	* gnu/xml/validation/datatype/NotationType.java,
	* gnu/xml/validation/datatype/PatternFacet.java,
	* gnu/xml/validation/datatype/PositiveIntegerType.java,
	* gnu/xml/validation/datatype/QNameType.java,
	* gnu/xml/validation/datatype/ShortType.java,
	* gnu/xml/validation/datatype/SimpleType.java,
	* gnu/xml/validation/datatype/StringType.java,
	* gnu/xml/validation/datatype/TimeType.java,
	* gnu/xml/validation/datatype/TokenType.java,
	* gnu/xml/validation/datatype/TotalDigitsFacet.java,
	* gnu/xml/validation/datatype/Type.java,
	* gnu/xml/validation/datatype/TypeBuilder.java,
	* gnu/xml/validation/datatype/TypeLibrary.java,
	* gnu/xml/validation/datatype/TypeLibraryFactory.java,
	* gnu/xml/validation/datatype/UnionSimpleType.java,
	* gnu/xml/validation/datatype/UnsignedByteType.java,
	* gnu/xml/validation/datatype/UnsignedIntType.java,
	* gnu/xml/validation/datatype/UnsignedLongType.java,
	* gnu/xml/validation/datatype/UnsignedShortType.java,
	* gnu/xml/validation/datatype/WhiteSpaceFacet.java,
	* gnu/xml/validation/relaxng/AnyNameNameClass.java,
	* gnu/xml/validation/relaxng/AttributePattern.java,
	* gnu/xml/validation/relaxng/ChoiceNameClass.java,
	* gnu/xml/validation/relaxng/ChoicePattern.java,
	* gnu/xml/validation/relaxng/DataPattern.java,
	* gnu/xml/validation/relaxng/Define.java,
	* gnu/xml/validation/relaxng/ElementPattern.java,
	* gnu/xml/validation/relaxng/EmptyPattern.java,
	* gnu/xml/validation/relaxng/FullSyntaxBuilder.java,
	* gnu/xml/validation/relaxng/Grammar.java,
	* gnu/xml/validation/relaxng/GrammarException.java,
	* gnu/xml/validation/relaxng/GrammarValidator.java,
	* gnu/xml/validation/relaxng/GroupPattern.java,
	* gnu/xml/validation/relaxng/InterleavePattern.java,
	* gnu/xml/validation/relaxng/ListPattern.java,
	* gnu/xml/validation/relaxng/NSNameNameClass.java,
	* gnu/xml/validation/relaxng/NameClass.java,
	* gnu/xml/validation/relaxng/NameNameClass.java,
	* gnu/xml/validation/relaxng/NotAllowedPattern.java,
	* gnu/xml/validation/relaxng/OneOrMorePattern.java,
	* gnu/xml/validation/relaxng/Param.java,
	* gnu/xml/validation/relaxng/Pattern.java,
	* gnu/xml/validation/relaxng/RELAXNGSchemaFactory.java,
	* gnu/xml/validation/relaxng/RefPattern.java,
	* gnu/xml/validation/relaxng/TextPattern.java,
	* gnu/xml/validation/relaxng/ValuePattern.java,
	* gnu/xml/validation/xmlschema/AnyAttribute.java,
	* gnu/xml/validation/xmlschema/AttributeDeclaration.java,
	* gnu/xml/validation/xmlschema/AttributeUse.java,
	* gnu/xml/validation/xmlschema/ComplexType.java,
	* gnu/xml/validation/xmlschema/ElementDeclaration.java,
	* gnu/xml/validation/xmlschema/Particle.java,
	* gnu/xml/validation/xmlschema/ValidationException.java,
	* gnu/xml/validation/xmlschema/XMLSchema.java,
	* gnu/xml/validation/xmlschema/XMLSchemaAttributeTypeInfo.java,
	* gnu/xml/validation/xmlschema/XMLSchemaBuilder.java,
	* gnu/xml/validation/xmlschema/XMLSchemaElementTypeInfo.java,
	* gnu/xml/validation/xmlschema/XMLSchemaSchemaFactory.java,
	* gnu/xml/validation/xmlschema/XMLSchemaTypeInfo.java,
	* gnu/xml/validation/xmlschema/XMLSchemaTypeInfoProvider.java,
	* gnu/xml/validation/xmlschema/XMLSchemaValidator.java,
	* gnu/xml/validation/xmlschema/XMLSchemaValidatorHandler.java,
	* gnu/xml/xpath/AndExpr.java,
	* gnu/xml/xpath/ArithmeticExpr.java,
	* gnu/xml/xpath/BooleanFunction.java,
	* gnu/xml/xpath/CeilingFunction.java,
	* gnu/xml/xpath/ConcatFunction.java,
	* gnu/xml/xpath/Constant.java,
	* gnu/xml/xpath/ContainsFunction.java,
	* gnu/xml/xpath/CountFunction.java,
	* gnu/xml/xpath/DocumentOrderComparator.java,
	* gnu/xml/xpath/EqualityExpr.java,
	* gnu/xml/xpath/Expr.java,
	* gnu/xml/xpath/FalseFunction.java,
	* gnu/xml/xpath/FloorFunction.java,
	* gnu/xml/xpath/Function.java,
	* gnu/xml/xpath/FunctionCall.java,
	* gnu/xml/xpath/IdFunction.java,
	* gnu/xml/xpath/LangFunction.java,
	* gnu/xml/xpath/LastFunction.java,
	* gnu/xml/xpath/LocalNameFunction.java,
	* gnu/xml/xpath/NameFunction.java,
	* gnu/xml/xpath/NameTest.java,
	* gnu/xml/xpath/NamespaceTest.java,
	* gnu/xml/xpath/NamespaceUriFunction.java,
	* gnu/xml/xpath/NegativeExpr.java,
	* gnu/xml/xpath/NodeTypeTest.java,
	* gnu/xml/xpath/NormalizeSpaceFunction.java,
	* gnu/xml/xpath/NotFunction.java,
	* gnu/xml/xpath/NumberFunction.java,
	* gnu/xml/xpath/OrExpr.java,
	* gnu/xml/xpath/ParenthesizedExpr.java,
	* gnu/xml/xpath/Path.java,
	* gnu/xml/xpath/Pattern.java,
	* gnu/xml/xpath/PositionFunction.java,
	* gnu/xml/xpath/Predicate.java,
	* gnu/xml/xpath/RelationalExpr.java,
	* gnu/xml/xpath/Root.java,
	* gnu/xml/xpath/RoundFunction.java,
	* gnu/xml/xpath/Selector.java,
	* gnu/xml/xpath/StartsWithFunction.java,
	* gnu/xml/xpath/Steps.java,
	* gnu/xml/xpath/StringFunction.java,
	* gnu/xml/xpath/StringLengthFunction.java,
	* gnu/xml/xpath/SubstringAfterFunction.java,
	* gnu/xml/xpath/SubstringBeforeFunction.java,
	* gnu/xml/xpath/SubstringFunction.java,
	* gnu/xml/xpath/SumFunction.java,
	* gnu/xml/xpath/Test.java,
	* gnu/xml/xpath/TranslateFunction.java,
	* gnu/xml/xpath/TrueFunction.java,
	* gnu/xml/xpath/UnionExpr.java,
	* gnu/xml/xpath/VariableReference.java,
	* gnu/xml/xpath/XPathFactoryImpl.java,
	* gnu/xml/xpath/XPathImpl.java,
	* gnu/xml/xpath/XPathParser.java,
	* gnu/xml/xpath/XPathTokenizer.java,
	* java/applet/Applet.java,
	* java/awt/AWTEvent.java,
	* java/awt/AWTEventMulticaster.java,
	* java/awt/AWTKeyStroke.java,
	* java/awt/AlphaComposite.java,
	* java/awt/BasicStroke.java,
	* java/awt/BorderLayout.java,
	* java/awt/BufferCapabilities.java,
	* java/awt/Button.java,
	* java/awt/Canvas.java,
	* java/awt/CardLayout.java,
	* java/awt/Checkbox.java,
	* java/awt/CheckboxGroup.java,
	* java/awt/CheckboxMenuItem.java,
	* java/awt/Choice.java,
	* java/awt/Color.java,
	* java/awt/ColorPaintContext.java,
	* java/awt/Component.java,
	* java/awt/Container.java,
	* java/awt/ContainerOrderFocusTraversalPolicy.java,
	* java/awt/Cursor.java,
	* java/awt/DefaultFocusTraversalPolicy.java,
	* java/awt/DefaultKeyboardFocusManager.java,
	* java/awt/Desktop.java,
	* java/awt/Dialog.java,
	* java/awt/DisplayMode.java,
	* java/awt/Event.java,
	* java/awt/EventDispatchThread.java,
	* java/awt/EventQueue.java,
	* java/awt/FileDialog.java,
	* java/awt/FlowLayout.java,
	* java/awt/FocusTraversalPolicy.java,
	* java/awt/Font.java,
	* java/awt/FontMetrics.java,
	* java/awt/Frame.java,
	* java/awt/GradientPaint.java,
	* java/awt/Graphics.java,
	* java/awt/Graphics2D.java,
	* java/awt/GraphicsConfiguration.java,
	* java/awt/GraphicsDevice.java,
	* java/awt/GridBagConstraints.java,
	* java/awt/GridBagLayout.java,
	* java/awt/GridLayout.java,
	* java/awt/Image.java,
	* java/awt/Insets.java,
	* java/awt/JobAttributes.java,
	* java/awt/KeyboardFocusManager.java,
	* java/awt/Label.java,
	* java/awt/LightweightDispatcher.java,
	* java/awt/List.java,
	* java/awt/MediaTracker.java,
	* java/awt/Menu.java,
	* java/awt/MenuBar.java,
	* java/awt/MenuComponent.java,
	* java/awt/MenuItem.java,
	* java/awt/MenuShortcut.java,
	* java/awt/MouseInfo.java,
	* java/awt/PageAttributes.java,
	* java/awt/Point.java,
	* java/awt/PointerInfo.java,
	* java/awt/Polygon.java,
	* java/awt/PopupMenu.java,
	* java/awt/Rectangle.java,
	* java/awt/RenderingHints.java,
	* java/awt/Robot.java,
	* java/awt/ScrollPane.java,
	* java/awt/ScrollPaneAdjustable.java,
	* java/awt/Scrollbar.java,
	* java/awt/Shape.java,
	* java/awt/SystemColor.java,
	* java/awt/TextArea.java,
	* java/awt/TextComponent.java,
	* java/awt/TextField.java,
	* java/awt/TexturePaint.java,
	* java/awt/Toolkit.java,
	* java/awt/Window.java,
	* java/awt/color/ICC_ColorSpace.java,
	* java/awt/color/ICC_Profile.java,
	* java/awt/color/ICC_ProfileGray.java,
	* java/awt/color/ICC_ProfileRGB.java,
	* java/awt/datatransfer/Clipboard.java,
	* java/awt/datatransfer/ClipboardOwner.java,
	* java/awt/datatransfer/DataFlavor.java,
	* java/awt/datatransfer/FlavorEvent.java,
	* java/awt/datatransfer/FlavorListener.java,
	* java/awt/datatransfer/MimeType.java,
	* java/awt/datatransfer/StringSelection.java,
	* java/awt/datatransfer/SystemFlavorMap.java,
	* java/awt/datatransfer/Transferable.java,
	* java/awt/datatransfer/UnsupportedFlavorException.java,
	* java/awt/dnd/Autoscroll.java,
	* java/awt/dnd/DnDEventMulticaster.java,
	* java/awt/dnd/DragGestureEvent.java,
	* java/awt/dnd/DragGestureRecognizer.java,
	* java/awt/dnd/DragSource.java,
	* java/awt/dnd/DragSourceContext.java,
	* java/awt/dnd/DragSourceDropEvent.java,
	* java/awt/dnd/DragSourceEvent.java,
	* java/awt/dnd/DropTarget.java,
	* java/awt/dnd/DropTargetContext.java,
	* java/awt/dnd/DropTargetDragEvent.java,
	* java/awt/dnd/DropTargetDropEvent.java,
	* java/awt/dnd/DropTargetEvent.java,
	* java/awt/dnd/MouseDragGestureRecognizer.java,
	* java/awt/dnd/peer/DropTargetContextPeer.java,
	* java/awt/event/AWTEventListener.java,
	* java/awt/event/ActionEvent.java,
	* java/awt/event/ComponentAdapter.java,
	* java/awt/event/ComponentEvent.java,
	* java/awt/event/InputEvent.java,
	* java/awt/event/InputMethodEvent.java,
	* java/awt/event/InvocationEvent.java,
	* java/awt/event/KeyEvent.java,
	* java/awt/event/MouseEvent.java,
	* java/awt/event/MouseListener.java,
	* java/awt/event/MouseWheelEvent.java,
	* java/awt/event/WindowEvent.java,
	* java/awt/font/FontRenderContext.java,
	* java/awt/font/GlyphJustificationInfo.java,
	* java/awt/font/GlyphMetrics.java,
	* java/awt/font/GlyphVector.java,
	* java/awt/font/GraphicAttribute.java,
	* java/awt/font/ImageGraphicAttribute.java,
	* java/awt/font/LineBreakMeasurer.java,
	* java/awt/font/LineMetrics.java,
	* java/awt/font/MultipleMaster.java,
	* java/awt/font/OpenType.java,
	* java/awt/font/ShapeGraphicAttribute.java,
	* java/awt/font/TextAttribute.java,
	* java/awt/font/TextHitInfo.java,
	* java/awt/font/TextLayout.java,
	* java/awt/font/TextMeasurer.java,
	* java/awt/font/TransformAttribute.java,
	* java/awt/geom/AffineTransform.java,
	* java/awt/geom/Arc2D.java,
	* java/awt/geom/Area.java,
	* java/awt/geom/CubicCurve2D.java,
	* java/awt/geom/Ellipse2D.java,
	* java/awt/geom/FlatteningPathIterator.java,
	* java/awt/geom/GeneralPath.java,
	* java/awt/geom/Line2D.java,
	* java/awt/geom/QuadCurve2D.java,
	* java/awt/geom/RectangularShape.java,
	* java/awt/geom/RoundRectangle2D.java,
	* java/awt/im/InputContext.java,
	* java/awt/im/spi/InputMethodDescriptor.java,
	* java/awt/image/AffineTransformOp.java,
	* java/awt/image/AreaAveragingScaleFilter.java,
	* java/awt/image/BandCombineOp.java,
	* java/awt/image/BandedSampleModel.java,
	* java/awt/image/BufferedImage.java,
	* java/awt/image/BufferedImageFilter.java,
	* java/awt/image/BufferedImageOp.java,
	* java/awt/image/ByteLookupTable.java,
	* java/awt/image/ColorConvertOp.java,
	* java/awt/image/ColorModel.java,
	* java/awt/image/ComponentColorModel.java,
	* java/awt/image/ComponentSampleModel.java,
	* java/awt/image/ConvolveOp.java,
	* java/awt/image/CropImageFilter.java,
	* java/awt/image/DataBuffer.java,
	* java/awt/image/DataBufferByte.java,
	* java/awt/image/DataBufferDouble.java,
	* java/awt/image/DataBufferFloat.java,
	* java/awt/image/DataBufferInt.java,
	* java/awt/image/DataBufferShort.java,
	* java/awt/image/DataBufferUShort.java,
	* java/awt/image/DirectColorModel.java,
	* java/awt/image/FilteredImageSource.java,
	* java/awt/image/ImageConsumer.java,
	* java/awt/image/ImageFilter.java,
	* java/awt/image/ImageObserver.java,
	* java/awt/image/ImageProducer.java,
	* java/awt/image/IndexColorModel.java,
	* java/awt/image/Kernel.java,
	* java/awt/image/LookupOp.java,
	* java/awt/image/LookupTable.java,
	* java/awt/image/MemoryImageSource.java,
	* java/awt/image/MultiPixelPackedSampleModel.java,
	* java/awt/image/PackedColorModel.java,
	* java/awt/image/PixelGrabber.java,
	* java/awt/image/PixelInterleavedSampleModel.java,
	* java/awt/image/RGBImageFilter.java,
	* java/awt/image/Raster.java,
	* java/awt/image/RasterOp.java,
	* java/awt/image/RenderedImage.java,
	* java/awt/image/ReplicateScaleFilter.java,
	* java/awt/image/RescaleOp.java,
	* java/awt/image/SampleModel.java,
	* java/awt/image/ShortLookupTable.java,
	* java/awt/image/SinglePixelPackedSampleModel.java,
	* java/awt/image/TileObserver.java,
	* java/awt/image/WritableRaster.java,
	* java/awt/image/WritableRenderedImage.java,
	* java/awt/image/renderable/ContextualRenderedImageFactory.java,
	* java/awt/image/renderable/ParameterBlock.java,
	* java/awt/image/renderable/RenderContext.java,
	* java/awt/image/renderable/RenderableImage.java,
	* java/awt/image/renderable/RenderableImageOp.java,
	* java/awt/image/renderable/RenderableImageProducer.java,
	* java/awt/image/renderable/RenderedImageFactory.java,
	* java/awt/peer/ButtonPeer.java,
	* java/awt/peer/CanvasPeer.java,
	* java/awt/peer/CheckboxMenuItemPeer.java,
	* java/awt/peer/CheckboxPeer.java,
	* java/awt/peer/ChoicePeer.java,
	* java/awt/peer/ComponentPeer.java,
	* java/awt/peer/ContainerPeer.java,
	* java/awt/peer/DesktopPeer.java,
	* java/awt/peer/DialogPeer.java,
	* java/awt/peer/FileDialogPeer.java,
	* java/awt/peer/FontPeer.java,
	* java/awt/peer/FramePeer.java,
	* java/awt/peer/LabelPeer.java,
	* java/awt/peer/LightweightPeer.java,
	* java/awt/peer/ListPeer.java,
	* java/awt/peer/MenuBarPeer.java,
	* java/awt/peer/MenuComponentPeer.java,
	* java/awt/peer/MenuItemPeer.java,
	* java/awt/peer/MenuPeer.java,
	* java/awt/peer/MouseInfoPeer.java,
	* java/awt/peer/PanelPeer.java,
	* java/awt/peer/PopupMenuPeer.java,
	* java/awt/peer/RobotPeer.java,
	* java/awt/peer/ScrollPanePeer.java,
	* java/awt/peer/ScrollbarPeer.java,
	* java/awt/peer/TextComponentPeer.java,
	* java/awt/peer/TextFieldPeer.java,
	* java/awt/peer/WindowPeer.java,
	* java/awt/print/Book.java,
	* java/awt/print/PageFormat.java,
	* java/awt/print/Pageable.java,
	* java/awt/print/Paper.java,
	* java/awt/print/PrinterGraphics.java,
	* java/awt/print/PrinterIOException.java,
	* java/awt/print/PrinterJob.java,
	* java/beans/AppletInitializer.java,
	* java/beans/BeanDescriptor.java,
	* java/beans/BeanInfo.java,
	* java/beans/Beans.java,
	* java/beans/Customizer.java,
	* java/beans/DefaultPersistenceDelegate.java,
	* java/beans/DesignMode.java,
	* java/beans/Encoder.java,
	* java/beans/EventHandler.java,
	* java/beans/EventSetDescriptor.java,
	* java/beans/Expression.java,
	* java/beans/FeatureDescriptor.java,
	* java/beans/IndexedPropertyChangeEvent.java,
	* java/beans/IndexedPropertyDescriptor.java,
	* java/beans/Introspector.java,
	* java/beans/MethodDescriptor.java,
	* java/beans/ParameterDescriptor.java,
	* java/beans/PersistenceDelegate.java,
	* java/beans/PropertyChangeSupport.java,
	* java/beans/PropertyDescriptor.java,
	* java/beans/PropertyEditor.java,
	* java/beans/PropertyEditorManager.java,
	* java/beans/SimpleBeanInfo.java,
	* java/beans/Statement.java,
	* java/beans/VetoableChangeSupport.java,
	* java/beans/Visibility.java,
	* java/beans/XMLDecoder.java,
	* java/beans/XMLEncoder.java,
	* java/beans/beancontext/BeanContext.java,
	* java/beans/beancontext/BeanContextChild.java,
	* java/beans/beancontext/BeanContextChildComponentProxy.java,
	* java/beans/beancontext/BeanContextChildSupport.java,
	* java/beans/beancontext/BeanContextContainerProxy.java,
	* java/beans/beancontext/BeanContextEvent.java,
	* java/beans/beancontext/BeanContextMembershipEvent.java,
	* java/beans/beancontext/BeanContextMembershipListener.java,
	* java/beans/beancontext/BeanContextProxy.java,
	* java/beans/beancontext/BeanContextServiceAvailableEvent.java,
	* java/beans/beancontext/BeanContextServiceProvider.java,
	* java/beans/beancontext/BeanContextServiceProviderBeanInfo.java,
	* java/beans/beancontext/BeanContextServiceRevokedEvent.java,
	* java/beans/beancontext/BeanContextServiceRevokedListener.java,
	* java/beans/beancontext/BeanContextServices.java,
	* java/beans/beancontext/BeanContextServicesListener.java,
	* java/beans/beancontext/BeanContextServicesSupport.java,
	* java/beans/beancontext/BeanContextSupport.java,
	* java/io/BufferedInputStream.java,
	* java/io/BufferedOutputStream.java,
	* java/io/BufferedReader.java,
	* java/io/BufferedWriter.java,
	* java/io/ByteArrayInputStream.java,
	* java/io/ByteArrayOutputStream.java,
	* java/io/CharArrayReader.java,
	* java/io/CharArrayWriter.java,
	* java/io/DataInput.java,
	* java/io/DataInputStream.java,
	* java/io/DataOutput.java,
	* java/io/DataOutputStream.java,
	* java/io/DeleteFileHelper.java,
	* java/io/EOFException.java,
	* java/io/Externalizable.java,
	* java/io/File.java,
	* java/io/FileDescriptor.java,
	* java/io/FileFilter.java,
	* java/io/FileInputStream.java,
	* java/io/FileOutputStream.java,
	* java/io/FilePermission.java,
	* java/io/FileReader.java,
	* java/io/FileWriter.java,
	* java/io/FilenameFilter.java,
	* java/io/FilterInputStream.java,
	* java/io/FilterOutputStream.java,
	* java/io/FilterReader.java,
	* java/io/FilterWriter.java,
	* java/io/InputStream.java,
	* java/io/InputStreamReader.java,
	* java/io/InvalidClassException.java,
	* java/io/LineNumberInputStream.java,
	* java/io/LineNumberReader.java,
	* java/io/ObjectInput.java,
	* java/io/ObjectInputStream.java,
	* java/io/ObjectInputValidation.java,
	* java/io/ObjectOutput.java,
	* java/io/ObjectOutputStream.java,
	* java/io/ObjectStreamClass.java,
	* java/io/ObjectStreamConstants.java,
	* java/io/ObjectStreamField.java,
	* java/io/OutputStream.java,
	* java/io/OutputStreamWriter.java,
	* java/io/PipedInputStream.java,
	* java/io/PipedOutputStream.java,
	* java/io/PipedReader.java,
	* java/io/PipedWriter.java,
	* java/io/PrintStream.java,
	* java/io/PrintWriter.java,
	* java/io/PushbackInputStream.java,
	* java/io/PushbackReader.java,
	* java/io/RandomAccessFile.java,
	* java/io/Reader.java,
	* java/io/SequenceInputStream.java,
	* java/io/Serializable.java,
	* java/io/SerializablePermission.java,
	* java/io/StreamTokenizer.java,
	* java/io/StringBufferInputStream.java,
	* java/io/StringReader.java,
	* java/io/StringWriter.java,
	* java/io/UnsupportedEncodingException.java,
	* java/io/Writer.java,
	* java/lang/AbstractStringBuffer.java,
	* java/lang/Boolean.java,
	* java/lang/Character.java,
	* java/lang/Class.java,
	* java/lang/ClassLoader.java,
	* java/lang/Comparable.java,
	* java/lang/Double.java,
	* java/lang/Enum.java,
	* java/lang/EnumConstantNotPresentException.java,
	* java/lang/Float.java,
	* java/lang/IllegalArgumentException.java,
	* java/lang/IllegalStateException.java,
	* java/lang/IndexOutOfBoundsException.java,
	* java/lang/Integer.java,
	* java/lang/Long.java,
	* java/lang/Math.java,
	* java/lang/NoClassDefFoundError.java,
	* java/lang/Object.java,
	* java/lang/Package.java,
	* java/lang/ProcessBuilder.java,
	* java/lang/Runtime.java,
	* java/lang/SecurityException.java,
	* java/lang/SecurityManager.java,
	* java/lang/StackTraceElement.java,
	* java/lang/StrictMath.java,
	* java/lang/String.java,
	* java/lang/StringBuffer.java,
	* java/lang/StringBuilder.java,
	* java/lang/System.java,
	* java/lang/Thread.java,
	* java/lang/ThreadLocal.java,
	* java/lang/Throwable.java,
	* java/lang/TypeNotPresentException.java,
	* java/lang/UnsupportedOperationException.java,
	* java/lang/annotation/Annotation.java,
	* java/lang/annotation/AnnotationTypeMismatchException.java,
	* java/lang/annotation/IncompleteAnnotationException.java,
	* java/lang/instrument/ClassFileTransformer.java,
	* java/lang/instrument/Instrumentation.java,
	* java/lang/management/ClassLoadingMXBean.java,
	* java/lang/management/CompilationMXBean.java,
	* java/lang/management/GarbageCollectorMXBean.java,
	* java/lang/management/ManagementFactory.java,
	* java/lang/management/ManagementPermission.java,
	* java/lang/management/MemoryMXBean.java,
	* java/lang/management/MemoryManagerMXBean.java,
	* java/lang/management/MemoryNotificationInfo.java,
	* java/lang/management/MemoryPoolMXBean.java,
	* java/lang/management/MemoryType.java,
	* java/lang/management/MemoryUsage.java,
	* java/lang/management/MonitorInfo.java,
	* java/lang/management/OperatingSystemMXBean.java,
	* java/lang/management/RuntimeMXBean.java,
	* java/lang/management/ThreadInfo.java,
	* java/lang/management/ThreadMXBean.java,
	* java/lang/ref/PhantomReference.java,
	* java/lang/ref/Reference.java,
	* java/lang/ref/ReferenceQueue.java,
	* java/lang/ref/SoftReference.java,
	* java/lang/ref/WeakReference.java,
	* java/lang/reflect/AccessibleObject.java,
	* java/lang/reflect/AnnotatedElement.java,
	* java/lang/reflect/Array.java,
	* java/lang/reflect/Constructor.java,
	* java/lang/reflect/Field.java,
	* java/lang/reflect/GenericArrayType.java,
	* java/lang/reflect/GenericDeclaration.java,
	* java/lang/reflect/InvocationHandler.java,
	* java/lang/reflect/MalformedParameterizedTypeException.java,
	* java/lang/reflect/Method.java,
	* java/lang/reflect/Modifier.java,
	* java/lang/reflect/Proxy.java,
	* java/lang/reflect/Type.java,
	* java/lang/reflect/TypeVariable.java,
	* java/lang/reflect/WildcardType.java,
	* java/math/BigDecimal.java,
	* java/math/BigInteger.java,
	* java/math/MathContext.java,
	* java/math/RoundingMode.java,
	* java/net/ContentHandler.java,
	* java/net/DatagramSocket.java,
	* java/net/DatagramSocketImpl.java,
	* java/net/HttpURLConnection.java,
	* java/net/Inet4Address.java,
	* java/net/Inet6Address.java,
	* java/net/InetAddress.java,
	* java/net/InetSocketAddress.java,
	* java/net/MimeTypeMapper.java,
	* java/net/MulticastSocket.java,
	* java/net/NetworkInterface.java,
	* java/net/Proxy.java,
	* java/net/ProxySelector.java,
	* java/net/ResolverCache.java,
	* java/net/ServerSocket.java,
	* java/net/Socket.java,
	* java/net/SocketPermission.java,
	* java/net/URI.java,
	* java/net/URL.java,
	* java/net/URLClassLoader.java,
	* java/net/URLConnection.java,
	* java/net/URLDecoder.java,
	* java/net/URLEncoder.java,
	* java/net/URLStreamHandler.java,
	* java/nio/Buffer.java,
	* java/nio/BufferOverflowException.java,
	* java/nio/BufferUnderflowException.java,
	* java/nio/ByteBuffer.java,
	* java/nio/ByteBufferHelper.java,
	* java/nio/ByteBufferImpl.java,
	* java/nio/ByteOrder.java,
	* java/nio/CharBuffer.java,
	* java/nio/CharBufferImpl.java,
	* java/nio/CharSequenceBuffer.java,
	* java/nio/CharViewBufferImpl.java,
	* java/nio/DirectByteBufferImpl.java,
	* java/nio/DoubleBuffer.java,
	* java/nio/DoubleBufferImpl.java,
	* java/nio/DoubleViewBufferImpl.java,
	* java/nio/FloatBuffer.java,
	* java/nio/FloatBufferImpl.java,
	* java/nio/FloatViewBufferImpl.java,
	* java/nio/IntBuffer.java,
	* java/nio/IntBufferImpl.java,
	* java/nio/IntViewBufferImpl.java,
	* java/nio/InvalidMarkException.java,
	* java/nio/LongBuffer.java,
	* java/nio/LongBufferImpl.java,
	* java/nio/LongViewBufferImpl.java,
	* java/nio/MappedByteBuffer.java,
	* java/nio/MappedByteBufferImpl.java,
	* java/nio/ReadOnlyBufferException.java,
	* java/nio/ShortBuffer.java,
	* java/nio/ShortBufferImpl.java,
	* java/nio/ShortViewBufferImpl.java,
	* java/nio/channels/FileChannel.java,
	* java/nio/channels/SocketChannel.java,
	* java/nio/channels/spi/AbstractInterruptibleChannel.java,
	* java/nio/channels/spi/AbstractSelectableChannel.java,
	* java/nio/channels/spi/AbstractSelectionKey.java,
	* java/nio/channels/spi/AbstractSelector.java,
	* java/nio/channels/spi/SelectorProvider.java,
	* java/nio/charset/CharacterCodingException.java,
	* java/nio/charset/Charset.java,
	* java/nio/charset/CharsetDecoder.java,
	* java/nio/charset/CharsetEncoder.java,
	* java/nio/charset/CoderMalfunctionError.java,
	* java/nio/charset/CoderResult.java,
	* java/nio/charset/CodingErrorAction.java,
	* java/nio/charset/IllegalCharsetNameException.java,
	* java/nio/charset/MalformedInputException.java,
	* java/nio/charset/UnmappableCharacterException.java,
	* java/nio/charset/UnsupportedCharsetException.java,
	* java/rmi/AccessException.java,
	* java/rmi/AlreadyBoundException.java,
	* java/rmi/MarshalledObject.java,
	* java/rmi/Naming.java,
	* java/rmi/NoSuchObjectException.java,
	* java/rmi/NotBoundException.java,
	* java/rmi/RMISecurityException.java,
	* java/rmi/RMISecurityManager.java,
	* java/rmi/Remote.java,
	* java/rmi/RemoteException.java,
	* java/rmi/StubNotFoundException.java,
	* java/rmi/UnknownHostException.java,
	* java/rmi/activation/Activatable.java,
	* java/rmi/activation/ActivationDesc.java,
	* java/rmi/activation/ActivationGroup.java,
	* java/rmi/activation/ActivationGroupDesc.java,
	* java/rmi/activation/ActivationGroupID.java,
	* java/rmi/activation/ActivationID.java,
	* java/rmi/activation/ActivationInstantiator.java,
	* java/rmi/activation/ActivationMonitor.java,
	* java/rmi/activation/ActivationSystem.java,
	* java/rmi/activation/Activator.java,
	* java/rmi/activation/UnknownGroupException.java,
	* java/rmi/dgc/DGC.java,
	* java/rmi/dgc/Lease.java,
	* java/rmi/dgc/VMID.java,
	* java/rmi/registry/LocateRegistry.java,
	* java/rmi/registry/Registry.java,
	* java/rmi/registry/RegistryHandler.java,
	* java/rmi/server/LoaderHandler.java,
	* java/rmi/server/LogStream.java,
	* java/rmi/server/ObjID.java,
	* java/rmi/server/Operation.java,
	* java/rmi/server/RMIClassLoader.java,
	* java/rmi/server/RMIClientSocketFactory.java,
	* java/rmi/server/RMIFailureHandler.java,
	* java/rmi/server/RMIServerSocketFactory.java,
	* java/rmi/server/RMISocketFactory.java,
	* java/rmi/server/RemoteCall.java,
	* java/rmi/server/RemoteObject.java,
	* java/rmi/server/RemoteObjectInvocationHandler.java,
	* java/rmi/server/RemoteRef.java,
	* java/rmi/server/RemoteServer.java,
	* java/rmi/server/RemoteStub.java,
	* java/rmi/server/ServerRef.java,
	* java/rmi/server/Skeleton.java,
	* java/rmi/server/UID.java,
	* java/rmi/server/UnicastRemoteObject.java,
	* java/rmi/server/Unreferenced.java,
	* java/security/AccessControlContext.java,
	* java/security/AccessController.java,
	* java/security/AlgorithmParameterGenerator.java,
	* java/security/AlgorithmParameterGeneratorSpi.java,
	* java/security/AlgorithmParameters.java,
	* java/security/AlgorithmParametersSpi.java,
	* java/security/CodeSource.java,
	* java/security/DigestInputStream.java,
	* java/security/DigestOutputStream.java,
	* java/security/GeneralSecurityException.java,
	* java/security/Identity.java,
	* java/security/IdentityScope.java,
	* java/security/KeyFactory.java,
	* java/security/KeyFactorySpi.java,
	* java/security/KeyPairGenerator.java,
	* java/security/KeyPairGeneratorSpi.java,
	* java/security/KeyStore.java,
	* java/security/KeyStoreSpi.java,
	* java/security/MessageDigest.java,
	* java/security/MessageDigestSpi.java,
	* java/security/Permission.java,
	* java/security/Permissions.java,
	* java/security/Policy.java,
	* java/security/ProtectionDomain.java,
	* java/security/Provider.java,
	* java/security/ProviderException.java,
	* java/security/SecureClassLoader.java,
	* java/security/SecureRandom.java,
	* java/security/SecureRandomSpi.java,
	* java/security/Security.java,
	* java/security/Signature.java,
	* java/security/SignatureSpi.java,
	* java/security/SignedObject.java,
	* java/security/Signer.java,
	* java/security/acl/Acl.java,
	* java/security/acl/AclEntry.java,
	* java/security/acl/Group.java,
	* java/security/acl/Owner.java,
	* java/security/cert/CRL.java,
	* java/security/cert/CRLSelector.java,
	* java/security/cert/CertPathBuilder.java,
	* java/security/cert/CertPathBuilderResult.java,
	* java/security/cert/CertPathValidator.java,
	* java/security/cert/CertPathValidatorResult.java,
	* java/security/cert/CertPathValidatorSpi.java,
	* java/security/cert/CertSelector.java,
	* java/security/cert/CertStore.java,
	* java/security/cert/CertStoreParameters.java,
	* java/security/cert/CertStoreSpi.java,
	* java/security/cert/Certificate.java,
	* java/security/cert/CertificateFactory.java,
	* java/security/cert/CertificateFactorySpi.java,
	* java/security/cert/CollectionCertStoreParameters.java,
	* java/security/cert/LDAPCertStoreParameters.java,
	* java/security/cert/PKIXBuilderParameters.java,
	* java/security/cert/PKIXCertPathBuilderResult.java,
	* java/security/cert/PKIXCertPathChecker.java,
	* java/security/cert/PKIXCertPathValidatorResult.java,
	* java/security/cert/PKIXParameters.java,
	* java/security/cert/PolicyNode.java,
	* java/security/cert/PolicyQualifierInfo.java,
	* java/security/cert/X509CRL.java,
	* java/security/cert/X509CRLEntry.java,
	* java/security/cert/X509CertSelector.java,
	* java/security/cert/X509Certificate.java,
	* java/security/cert/X509Extension.java,
	* java/security/spec/AlgorithmParameterSpec.java,
	* java/security/spec/DSAParameterSpec.java,
	* java/security/spec/DSAPrivateKeySpec.java,
	* java/security/spec/DSAPublicKeySpec.java,
	* java/security/spec/EncodedKeySpec.java,
	* java/security/spec/InvalidParameterSpecException.java,
	* java/security/spec/KeySpec.java,
	* java/security/spec/PKCS8EncodedKeySpec.java,
	* java/security/spec/PSSParameterSpec.java,
	* java/security/spec/RSAKeyGenParameterSpec.java,
	* java/security/spec/RSAMultiPrimePrivateCrtKeySpec.java,
	* java/security/spec/RSAOtherPrimeInfo.java,
	* java/security/spec/RSAPrivateCrtKeySpec.java,
	* java/security/spec/RSAPrivateKeySpec.java,
	* java/security/spec/RSAPublicKeySpec.java,
	* java/security/spec/X509EncodedKeySpec.java,
	* java/sql/Array.java,
	* java/sql/BatchUpdateException.java,
	* java/sql/Blob.java,
	* java/sql/CallableStatement.java,
	* java/sql/Clob.java,
	* java/sql/Connection.java,
	* java/sql/DataTruncation.java,
	* java/sql/DatabaseMetaData.java,
	* java/sql/Date.java,
	* java/sql/Driver.java,
	* java/sql/DriverManager.java,
	* java/sql/DriverPropertyInfo.java,
	* java/sql/ParameterMetaData.java,
	* java/sql/PreparedStatement.java,
	* java/sql/Ref.java,
	* java/sql/ResultSet.java,
	* java/sql/ResultSetMetaData.java,
	* java/sql/SQLData.java,
	* java/sql/SQLException.java,
	* java/sql/SQLInput.java,
	* java/sql/SQLOutput.java,
	* java/sql/SQLPermission.java,
	* java/sql/SQLWarning.java,
	* java/sql/Savepoint.java,
	* java/sql/Statement.java,
	* java/sql/Struct.java,
	* java/sql/Time.java,
	* java/sql/Timestamp.java,
	* java/sql/Types.java,
	* java/text/Annotation.java,
	* java/text/AttributedCharacterIterator.java,
	* java/text/AttributedString.java,
	* java/text/AttributedStringIterator.java,
	* java/text/Bidi.java,
	* java/text/BreakIterator.java,
	* java/text/CharacterIterator.java,
	* java/text/ChoiceFormat.java,
	* java/text/CollationElementIterator.java,
	* java/text/CollationKey.java,
	* java/text/Collator.java,
	* java/text/DateFormat.java,
	* java/text/DateFormatSymbols.java,
	* java/text/DecimalFormat.java,
	* java/text/DecimalFormatSymbols.java,
	* java/text/FieldPosition.java,
	* java/text/Format.java,
	* java/text/MessageFormat.java,
	* java/text/NumberFormat.java,
	* java/text/ParsePosition.java,
	* java/text/RuleBasedCollator.java,
	* java/text/SimpleDateFormat.java,
	* java/text/StringCharacterIterator.java,
	* java/text/spi/DateFormatProvider.java,
	* java/text/spi/NumberFormatProvider.java,
	* java/util/AbstractCollection.java,
	* java/util/AbstractList.java,
	* java/util/AbstractMap.java,
	* java/util/AbstractSet.java,
	* java/util/ArrayList.java,
	* java/util/Arrays.java,
	* java/util/BitSet.java,
	* java/util/Calendar.java,
	* java/util/Collections.java,
	* java/util/Currency.java,
	* java/util/Date.java,
	* java/util/Dictionary.java,
	* java/util/DuplicateFormatFlagsException.java,
	* java/util/EnumMap.java,
	* java/util/EnumSet.java,
	* java/util/FormatFlagsConversionMismatchException.java,
	* java/util/Formattable.java,
	* java/util/FormattableFlags.java,
	* java/util/Formatter.java,
	* java/util/FormatterClosedException.java,
	* java/util/GregorianCalendar.java,
	* java/util/HashMap.java,
	* java/util/Hashtable.java,
	* java/util/IdentityHashMap.java,
	* java/util/IllegalFormatCodePointException.java,
	* java/util/IllegalFormatConversionException.java,
	* java/util/IllegalFormatException.java,
	* java/util/IllegalFormatFlagsException.java,
	* java/util/IllegalFormatPrecisionException.java,
	* java/util/IllegalFormatWidthException.java,
	* java/util/InputMismatchException.java,
	* java/util/LinkedHashMap.java,
	* java/util/LinkedHashSet.java,
	* java/util/LinkedList.java,
	* java/util/List.java,
	* java/util/Locale.java,
	* java/util/Map.java,
	* java/util/MissingFormatArgumentException.java,
	* java/util/MissingFormatWidthException.java,
	* java/util/PriorityQueue.java,
	* java/util/Properties.java,
	* java/util/PropertyPermission.java,
	* java/util/PropertyPermissionCollection.java,
	* java/util/Random.java,
	* java/util/ResourceBundle.java,
	* java/util/ServiceConfigurationError.java,
	* java/util/ServiceLoader.java,
	* java/util/SimpleTimeZone.java,
	* java/util/StringTokenizer.java,
	* java/util/TimeZone.java,
	* java/util/Timer.java,
	* java/util/TreeMap.java,
	* java/util/TreeSet.java,
	* java/util/UUID.java,
	* java/util/UnknownFormatConversionException.java,
	* java/util/UnknownFormatFlagsException.java,
	* java/util/Vector.java,
	* java/util/WeakHashMap.java,
	* java/util/concurrent/CopyOnWriteArrayList.java,
	* java/util/jar/Attributes.java,
	* java/util/jar/JarEntry.java,
	* java/util/jar/JarFile.java,
	* java/util/jar/JarInputStream.java,
	* java/util/jar/JarOutputStream.java,
	* java/util/jar/Manifest.java,
	* java/util/logging/ConsoleHandler.java,
	* java/util/logging/ErrorManager.java,
	* java/util/logging/FileHandler.java,
	* java/util/logging/Formatter.java,
	* java/util/logging/Handler.java,
	* java/util/logging/Level.java,
	* java/util/logging/LogManager.java,
	* java/util/logging/LogRecord.java,
	* java/util/logging/Logger.java,
	* java/util/logging/LoggingMXBean.java,
	* java/util/logging/LoggingPermission.java,
	* java/util/logging/MemoryHandler.java,
	* java/util/logging/SocketHandler.java,
	* java/util/logging/StreamHandler.java,
	* java/util/logging/XMLFormatter.java,
	* java/util/prefs/AbstractPreferences.java,
	* java/util/prefs/NodeChangeEvent.java,
	* java/util/prefs/NodeChangeListener.java,
	* java/util/prefs/PreferenceChangeEvent.java,
	* java/util/prefs/PreferenceChangeListener.java,
	* java/util/prefs/Preferences.java,
	* java/util/prefs/PreferencesFactory.java,
	* java/util/regex/MatchResult.java,
	* java/util/regex/Pattern.java,
	* java/util/regex/PatternSyntaxException.java,
	* java/util/spi/LocaleNameProvider.java,
	* java/util/spi/TimeZoneNameProvider.java,
	* java/util/zip/Adler32.java,
	* java/util/zip/CRC32.java,
	* java/util/zip/CheckedInputStream.java,
	* java/util/zip/CheckedOutputStream.java,
	* java/util/zip/Deflater.java,
	* java/util/zip/DeflaterEngine.java,
	* java/util/zip/DeflaterHuffman.java,
	* java/util/zip/DeflaterOutputStream.java,
	* java/util/zip/DeflaterPending.java,
	* java/util/zip/GZIPInputStream.java,
	* java/util/zip/GZIPOutputStream.java,
	* java/util/zip/Inflater.java,
	* java/util/zip/InflaterDynHeader.java,
	* java/util/zip/InflaterHuffmanTree.java,
	* java/util/zip/InflaterInputStream.java,
	* java/util/zip/OutputWindow.java,
	* java/util/zip/PendingBuffer.java,
	* java/util/zip/StreamManipulator.java,
	* java/util/zip/ZipConstants.java,
	* java/util/zip/ZipEntry.java,
	* java/util/zip/ZipFile.java,
	* java/util/zip/ZipInputStream.java,
	* java/util/zip/ZipOutputStream.java,
	* javax/accessibility/AccessibleExtendedText.java,
	* javax/accessibility/AccessibleRelation.java,
	* javax/accessibility/AccessibleRole.java,
	* javax/accessibility/AccessibleState.java,
	* javax/activation/ActivationDataFlavor.java,
	* javax/activation/CommandInfo.java,
	* javax/activation/CommandMap.java,
	* javax/activation/CommandObject.java,
	* javax/activation/DataContentHandler.java,
	* javax/activation/DataContentHandlerFactory.java,
	* javax/activation/DataHandler.java,
	* javax/activation/DataHandlerDataSource.java,
	* javax/activation/DataSource.java,
	* javax/activation/DataSourceDataContentHandler.java,
	* javax/activation/FileDataSource.java,
	* javax/activation/FileTypeMap.java,
	* javax/activation/MailcapCommandMap.java,
	* javax/activation/MimeType.java,
	* javax/activation/MimeTypeParameterList.java,
	* javax/activation/MimeTypeParseException.java,
	* javax/activation/MimetypesFileTypeMap.java,
	* javax/activation/ObjectDataContentHandler.java,
	* javax/activation/URLDataSource.java,
	* javax/activation/UnsupportedDataTypeException.java,
	* javax/crypto/Cipher.java,
	* javax/crypto/CipherOutputStream.java,
	* javax/crypto/ExemptionMechanism.java,
	* javax/crypto/KeyAgreement.java,
	* javax/crypto/KeyGenerator.java,
	* javax/crypto/Mac.java,
	* javax/crypto/MacSpi.java,
	* javax/crypto/SecretKeyFactory.java,
	* javax/crypto/spec/PBEKeySpec.java,
	* javax/imageio/IIOImage.java,
	* javax/imageio/IIOParam.java,
	* javax/imageio/IIOParamController.java,
	* javax/imageio/ImageIO.java,
	* javax/imageio/ImageReadParam.java,
	* javax/imageio/ImageReader.java,
	* javax/imageio/ImageTranscoder.java,
	* javax/imageio/ImageTypeSpecifier.java,
	* javax/imageio/ImageWriteParam.java,
	* javax/imageio/ImageWriter.java,
	* javax/imageio/event/IIOReadProgressListener.java,
	* javax/imageio/event/IIOReadUpdateListener.java,
	* javax/imageio/event/IIOWriteProgressListener.java,
	* javax/imageio/metadata/IIOInvalidTreeException.java,
	* javax/imageio/metadata/IIOMetadata.java,
	* javax/imageio/metadata/IIOMetadataFormatImpl.java,
	* javax/imageio/metadata/IIOMetadataNode.java,
	* javax/imageio/plugins/bmp/BMPImageWriteParam.java,
	* javax/imageio/plugins/jpeg/JPEGHuffmanTable.java,
	* javax/imageio/spi/IIORegistry.java,
	* javax/imageio/spi/ImageReaderSpi.java,
	* javax/imageio/spi/ImageWriterSpi.java,
	* javax/imageio/spi/RegisterableService.java,
	* javax/imageio/spi/ServiceRegistry.java,
	* javax/imageio/stream/FileCacheImageInputStream.java,
	* javax/imageio/stream/FileCacheImageOutputStream.java,
	* javax/imageio/stream/FileImageInputStream.java,
	* javax/imageio/stream/FileImageOutputStream.java,
	* javax/imageio/stream/ImageInputStream.java,
	* javax/imageio/stream/ImageInputStreamImpl.java,
	* javax/imageio/stream/ImageOutputStreamImpl.java,
	* javax/imageio/stream/MemoryCacheImageInputStream.java,
	* javax/imageio/stream/MemoryCacheImageOutputStream.java,
	* javax/management/Attribute.java,
	* javax/management/AttributeChangeNotification.java,
	* javax/management/AttributeChangeNotificationFilter.java,
	* javax/management/AttributeList.java,
	* javax/management/AttributeNotFoundException.java,
	* javax/management/AttributeValueExp.java,
	* javax/management/BadAttributeValueExpException.java,
	* javax/management/BadBinaryOpValueExpException.java,
	* javax/management/BadStringOperationException.java,
	* javax/management/DefaultLoaderRepository.java,
	* javax/management/Descriptor.java,
	* javax/management/DynamicMBean.java,
	* javax/management/InstanceAlreadyExistsException.java,
	* javax/management/InstanceNotFoundException.java,
	* javax/management/IntrospectionException.java,
	* javax/management/InvalidApplicationException.java,
	* javax/management/InvalidAttributeValueException.java,
	* javax/management/JMException.java,
	* javax/management/JMRuntimeException.java,
	* javax/management/JMX.java,
	* javax/management/ListenerNotFoundException.java,
	* javax/management/MBeanAttributeInfo.java,
	* javax/management/MBeanConstructorInfo.java,
	* javax/management/MBeanException.java,
	* javax/management/MBeanFeatureInfo.java,
	* javax/management/MBeanInfo.java,
	* javax/management/MBeanNotificationInfo.java,
	* javax/management/MBeanOperationInfo.java,
	* javax/management/MBeanParameterInfo.java,
	* javax/management/MBeanPermission.java,
	* javax/management/MBeanRegistrationException.java,
	* javax/management/MBeanServer.java,
	* javax/management/MBeanServerBuilder.java,
	* javax/management/MBeanServerConnection.java,
	* javax/management/MBeanServerDelegate.java,
	* javax/management/MBeanServerFactory.java,
	* javax/management/MBeanServerInvocationHandler.java,
	* javax/management/MBeanServerNotification.java,
	* javax/management/MBeanServerPermission.java,
	* javax/management/MBeanTrustPermission.java,
	* javax/management/MalformedObjectNameException.java,
	* javax/management/NotCompliantMBeanException.java,
	* javax/management/Notification.java,
	* javax/management/NotificationBroadcaster.java,
	* javax/management/NotificationBroadcasterSupport.java,
	* javax/management/NotificationEmitter.java,
	* javax/management/NotificationFilter.java,
	* javax/management/NotificationFilterSupport.java,
	* javax/management/NotificationListener.java,
	* javax/management/ObjectInstance.java,
	* javax/management/ObjectName.java,
	* javax/management/OperationsException.java,
	* javax/management/PersistentMBean.java,
	* javax/management/Query.java,
	* javax/management/QueryEval.java,
	* javax/management/QueryExp.java,
	* javax/management/ReflectionException.java,
	* javax/management/RuntimeErrorException.java,
	* javax/management/RuntimeMBeanException.java,
	* javax/management/RuntimeOperationsException.java,
	* javax/management/ServiceNotFoundException.java,
	* javax/management/StandardMBean.java,
	* javax/management/StringValueExp.java,
	* javax/management/ValueExp.java,
	* javax/management/loading/ClassLoaderRepository.java,
	* javax/management/openmbean/ArrayType.java,
	* javax/management/openmbean/CompositeData.java,
	* javax/management/openmbean/CompositeDataInvocationHandler.java,
	* javax/management/openmbean/CompositeDataSupport.java,
	* javax/management/openmbean/CompositeType.java,
	* javax/management/openmbean/InvalidKeyException.java,
	* javax/management/openmbean/InvalidOpenTypeException.java,
	* javax/management/openmbean/KeyAlreadyExistsException.java,
	* javax/management/openmbean/OpenDataException.java,
	* javax/management/openmbean/OpenMBeanAttributeInfo.java,
	* javax/management/openmbean/OpenMBeanAttributeInfoSupport.java,
	* javax/management/openmbean/OpenMBeanConstructorInfo.java,
	* javax/management/openmbean/OpenMBeanConstructorInfoSupport.java,
	* javax/management/openmbean/OpenMBeanInfo.java,
	* javax/management/openmbean/OpenMBeanInfoSupport.java,
	* javax/management/openmbean/OpenMBeanOperationInfo.java,
	* javax/management/openmbean/OpenMBeanOperationInfoSupport.java,
	* javax/management/openmbean/OpenMBeanParameterInfo.java,
	* javax/management/openmbean/OpenMBeanParameterInfoSupport.java,
	* javax/management/openmbean/OpenType.java,
	* javax/management/openmbean/SimpleType.java,
	* javax/management/openmbean/TabularData.java,
	* javax/management/openmbean/TabularDataSupport.java,
	* javax/management/openmbean/TabularType.java,
	* javax/management/remote/NotificationResult.java,
	* javax/management/remote/TargetedNotification.java,
	* javax/management/remote/rmi/RMIConnection.java,
	* javax/naming/AuthenticationException.java,
	* javax/naming/AuthenticationNotSupportedException.java,
	* javax/naming/BinaryRefAddr.java,
	* javax/naming/Binding.java,
	* javax/naming/CannotProceedException.java,
	* javax/naming/CommunicationException.java,
	* javax/naming/CompositeName.java,
	* javax/naming/CompoundName.java,
	* javax/naming/ConfigurationException.java,
	* javax/naming/Context.java,
	* javax/naming/ContextNotEmptyException.java,
	* javax/naming/InitialContext.java,
	* javax/naming/InsufficientResourcesException.java,
	* javax/naming/InterruptedNamingException.java,
	* javax/naming/InvalidNameException.java,
	* javax/naming/LimitExceededException.java,
	* javax/naming/LinkException.java,
	* javax/naming/LinkLoopException.java,
	* javax/naming/MalformedLinkException.java,
	* javax/naming/Name.java,
	* javax/naming/NameAlreadyBoundException.java,
	* javax/naming/NameClassPair.java,
	* javax/naming/NameNotFoundException.java,
	* javax/naming/NameParser.java,
	* javax/naming/NamingEnumeration.java,
	* javax/naming/NamingException.java,
	* javax/naming/NamingSecurityException.java,
	* javax/naming/NoInitialContextException.java,
	* javax/naming/NoPermissionException.java,
	* javax/naming/NotContextException.java,
	* javax/naming/PartialResultException.java,
	* javax/naming/RefAddr.java,
	* javax/naming/Reference.java,
	* javax/naming/Referenceable.java,
	* javax/naming/ReferralException.java,
	* javax/naming/ServiceUnavailableException.java,
	* javax/naming/SizeLimitExceededException.java,
	* javax/naming/StringRefAddr.java,
	* javax/naming/TimeLimitExceededException.java,
	* javax/naming/directory/AttributeInUseException.java,
	* javax/naming/directory/Attributes.java,
	* javax/naming/directory/BasicAttribute.java,
	* javax/naming/directory/BasicAttributes.java,
	* javax/naming/directory/InitialDirContext.java,
	* javax/naming/directory/ModificationItem.java,
	* javax/naming/directory/SearchControls.java,
	* javax/naming/directory/SearchResult.java,
	* javax/naming/event/EventContext.java,
	* javax/naming/event/NamespaceChangeListener.java,
	* javax/naming/event/NamingEvent.java,
	* javax/naming/event/NamingExceptionEvent.java,
	* javax/naming/event/NamingListener.java,
	* javax/naming/event/ObjectChangeListener.java,
	* javax/naming/ldap/Control.java,
	* javax/naming/ldap/ControlFactory.java,
	* javax/naming/ldap/ExtendedRequest.java,
	* javax/naming/ldap/ExtendedResponse.java,
	* javax/naming/ldap/HasControls.java,
	* javax/naming/ldap/InitialLdapContext.java,
	* javax/naming/ldap/LdapContext.java,
	* javax/naming/ldap/LdapReferralException.java,
	* javax/naming/ldap/StartTlsRequest.java,
	* javax/naming/ldap/UnsolicitedNotification.java,
	* javax/naming/ldap/UnsolicitedNotificationEvent.java,
	* javax/naming/ldap/UnsolicitedNotificationListener.java,
	* javax/naming/spi/DirObjectFactory.java,
	* javax/naming/spi/DirStateFactory.java,
	* javax/naming/spi/DirectoryManager.java,
	* javax/naming/spi/InitialContextFactory.java,
	* javax/naming/spi/InitialContextFactoryBuilder.java,
	* javax/naming/spi/NamingManager.java,
	* javax/naming/spi/ObjectFactory.java,
	* javax/naming/spi/ObjectFactoryBuilder.java,
	* javax/naming/spi/ResolveResult.java,
	* javax/naming/spi/Resolver.java,
	* javax/naming/spi/StateFactory.java,
	* javax/net/ssl/CertPathTrustManagerParameters.java,
	* javax/net/ssl/KeyManagerFactory.java,
	* javax/net/ssl/KeyStoreBuilderParameters.java,
	* javax/net/ssl/SSLContext.java,
	* javax/net/ssl/SSLEngine.java,
	* javax/net/ssl/SSLEngineResult.java,
	* javax/net/ssl/SSLException.java,
	* javax/net/ssl/TrustManagerFactory.java,
	* javax/net/ssl/X509ExtendedKeyManager.java,
	* javax/print/AttributeException.java,
	* javax/print/CancelablePrintJob.java,
	* javax/print/Doc.java,
	* javax/print/DocFlavor.java,
	* javax/print/DocPrintJob.java,
	* javax/print/FlavorException.java,
	* javax/print/MultiDoc.java,
	* javax/print/MultiDocPrintJob.java,
	* javax/print/MultiDocPrintService.java,
	* javax/print/PrintException.java,
	* javax/print/PrintService.java,
	* javax/print/PrintServiceLookup.java,
	* javax/print/ServiceUI.java,
	* javax/print/ServiceUIFactory.java,
	* javax/print/SimpleDoc.java,
	* javax/print/StreamPrintService.java,
	* javax/print/StreamPrintServiceFactory.java,
	* javax/print/URIException.java,
	* javax/print/attribute/Attribute.java,
	* javax/print/attribute/AttributeSet.java,
	* javax/print/attribute/AttributeSetUtilities.java,
	* javax/print/attribute/DateTimeSyntax.java,
	* javax/print/attribute/DocAttribute.java,
	* javax/print/attribute/DocAttributeSet.java,
	* javax/print/attribute/EnumSyntax.java,
	* javax/print/attribute/HashAttributeSet.java,
	* javax/print/attribute/HashDocAttributeSet.java,
	* javax/print/attribute/HashPrintJobAttributeSet.java,
	* javax/print/attribute/HashPrintRequestAttributeSet.java,
	* javax/print/attribute/HashPrintServiceAttributeSet.java,
	* javax/print/attribute/IntegerSyntax.java,
	* javax/print/attribute/PrintJobAttribute.java,
	* javax/print/attribute/PrintJobAttributeSet.java,
	* javax/print/attribute/PrintRequestAttribute.java,
	* javax/print/attribute/PrintRequestAttributeSet.java,
	* javax/print/attribute/PrintServiceAttribute.java,
	* javax/print/attribute/PrintServiceAttributeSet.java,
	* javax/print/attribute/ResolutionSyntax.java,
	* javax/print/attribute/SetOfIntegerSyntax.java,
	* javax/print/attribute/Size2DSyntax.java,
	* javax/print/attribute/SupportedValuesAttribute.java,
	* javax/print/attribute/TextSyntax.java,
	* javax/print/attribute/URISyntax.java,
	* javax/print/attribute/UnmodifiableSetException.java,
	* javax/print/attribute/standard/Chromaticity.java,
	* javax/print/attribute/standard/ColorSupported.java,
	* javax/print/attribute/standard/Compression.java,
	* javax/print/attribute/standard/Copies.java,
	* javax/print/attribute/standard/CopiesSupported.java,
	* javax/print/attribute/standard/DateTimeAtCompleted.java,
	* javax/print/attribute/standard/DateTimeAtCreation.java,
	* javax/print/attribute/standard/DateTimeAtProcessing.java,
	* javax/print/attribute/standard/Destination.java,
	* javax/print/attribute/standard/DocumentName.java,
	* javax/print/attribute/standard/Fidelity.java,
	* javax/print/attribute/standard/Finishings.java,
	* javax/print/attribute/standard/JobHoldUntil.java,
	* javax/print/attribute/standard/JobImpressions.java,
	* javax/print/attribute/standard/JobImpressionsCompleted.java,
	* javax/print/attribute/standard/JobImpressionsSupported.java,
	* javax/print/attribute/standard/JobKOctets.java,
	* javax/print/attribute/standard/JobKOctetsProcessed.java,
	* javax/print/attribute/standard/JobKOctetsSupported.java,
	* javax/print/attribute/standard/JobMediaSheets.java,
	* javax/print/attribute/standard/JobMediaSheetsCompleted.java,
	* javax/print/attribute/standard/JobMediaSheetsSupported.java,
	* javax/print/attribute/standard/JobMessageFromOperator.java,
	* javax/print/attribute/standard/JobName.java,
	* javax/print/attribute/standard/JobOriginatingUserName.java,
	* javax/print/attribute/standard/JobPriority.java,
	* javax/print/attribute/standard/JobPrioritySupported.java,
	* javax/print/attribute/standard/JobSheets.java,
	* javax/print/attribute/standard/JobState.java,
	* javax/print/attribute/standard/JobStateReason.java,
	* javax/print/attribute/standard/JobStateReasons.java,
	* javax/print/attribute/standard/Media.java,
	* javax/print/attribute/standard/MediaName.java,
	* javax/print/attribute/standard/MediaPrintableArea.java,
	* javax/print/attribute/standard/MediaSize.java,
	* javax/print/attribute/standard/MediaSizeName.java,
	* javax/print/attribute/standard/MediaTray.java,
	* javax/print/attribute/standard/MultipleDocumentHandling.java,
	* javax/print/attribute/standard/NumberOfDocuments.java,
	* javax/print/attribute/standard/NumberOfInterveningJobs.java,
	* javax/print/attribute/standard/NumberUp.java,
	* javax/print/attribute/standard/NumberUpSupported.java,
	* javax/print/attribute/standard/OrientationRequested.java,
	* javax/print/attribute/standard/OutputDeviceAssigned.java,
	* javax/print/attribute/standard/PDLOverrideSupported.java,
	* javax/print/attribute/standard/PageRanges.java,
	* javax/print/attribute/standard/PagesPerMinute.java,
	* javax/print/attribute/standard/PagesPerMinuteColor.java,
	* javax/print/attribute/standard/PresentationDirection.java,
	* javax/print/attribute/standard/PrintQuality.java,
	* javax/print/attribute/standard/PrinterInfo.java,
	* javax/print/attribute/standard/PrinterIsAcceptingJobs.java,
	* javax/print/attribute/standard/PrinterLocation.java,
	* javax/print/attribute/standard/PrinterMakeAndModel.java,
	* javax/print/attribute/standard/PrinterMessageFromOperator.java,
	* javax/print/attribute/standard/PrinterMoreInfo.java,
	* javax/print/attribute/standard/PrinterMoreInfoManufacturer.java,
	* javax/print/attribute/standard/PrinterName.java,
	* javax/print/attribute/standard/PrinterResolution.java,
	* javax/print/attribute/standard/PrinterState.java,
	* javax/print/attribute/standard/PrinterStateReason.java,
	* javax/print/attribute/standard/PrinterStateReasons.java,
	* javax/print/attribute/standard/PrinterURI.java,
	* javax/print/attribute/standard/QueuedJobCount.java,
	* javax/print/attribute/standard/ReferenceUriSchemesSupported.java,
	* javax/print/attribute/standard/RequestingUserName.java,
	* javax/print/attribute/standard/Severity.java,
	* javax/print/attribute/standard/SheetCollate.java,
	* javax/print/attribute/standard/Sides.java,
	* javax/print/event/PrintEvent.java,
	* javax/print/event/PrintJobAdapter.java,
	* javax/print/event/PrintJobAttributeEvent.java,
	* javax/print/event/PrintJobAttributeListener.java,
	* javax/print/event/PrintJobEvent.java,
	* javax/print/event/PrintJobListener.java,
	* javax/print/event/PrintServiceAttributeEvent.java,
	* javax/print/event/PrintServiceAttributeListener.java,
	* javax/rmi/CORBA/ClassDesc.java,
	* javax/rmi/CORBA/PortableRemoteObjectDelegate.java,
	* javax/rmi/CORBA/Stub.java,
	* javax/rmi/CORBA/StubDelegate.java,
	* javax/rmi/CORBA/Tie.java,
	* javax/rmi/CORBA/Util.java,
	* javax/rmi/CORBA/UtilDelegate.java,
	* javax/rmi/CORBA/ValueHandler.java,
	* javax/rmi/CORBA/ValueHandlerMultiFormat.java,
	* javax/rmi/PortableRemoteObject.java,
	* javax/rmi/ssl/SslRMIClientSocketFactory.java,
	* javax/rmi/ssl/SslRMIServerSocketFactory.java,
	* javax/security/auth/Subject.java,
	* javax/security/auth/callback/ChoiceCallback.java,
	* javax/security/auth/callback/ConfirmationCallback.java,
	* javax/security/auth/callback/NameCallback.java,
	* javax/security/auth/callback/PasswordCallback.java,
	* javax/security/auth/callback/TextInputCallback.java,
	* javax/security/auth/callback/TextOutputCallback.java,
	* javax/security/auth/kerberos/DelegationPermission.java,
	* javax/security/auth/kerberos/KerberosKey.java,
	* javax/security/auth/kerberos/KerberosPrincipal.java,
	* javax/security/auth/kerberos/ServicePermission.java,
	* javax/security/auth/login/AccountNotFoundException.java,
	* javax/security/auth/login/AppConfigurationEntry.java,
	* javax/security/auth/login/LoginContext.java,
	* javax/security/sasl/Sasl.java,
	* javax/sound/midi/ControllerEventListener.java,
	* javax/sound/midi/Instrument.java,
	* javax/sound/midi/InvalidMidiDataException.java,
	* javax/sound/midi/MetaEventListener.java,
	* javax/sound/midi/MetaMessage.java,
	* javax/sound/midi/MidiChannel.java,
	* javax/sound/midi/MidiDevice.java,
	* javax/sound/midi/MidiEvent.java,
	* javax/sound/midi/MidiFileFormat.java,
	* javax/sound/midi/MidiMessage.java,
	* javax/sound/midi/MidiSystem.java,
	* javax/sound/midi/MidiUnavailableException.java,
	* javax/sound/midi/Patch.java,
	* javax/sound/midi/Receiver.java,
	* javax/sound/midi/Sequence.java,
	* javax/sound/midi/Sequencer.java,
	* javax/sound/midi/ShortMessage.java,
	* javax/sound/midi/Soundbank.java,
	* javax/sound/midi/SoundbankResource.java,
	* javax/sound/midi/Synthesizer.java,
	* javax/sound/midi/SysexMessage.java,
	* javax/sound/midi/Track.java,
	* javax/sound/midi/Transmitter.java,
	* javax/sound/midi/VoiceStatus.java,
	* javax/sound/midi/spi/MidiDeviceProvider.java,
	* javax/sound/midi/spi/MidiFileReader.java,
	* javax/sound/midi/spi/MidiFileWriter.java,
	* javax/sound/midi/spi/SoundbankReader.java,
	* javax/sound/sampled/AudioFileFormat.java,
	* javax/sound/sampled/AudioFormat.java,
	* javax/sound/sampled/AudioInputStream.java,
	* javax/sound/sampled/AudioPermission.java,
	* javax/sound/sampled/AudioSystem.java,
	* javax/sound/sampled/BooleanControl.java,
	* javax/sound/sampled/Clip.java,
	* javax/sound/sampled/CompoundControl.java,
	* javax/sound/sampled/DataLine.java,
	* javax/sound/sampled/EnumControl.java,
	* javax/sound/sampled/FloatControl.java,
	* javax/sound/sampled/Line.java,
	* javax/sound/sampled/LineEvent.java,
	* javax/sound/sampled/LineUnavailableException.java,
	* javax/sound/sampled/Mixer.java,
	* javax/sound/sampled/Port.java,
	* javax/sound/sampled/ReverbType.java,
	* javax/sound/sampled/UnsupportedAudioFileException.java,
	* javax/sound/sampled/spi/AudioFileReader.java,
	* javax/sound/sampled/spi/AudioFileWriter.java,
	* javax/sound/sampled/spi/FormatConversionProvider.java,
	* javax/sql/ConnectionEvent.java,
	* javax/sql/ConnectionEventListener.java,
	* javax/sql/ConnectionPoolDataSource.java,
	* javax/sql/DataSource.java,
	* javax/sql/PooledConnection.java,
	* javax/sql/RowSet.java,
	* javax/sql/RowSetEvent.java,
	* javax/sql/RowSetInternal.java,
	* javax/sql/RowSetListener.java,
	* javax/sql/RowSetMetaData.java,
	* javax/sql/RowSetReader.java,
	* javax/sql/RowSetWriter.java,
	* javax/sql/XAConnection.java,
	* javax/sql/XADataSource.java,
	* javax/swing/AbstractAction.java,
	* javax/swing/AbstractButton.java,
	* javax/swing/AbstractCellEditor.java,
	* javax/swing/AbstractListModel.java,
	* javax/swing/AbstractSpinnerModel.java,
	* javax/swing/Action.java,
	* javax/swing/BorderFactory.java,
	* javax/swing/BoundedRangeModel.java,
	* javax/swing/Box.java,
	* javax/swing/BoxLayout.java,
	* javax/swing/ButtonGroup.java,
	* javax/swing/ButtonModel.java,
	* javax/swing/CellEditor.java,
	* javax/swing/CellRendererPane.java,
	* javax/swing/ComboBoxModel.java,
	* javax/swing/ComponentInputMap.java,
	* javax/swing/DebugGraphics.java,
	* javax/swing/DefaultBoundedRangeModel.java,
	* javax/swing/DefaultButtonModel.java,
	* javax/swing/DefaultCellEditor.java,
	* javax/swing/DefaultComboBoxModel.java,
	* javax/swing/DefaultDesktopManager.java,
	* javax/swing/DefaultFocusManager.java,
	* javax/swing/DefaultListModel.java,
	* javax/swing/DefaultListSelectionModel.java,
	* javax/swing/DefaultSingleSelectionModel.java,
	* javax/swing/FocusManager.java,
	* javax/swing/GrayFilter.java,
	* javax/swing/Icon.java,
	* javax/swing/ImageIcon.java,
	* javax/swing/InputMap.java,
	* javax/swing/InternalFrameFocusTraversalPolicy.java,
	* javax/swing/JApplet.java,
	* javax/swing/JButton.java,
	* javax/swing/JCheckBox.java,
	* javax/swing/JCheckBoxMenuItem.java,
	* javax/swing/JComboBox.java,
	* javax/swing/JComponent.java,
	* javax/swing/JDesktopPane.java,
	* javax/swing/JDialog.java,
	* javax/swing/JEditorPane.java,
	* javax/swing/JFileChooser.java,
	* javax/swing/JFormattedTextField.java,
	* javax/swing/JFrame.java,
	* javax/swing/JInternalFrame.java,
	* javax/swing/JLabel.java,
	* javax/swing/JLayeredPane.java,
	* javax/swing/JList.java,
	* javax/swing/JMenu.java,
	* javax/swing/JMenuBar.java,
	* javax/swing/JMenuItem.java,
	* javax/swing/JOptionPane.java,
	* javax/swing/JPanel.java,
	* javax/swing/JPasswordField.java,
	* javax/swing/JPopupMenu.java,
	* javax/swing/JProgressBar.java,
	* javax/swing/JRadioButton.java,
	* javax/swing/JRadioButtonMenuItem.java,
	* javax/swing/JRootPane.java,
	* javax/swing/JScrollBar.java,
	* javax/swing/JScrollPane.java,
	* javax/swing/JSeparator.java,
	* javax/swing/JSlider.java,
	* javax/swing/JSpinner.java,
	* javax/swing/JSplitPane.java,
	* javax/swing/JTabbedPane.java,
	* javax/swing/JTable.java,
	* javax/swing/JTextArea.java,
	* javax/swing/JTextField.java,
	* javax/swing/JTextPane.java,
	* javax/swing/JToggleButton.java,
	* javax/swing/JToolBar.java,
	* javax/swing/JToolTip.java,
	* javax/swing/JTree.java,
	* javax/swing/JViewport.java,
	* javax/swing/JWindow.java,
	* javax/swing/KeyStroke.java,
	* javax/swing/KeyboardManager.java,
	* javax/swing/LayoutFocusTraversalPolicy.java,
	* javax/swing/ListCellRenderer.java,
	* javax/swing/ListSelectionModel.java,
	* javax/swing/LookAndFeel.java,
	* javax/swing/MenuSelectionManager.java,
	* javax/swing/OverlayLayout.java,
	* javax/swing/Popup.java,
	* javax/swing/PopupFactory.java,
	* javax/swing/ProgressMonitor.java,
	* javax/swing/ProgressMonitorInputStream.java,
	* javax/swing/Renderer.java,
	* javax/swing/RepaintManager.java,
	* javax/swing/ScrollPaneLayout.java,
	* javax/swing/Scrollable.java,
	* javax/swing/SingleSelectionModel.java,
	* javax/swing/SizeRequirements.java,
	* javax/swing/SizeSequence.java,
	* javax/swing/SortingFocusTraversalPolicy.java,
	* javax/swing/SpinnerDateModel.java,
	* javax/swing/SpinnerListModel.java,
	* javax/swing/SpinnerModel.java,
	* javax/swing/SpinnerNumberModel.java,
	* javax/swing/Spring.java,
	* javax/swing/SpringLayout.java,
	* javax/swing/SwingConstants.java,
	* javax/swing/SwingUtilities.java,
	* javax/swing/Timer.java,
	* javax/swing/ToolTipManager.java,
	* javax/swing/TransferHandler.java,
	* javax/swing/UIDefaults.java,
	* javax/swing/UIManager.java,
	* javax/swing/UnsupportedLookAndFeelException.java,
	* javax/swing/ViewportLayout.java,
	* javax/swing/WindowConstants.java,
	* javax/swing/border/AbstractBorder.java,
	* javax/swing/border/BevelBorder.java,
	* javax/swing/border/Border.java,
	* javax/swing/border/CompoundBorder.java,
	* javax/swing/border/EmptyBorder.java,
	* javax/swing/border/EtchedBorder.java,
	* javax/swing/border/LineBorder.java,
	* javax/swing/border/MatteBorder.java,
	* javax/swing/border/SoftBevelBorder.java,
	* javax/swing/border/TitledBorder.java,
	* javax/swing/colorchooser/AbstractColorChooserPanel.java,
	* javax/swing/colorchooser/ColorChooserComponentFactory.java,
	* javax/swing/colorchooser/ColorSelectionModel.java,
	* javax/swing/colorchooser/DefaultColorSelectionModel.java,
	* javax/swing/colorchooser/DefaultHSBChooserPanel.java,
	* javax/swing/colorchooser/DefaultRGBChooserPanel.java,
	* javax/swing/colorchooser/DefaultSwatchChooserPanel.java,
	* javax/swing/event/AncestorEvent.java,
	* javax/swing/event/AncestorListener.java,
	* javax/swing/event/CaretEvent.java,
	* javax/swing/event/CaretListener.java,
	* javax/swing/event/CellEditorListener.java,
	* javax/swing/event/ChangeEvent.java,
	* javax/swing/event/ChangeListener.java,
	* javax/swing/event/DocumentEvent.java,
	* javax/swing/event/DocumentListener.java,
	* javax/swing/event/EventListenerList.java,
	* javax/swing/event/HyperlinkEvent.java,
	* javax/swing/event/HyperlinkListener.java,
	* javax/swing/event/InternalFrameAdapter.java,
	* javax/swing/event/InternalFrameEvent.java,
	* javax/swing/event/InternalFrameListener.java,
	* javax/swing/event/ListDataEvent.java,
	* javax/swing/event/ListDataListener.java,
	* javax/swing/event/ListSelectionEvent.java,
	* javax/swing/event/ListSelectionListener.java,
	* javax/swing/event/MenuDragMouseEvent.java,
	* javax/swing/event/MenuDragMouseListener.java,
	* javax/swing/event/MenuEvent.java,
	* javax/swing/event/MenuKeyEvent.java,
	* javax/swing/event/MenuKeyListener.java,
	* javax/swing/event/MenuListener.java,
	* javax/swing/event/MouseInputListener.java,
	* javax/swing/event/PopupMenuEvent.java,
	* javax/swing/event/PopupMenuListener.java,
	* javax/swing/event/SwingPropertyChangeSupport.java,
	* javax/swing/event/TableColumnModelEvent.java,
	* javax/swing/event/TableColumnModelListener.java,
	* javax/swing/event/TableModelEvent.java,
	* javax/swing/event/TableModelListener.java,
	* javax/swing/event/TreeExpansionEvent.java,
	* javax/swing/event/TreeExpansionListener.java,
	* javax/swing/event/TreeModelEvent.java,
	* javax/swing/event/TreeModelListener.java,
	* javax/swing/event/TreeSelectionEvent.java,
	* javax/swing/event/TreeSelectionListener.java,
	* javax/swing/event/TreeWillExpandListener.java,
	* javax/swing/event/UndoableEditEvent.java,
	* javax/swing/filechooser/FileFilter.java,
	* javax/swing/filechooser/FileSystemView.java,
	* javax/swing/filechooser/FileView.java,
	* javax/swing/filechooser/UnixFileSystemView.java,
	* javax/swing/plaf/BorderUIResource.java,
	* javax/swing/plaf/ColorChooserUI.java,
	* javax/swing/plaf/ColorUIResource.java,
	* javax/swing/plaf/ComboBoxUI.java,
	* javax/swing/plaf/ComponentInputMapUIResource.java,
	* javax/swing/plaf/ComponentUI.java,
	* javax/swing/plaf/FileChooserUI.java,
	* javax/swing/plaf/IconUIResource.java,
	* javax/swing/plaf/SplitPaneUI.java,
	* javax/swing/plaf/TabbedPaneUI.java,
	* javax/swing/plaf/TextUI.java,
	* javax/swing/plaf/UIResource.java,
	* javax/swing/plaf/basic/BasicArrowButton.java,
	* javax/swing/plaf/basic/BasicBorders.java,
	* javax/swing/plaf/basic/BasicButtonListener.java,
	* javax/swing/plaf/basic/BasicButtonUI.java,
	* javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
	* javax/swing/plaf/basic/BasicCheckBoxUI.java,
	* javax/swing/plaf/basic/BasicColorChooserUI.java,
	* javax/swing/plaf/basic/BasicComboBoxEditor.java,
	* javax/swing/plaf/basic/BasicComboBoxRenderer.java,
	* javax/swing/plaf/basic/BasicComboBoxUI.java,
	* javax/swing/plaf/basic/BasicComboPopup.java,
	* javax/swing/plaf/basic/BasicDesktopIconUI.java,
	* javax/swing/plaf/basic/BasicDesktopPaneUI.java,
	* javax/swing/plaf/basic/BasicDirectoryModel.java,
	* javax/swing/plaf/basic/BasicEditorPaneUI.java,
	* javax/swing/plaf/basic/BasicFileChooserUI.java,
	* javax/swing/plaf/basic/BasicFormattedTextFieldUI.java,
	* javax/swing/plaf/basic/BasicGraphicsUtils.java,
	* javax/swing/plaf/basic/BasicHTML.java,
	* javax/swing/plaf/basic/BasicIconFactory.java,
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java,
	* javax/swing/plaf/basic/BasicInternalFrameUI.java,
	* javax/swing/plaf/basic/BasicLabelUI.java,
	* javax/swing/plaf/basic/BasicListUI.java,
	* javax/swing/plaf/basic/BasicLookAndFeel.java,
	* javax/swing/plaf/basic/BasicMenuBarUI.java,
	* javax/swing/plaf/basic/BasicMenuItemUI.java,
	* javax/swing/plaf/basic/BasicMenuUI.java,
	* javax/swing/plaf/basic/BasicOptionPaneUI.java,
	* javax/swing/plaf/basic/BasicPanelUI.java,
	* javax/swing/plaf/basic/BasicPasswordFieldUI.java,
	* javax/swing/plaf/basic/BasicPopupMenuUI.java,
	* javax/swing/plaf/basic/BasicProgressBarUI.java,
	* javax/swing/plaf/basic/BasicRadioButtonUI.java,
	* javax/swing/plaf/basic/BasicRootPaneUI.java,
	* javax/swing/plaf/basic/BasicScrollBarUI.java,
	* javax/swing/plaf/basic/BasicScrollPaneUI.java,
	* javax/swing/plaf/basic/BasicSeparatorUI.java,
	* javax/swing/plaf/basic/BasicSliderUI.java,
	* javax/swing/plaf/basic/BasicSpinnerUI.java,
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	* javax/swing/plaf/basic/BasicSplitPaneUI.java,
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	* javax/swing/plaf/basic/BasicTableHeaderUI.java,
	* javax/swing/plaf/basic/BasicTableUI.java,
	* javax/swing/plaf/basic/BasicTextAreaUI.java,
	* javax/swing/plaf/basic/BasicTextFieldUI.java,
	* javax/swing/plaf/basic/BasicTextPaneUI.java,
	* javax/swing/plaf/basic/BasicTextUI.java,
	* javax/swing/plaf/basic/BasicToggleButtonUI.java,
	* javax/swing/plaf/basic/BasicToolBarUI.java,
	* javax/swing/plaf/basic/BasicToolTipUI.java,
	* javax/swing/plaf/basic/BasicTreeUI.java,
	* javax/swing/plaf/basic/BasicViewportUI.java,
	* javax/swing/plaf/metal/DefaultMetalTheme.java,
	* javax/swing/plaf/metal/MetalBorders.java,
	* javax/swing/plaf/metal/MetalButtonListener.java,
	* javax/swing/plaf/metal/MetalButtonUI.java,
	* javax/swing/plaf/metal/MetalCheckBoxIcon.java,
	* javax/swing/plaf/metal/MetalCheckBoxUI.java,
	* javax/swing/plaf/metal/MetalComboBoxButton.java,
	* javax/swing/plaf/metal/MetalComboBoxEditor.java,
	* javax/swing/plaf/metal/MetalComboBoxIcon.java,
	* javax/swing/plaf/metal/MetalComboBoxUI.java,
	* javax/swing/plaf/metal/MetalFileChooserUI.java,
	* javax/swing/plaf/metal/MetalIconFactory.java,
	* javax/swing/plaf/metal/MetalInternalFrameTitlePane.java,
	* javax/swing/plaf/metal/MetalInternalFrameUI.java,
	* javax/swing/plaf/metal/MetalLabelUI.java,
	* javax/swing/plaf/metal/MetalLookAndFeel.java,
	* javax/swing/plaf/metal/MetalMenuBarUI.java,
	* javax/swing/plaf/metal/MetalProgressBarUI.java,
	* javax/swing/plaf/metal/MetalRadioButtonUI.java,
	* javax/swing/plaf/metal/MetalRootPaneUI.java,
	* javax/swing/plaf/metal/MetalScrollBarUI.java,
	* javax/swing/plaf/metal/MetalScrollButton.java,
	* javax/swing/plaf/metal/MetalScrollPaneUI.java,
	* javax/swing/plaf/metal/MetalSeparatorUI.java,
	* javax/swing/plaf/metal/MetalSliderUI.java,
	* javax/swing/plaf/metal/MetalSplitPaneDivider.java,
	* javax/swing/plaf/metal/MetalSplitPaneUI.java,
	* javax/swing/plaf/metal/MetalTabbedPaneUI.java,
	* javax/swing/plaf/metal/MetalTextFieldUI.java,
	* javax/swing/plaf/metal/MetalTheme.java,
	* javax/swing/plaf/metal/MetalToggleButtonUI.java,
	* javax/swing/plaf/metal/MetalToolBarUI.java,
	* javax/swing/plaf/metal/MetalToolTipUI.java,
	* javax/swing/plaf/metal/MetalTreeUI.java,
	* javax/swing/plaf/metal/MetalUtils.java,
	* javax/swing/plaf/metal/OceanTheme.java,
	* javax/swing/plaf/multi/MultiButtonUI.java,
	* javax/swing/plaf/multi/MultiColorChooserUI.java,
	* javax/swing/plaf/multi/MultiComboBoxUI.java,
	* javax/swing/plaf/multi/MultiDesktopIconUI.java,
	* javax/swing/plaf/multi/MultiDesktopPaneUI.java,
	* javax/swing/plaf/multi/MultiFileChooserUI.java,
	* javax/swing/plaf/multi/MultiInternalFrameUI.java,
	* javax/swing/plaf/multi/MultiLabelUI.java,
	* javax/swing/plaf/multi/MultiListUI.java,
	* javax/swing/plaf/multi/MultiLookAndFeel.java,
	* javax/swing/plaf/multi/MultiMenuBarUI.java,
	* javax/swing/plaf/multi/MultiMenuItemUI.java,
	* javax/swing/plaf/multi/MultiOptionPaneUI.java,
	* javax/swing/plaf/multi/MultiPanelUI.java,
	* javax/swing/plaf/multi/MultiPopupMenuUI.java,
	* javax/swing/plaf/multi/MultiProgressBarUI.java,
	* javax/swing/plaf/multi/MultiRootPaneUI.java,
	* javax/swing/plaf/multi/MultiScrollBarUI.java,
	* javax/swing/plaf/multi/MultiScrollPaneUI.java,
	* javax/swing/plaf/multi/MultiSeparatorUI.java,
	* javax/swing/plaf/multi/MultiSliderUI.java,
	* javax/swing/plaf/multi/MultiSpinnerUI.java,
	* javax/swing/plaf/multi/MultiSplitPaneUI.java,
	* javax/swing/plaf/multi/MultiTabbedPaneUI.java,
	* javax/swing/plaf/multi/MultiTableHeaderUI.java,
	* javax/swing/plaf/multi/MultiTableUI.java,
	* javax/swing/plaf/multi/MultiTextUI.java,
	* javax/swing/plaf/multi/MultiToolBarUI.java,
	* javax/swing/plaf/multi/MultiToolTipUI.java,
	* javax/swing/plaf/multi/MultiTreeUI.java,
	* javax/swing/plaf/multi/MultiViewportUI.java,
	* javax/swing/plaf/synth/SynthGraphicsUtils.java,
	* javax/swing/plaf/synth/SynthLookAndFeel.java,
	* javax/swing/plaf/synth/SynthPainter.java,
	* javax/swing/table/AbstractTableModel.java,
	* javax/swing/table/DefaultTableCellRenderer.java,
	* javax/swing/table/DefaultTableColumnModel.java,
	* javax/swing/table/DefaultTableModel.java,
	* javax/swing/table/JTableHeader.java,
	* javax/swing/table/TableCellEditor.java,
	* javax/swing/table/TableCellRenderer.java,
	* javax/swing/table/TableColumn.java,
	* javax/swing/table/TableColumnModel.java,
	* javax/swing/table/TableModel.java,
	* javax/swing/text/AbstractDocument.java,
	* javax/swing/text/AbstractWriter.java,
	* javax/swing/text/AsyncBoxView.java,
	* javax/swing/text/AttributeSet.java,
	* javax/swing/text/BoxView.java,
	* javax/swing/text/Caret.java,
	* javax/swing/text/ComponentView.java,
	* javax/swing/text/CompositeView.java,
	* javax/swing/text/DefaultCaret.java,
	* javax/swing/text/DefaultEditorKit.java,
	* javax/swing/text/DefaultFormatter.java,
	* javax/swing/text/DefaultFormatterFactory.java,
	* javax/swing/text/DefaultHighlighter.java,
	* javax/swing/text/DefaultStyledDocument.java,
	* javax/swing/text/DocumentFilter.java,
	* javax/swing/text/EditorKit.java,
	* javax/swing/text/Element.java,
	* javax/swing/text/ElementIterator.java,
	* javax/swing/text/EmptyAttributeSet.java,
	* javax/swing/text/FieldView.java,
	* javax/swing/text/FlowView.java,
	* javax/swing/text/GapContent.java,
	* javax/swing/text/GlyphView.java,
	* javax/swing/text/Highlighter.java,
	* javax/swing/text/InternationalFormatter.java,
	* javax/swing/text/JTextComponent.java,
	* javax/swing/text/Keymap.java,
	* javax/swing/text/LayeredHighlighter.java,
	* javax/swing/text/LayoutQueue.java,
	* javax/swing/text/MaskFormatter.java,
	* javax/swing/text/MutableAttributeSet.java,
	* javax/swing/text/NavigationFilter.java,
	* javax/swing/text/NumberFormatter.java,
	* javax/swing/text/ParagraphView.java,
	* javax/swing/text/PasswordView.java,
	* javax/swing/text/PlainDocument.java,
	* javax/swing/text/PlainView.java,
	* javax/swing/text/Position.java,
	* javax/swing/text/Segment.java,
	* javax/swing/text/SimpleAttributeSet.java,
	* javax/swing/text/StringContent.java,
	* javax/swing/text/Style.java,
	* javax/swing/text/StyleConstants.java,
	* javax/swing/text/StyleContext.java,
	* javax/swing/text/StyledDocument.java,
	* javax/swing/text/StyledEditorKit.java,
	* javax/swing/text/TabExpander.java,
	* javax/swing/text/TabSet.java,
	* javax/swing/text/TabStop.java,
	* javax/swing/text/TabableView.java,
	* javax/swing/text/TableView.java,
	* javax/swing/text/TextAction.java,
	* javax/swing/text/Utilities.java,
	* javax/swing/text/View.java,
	* javax/swing/text/ViewFactory.java,
	* javax/swing/text/WrappedPlainView.java,
	* javax/swing/text/html/BRView.java,
	* javax/swing/text/html/BlockView.java,
	* javax/swing/text/html/CSS.java,
	* javax/swing/text/html/CSSBorder.java,
	* javax/swing/text/html/CSSParser.java,
	* javax/swing/text/html/FormView.java,
	* javax/swing/text/html/HRuleView.java,
	* javax/swing/text/html/HTMLDocument.java,
	* javax/swing/text/html/HTMLEditorKit.java,
	* javax/swing/text/html/HTMLWriter.java,
	* javax/swing/text/html/ImageView.java,
	* javax/swing/text/html/InlineView.java,
	* javax/swing/text/html/ListView.java,
	* javax/swing/text/html/MinimalHTMLWriter.java,
	* javax/swing/text/html/MultiAttributeSet.java,
	* javax/swing/text/html/MultiStyle.java,
	* javax/swing/text/html/ParagraphView.java,
	* javax/swing/text/html/StyleSheet.java,
	* javax/swing/text/html/TableView.java,
	* javax/swing/text/html/ViewAttributeSet.java,
	* javax/swing/text/html/parser/Entity.java,
	* javax/swing/text/html/parser/Parser.java,
	* javax/swing/text/rtf/RTFParser.java,
	* javax/swing/text/rtf/RTFScanner.java,
	* javax/swing/tree/AbstractLayoutCache.java,
	* javax/swing/tree/DefaultMutableTreeNode.java,
	* javax/swing/tree/DefaultTreeCellEditor.java,
	* javax/swing/tree/DefaultTreeCellRenderer.java,
	* javax/swing/tree/DefaultTreeModel.java,
	* javax/swing/tree/DefaultTreeSelectionModel.java,
	* javax/swing/tree/ExpandVetoException.java,
	* javax/swing/tree/FixedHeightLayoutCache.java,
	* javax/swing/tree/MutableTreeNode.java,
	* javax/swing/tree/RowMapper.java,
	* javax/swing/tree/TreeCellEditor.java,
	* javax/swing/tree/TreeCellRenderer.java,
	* javax/swing/tree/TreeNode.java,
	* javax/swing/tree/TreePath.java,
	* javax/swing/tree/TreeSelectionModel.java,
	* javax/swing/tree/VariableHeightLayoutCache.java,
	* javax/swing/undo/AbstractUndoableEdit.java,
	* javax/swing/undo/CompoundEdit.java,
	* javax/swing/undo/StateEdit.java,
	* javax/swing/undo/UndoManager.java,
	* javax/swing/undo/UndoableEdit.java,
	* javax/tools/FileObject.java,
	* javax/transaction/HeuristicCommitException.java,
	* javax/transaction/HeuristicMixedException.java,
	* javax/transaction/HeuristicRollbackException.java,
	* javax/transaction/InvalidTransactionException.java,
	* javax/transaction/NotSupportedException.java,
	* javax/transaction/RollbackException.java,
	* javax/transaction/Status.java,
